#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort1);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550001, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, inInt, Iint );
      flick_fluke_encode_signed32(8, *inoutInt, Iint );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort6);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, *inoutInt, Iint );
            flick_fluke_decode_signed32(4, *outInt, Iint );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t3_internal;
      unsigned *_t4_internal;
      unsigned *_t5_internal;

      _t3_internal = (unsigned *)(&(inStruct));
      _t4_internal = (unsigned *)(&(*inoutStruct));
      _t5_internal = (unsigned *)(&(*outStruct));

      flick_fluke_encode_new_glob(804, _flick_abort9);
      flick_fluke_encode_new_chunk(804);
      flick_fluke_encode_signed32(0, 5550002, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t3_internal, 400);
      flick_fluke_encode_bcopy(404, _t4_internal, 400);
      flick_fluke_encode_end_chunk(804);
      flick_fluke_encode_end_glob(804);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(804);
      flick_fluke_check_span(4, _flick_abort9);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t9_internal;
            unsigned *_t10_internal;
            unsigned *_t11_internal;

            _t9_internal = (unsigned *)(&(inStruct));
            _t10_internal = (unsigned *)(&(*inoutStruct));
            _t11_internal = (unsigned *)(&(*outStruct));

            /* Begin decode phase on parameters */
            flick_fluke_check_span(800, _flick_abort29);
            flick_fluke_decode_new_chunk(800);
            flick_fluke_decode_bcopy(0, _t10_internal, 400);
            flick_fluke_decode_bcopy(400, _t11_internal, 400);
            flick_fluke_decode_end_chunk(800);
            flick_fluke_decode_end_glob(804);
            break;
            {
            _flick_abort29:
              goto _flick_abort9;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(804);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort35);
            break;
            {
            _flick_abort35:
              goto _flick_abort9;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
  return _return;
  {
  _flick_abort9:
    flick_mig_client_error(fluke, fluke, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t14_internal;
      unsigned *_t15_internal;

      _t14_internal = (unsigned *)inArray;
      _t15_internal = (unsigned *)inoutArray;

      flick_fluke_encode_new_glob(2404, _flick_abort37);
      flick_fluke_encode_new_chunk(2404);
      flick_fluke_encode_signed32(0, 5550003, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t14_internal, 1200);
      flick_fluke_encode_bcopy(1204, _t15_internal, 1200);
      flick_fluke_encode_end_chunk(2404);
      flick_fluke_encode_end_glob(2404);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort37);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(2404);
      flick_fluke_check_span(4, _flick_abort37);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t18_internal;
            unsigned *_t19_internal;

            _t18_internal = (unsigned *)inoutArray;
            _t19_internal = (unsigned *)outArray;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(2400, _flick_abort57);
            flick_fluke_decode_new_chunk(2400);
            flick_fluke_decode_bcopy(0, _t18_internal, 1200);
            flick_fluke_decode_bcopy(1200, _t19_internal, 1200);
            flick_fluke_decode_end_chunk(2400);
            flick_fluke_decode_end_glob(2404);
            break;
            {
            _flick_abort57:
              goto _flick_abort37;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(2404);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort63);
            break;
            {
            _flick_abort63:
              goto _flick_abort37;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
  return _return;
  {
  _flick_abort37:
    flick_mig_client_error(fluke, fluke, _flick_abort36);
  _flick_abort36:
    goto _flick_reaper;
  }
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(2008, _flick_abort65);
      flick_fluke_encode_new_chunk(8 + 4 * inArrayCnt);
      flick_fluke_encode_signed32(0, 5550004, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      if (inArrayCnt > 500)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
      flick_fluke_encode_bcopy(8, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(8 + 4 * inArrayCnt);
      *outArrayCnt = 0;
      outArray = 0;
      flick_fluke_encode_end_glob(2008);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort65);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(2008);
      flick_fluke_check_span(4, _flick_abort65);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort77);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort77);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * *outArrayCnt * 1, _flick_abort77);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            flick_fluke_decode_bcopy(0, outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(2008);
            break;
            {
            _flick_abort77:
              goto _flick_abort65;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(2008);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort81);
            break;
            {
            _flick_abort81:
              goto _flick_abort65;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort65);
  return _return;
  {
  _flick_abort65:
    flick_mig_client_error(fluke, fluke, _flick_abort64);
  _flick_abort64:
    goto _flick_reaper;
  }
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort83);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550005, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort83);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
      *outArrayCnt = 0;
      *outArray = 0;
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort83);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort83);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort95);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outArrayCnt);
            flick_fluke_check_span(4 * *outArrayCnt * 1, _flick_abort95);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
              *outArray = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort95:
              goto _flick_abort83;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort99);
            break;
            {
            _flick_abort99:
              goto _flick_abort83;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort83);
  return _return;
  {
  _flick_abort83:
    flick_mig_client_error(fluke, fluke, _flick_abort82);
  _flick_abort82:
    goto _flick_reaper;
  }
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      char *_t22_internal;
      char *_t23_internal;

      _t22_internal = (char *)inString;
      _t23_internal = (char *)inoutString;

      flick_fluke_encode_new_glob(1604, _flick_abort101);
      flick_fluke_encode_new_chunk(1604);
      flick_fluke_encode_signed32(0, 5550006, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, _t22_internal, 799);
      flick_fluke_encode_bcopy(804, _t23_internal, 799);
      flick_fluke_encode_end_chunk(1604);
      flick_fluke_encode_end_glob(1604);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(1604);
      flick_fluke_check_span(4, _flick_abort101);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t26_internal;
            char *_t27_internal;

            _t26_internal = (char *)inoutString;
            _t27_internal = (char *)outString;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(1600, _flick_abort121);
            flick_fluke_decode_new_chunk(1600);
            flick_fluke_decode_bcopy(0, _t26_internal, 799);
            flick_fluke_decode_bcopy(800, _t27_internal, 799);
            flick_fluke_decode_end_chunk(1600);
            flick_fluke_decode_end_glob(1604);
            break;
            {
            _flick_abort121:
              goto _flick_abort101;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort127);
            break;
            {
            _flick_abort127:
              goto _flick_abort101;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort101);
  return _return;
  {
  _flick_abort101:
    flick_mig_client_error(fluke, fluke, _flick_abort100);
  _flick_abort100:
    goto _flick_reaper;
  }
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t29_temp_string_len;

      flick_fluke_stringlen(IVstring , inString, flick_unsigned32_t , _t29_temp_string_len);

      flick_fluke_encode_new_glob(5006, _flick_abort129);
      flick_fluke_encode_new_chunk(8 + 1 * _t29_temp_string_len);
      flick_fluke_encode_signed32(0, 5550007, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t29_temp_string_len, flick_unsigned32_t );
      if (_t29_temp_string_len > 4997)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort129);
      flick_fluke_encode_bcopy(8, inString, 1 * _t29_temp_string_len);
      flick_fluke_encode_end_chunk(8 + 1 * _t29_temp_string_len);
      outString = 0;
      flick_fluke_encode_end_glob(5006);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort129);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(5006);
      flick_fluke_check_span(4, _flick_abort129);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t32_temp_string_len;
            flick_unsigned32_t _t33_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort141);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
            if (_t33_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t33_temp_string_len * 1, _flick_abort141);
            flick_fluke_decode_new_chunk(1 * _t33_temp_string_len);
            flick_fluke_decode_bcopy(0, outString, 1 * _t33_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t33_temp_string_len);
            flick_fluke_decode_end_glob(5006);
            break;
            {
            _flick_abort141:
              goto _flick_abort129;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(5006);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort145);
            break;
            {
            _flick_abort145:
              goto _flick_abort129;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort129);
  return _return;
  {
  _flick_abort129:
    flick_mig_client_error(fluke, fluke, _flick_abort128);
  _flick_abort128:
    goto _flick_reaper;
  }
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort147);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550008, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_client_encode_port32(4, inRight, 1);
      flick_fluke_client_encode_port32(8, *inoutRight, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort147);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort147);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort152);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_client_decode_port32(0, *inoutRight, 1);
            flick_fluke_client_decode_port32(4, *outRight, 1);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort152:
              goto _flick_abort147;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort153);
            break;
            {
            _flick_abort153:
              goto _flick_abort147;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort147);
  return _return;
  {
  _flick_abort147:
    flick_mig_client_error(fluke, fluke, _flick_abort146);
  _flick_abort146:
    goto _flick_reaper;
  }
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      mach_msg_type_number_t _t35_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort155);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550009, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inRightCnt, _flick_abort155);
      for (_t35_array_iter = 0; _t35_array_iter < inRightCnt; _t35_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, inRight[_t35_array_iter], 1);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * inRightCnt);
      *outRightCnt = 0;
      *outRight = 0;
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort155);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort155);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t37_array_iter;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort176);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outRightCnt);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort176);
              *outRight = _t_alloc_ptr;
            }
            flick_fluke_check_span(*outRightCnt * 4, _flick_abort176);
            for (_t37_array_iter = 0; _t37_array_iter < *outRightCnt; _t37_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*outRight)[_t37_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *outRightCnt);
            break;
            {
            _flick_abort176:
              goto _flick_abort155;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort183);
            break;
            {
            _flick_abort183:
              goto _flick_abort155;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort155);
  return _return;
  {
  _flick_abort155:
    flick_mig_client_error(fluke, fluke, _flick_abort154);
  _flick_abort154:
    goto _flick_reaper;
  }
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      mach_msg_type_number_t _t39_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort185);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550010, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inRightCnt, _flick_abort185);
      for (_t39_array_iter = 0; _t39_array_iter < inRightCnt; _t39_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, inRight[_t39_array_iter], 0);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * inRightCnt);
      *outRightCnt = 0;
      *outRight = 0;
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort185);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort185);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t41_array_iter;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort206);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outRightCnt);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort206);
              *outRight = _t_alloc_ptr;
            }
            flick_fluke_check_span(*outRightCnt * 4, _flick_abort206);
            for (_t41_array_iter = 0; _t41_array_iter < *outRightCnt; _t41_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*outRight)[_t41_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *outRightCnt);
            break;
            {
            _flick_abort206:
              goto _flick_abort185;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort213);
            break;
            {
            _flick_abort213:
              goto _flick_abort185;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
  return _return;
  {
  _flick_abort185:
    flick_mig_client_error(fluke, fluke, _flick_abort184);
  _flick_abort184:
    goto _flick_reaper;
  }
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort215);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550012, flick_signed32_t );
      /* Begin encode phase on parameters */
      *outInt = 0;
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort215);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort215);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort221);
            break;
            {
            _flick_abort221:
              goto _flick_abort215;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort215);
  return _return;
  {
  _flick_abort215:
    flick_mig_client_error(fluke, fluke, _flick_abort214);
  _flick_abort214:
    goto _flick_reaper;
  }
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort223);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550013, flick_signed32_t );
      /* Begin encode phase on parameters */
      *outStruct = 0;
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort223);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort223);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort229);
            break;
            {
            _flick_abort229:
              goto _flick_abort223;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort223);
  return _return;
  {
  _flick_abort223:
    flick_mig_client_error(fluke, fluke, _flick_abort222);
  _flick_abort222:
    goto _flick_reaper;
  }
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort231);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550014, flick_signed32_t );
      /* Begin encode phase on parameters */
      *outArray = 0;
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort231);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort231);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort237);
            break;
            {
            _flick_abort237:
              goto _flick_abort231;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort231);
  return _return;
  {
  _flick_abort231:
    flick_mig_client_error(fluke, fluke, _flick_abort230);
  _flick_abort230:
    goto _flick_reaper;
  }
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort239);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550015, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_unsigned32(8, *inoutArrayCnt, mach_msg_type_number_t );
      *outArrayCnt = 0;
      *outArray = 0;
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort239);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort239);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort244);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort244:
              goto _flick_abort239;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort245);
            break;
            {
            _flick_abort245:
              goto _flick_abort239;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort239);
  return _return;
  {
  _flick_abort239:
    flick_mig_client_error(fluke, fluke, _flick_abort238);
  _flick_abort238:
    goto _flick_reaper;
  }
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort247);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550016, flick_signed32_t );
      /* Begin encode phase on parameters */
      *outString = 0;
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort247);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort247);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort253);
            break;
            {
            _flick_abort253:
              goto _flick_abort247;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort247);
  return _return;
  {
  _flick_abort247:
    flick_mig_client_error(fluke, fluke, _flick_abort246);
  _flick_abort246:
    goto _flick_reaper;
  }
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort255);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550017, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_unsigned32(8, *inoutRightCnt, mach_msg_type_number_t );
      *outRightCnt = 0;
      *outRight = 0;
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort255);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort255);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort260);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort260:
              goto _flick_abort255;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort261);
            break;
            {
            _flick_abort261:
              goto _flick_abort255;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort255);
  return _return;
  {
  _flick_abort255:
    flick_mig_client_error(fluke, fluke, _flick_abort254);
  _flick_abort254:
    goto _flick_reaper;
  }
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort263);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550018, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_unsigned32(8, *inoutRightCnt, mach_msg_type_number_t );
      *outRightCnt = 0;
      *outRight = 0;
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort263);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort263);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort268);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_unsigned32(4, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort268:
              goto _flick_abort263;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort269);
            break;
            {
            _flick_abort269:
              goto _flick_abort263;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort263);
  return _return;
  {
  _flick_abort263:
    flick_mig_client_error(fluke, fluke, _flick_abort262);
  _flick_abort262:
    goto _flick_reaper;
  }
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort271);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550020, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort271);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort271);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort276);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort276:
              goto _flick_abort271;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort277);
            break;
            {
            _flick_abort277:
              goto _flick_abort271;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort271);
  return _return;
  {
  _flick_abort271:
    flick_mig_client_error(fluke, fluke, _flick_abort270);
  _flick_abort270:
    goto _flick_reaper;
  }
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort279);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550021, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort279);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort279);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort284);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort284:
              goto _flick_abort279;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort285);
            break;
            {
            _flick_abort285:
              goto _flick_abort279;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort279);
  return _return;
  {
  _flick_abort279:
    flick_mig_client_error(fluke, fluke, _flick_abort278);
  _flick_abort278:
    goto _flick_reaper;
  }
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort287);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550022, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort287);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort287);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort292);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort292:
              goto _flick_abort287;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort293);
            break;
            {
            _flick_abort293:
              goto _flick_abort287;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort287);
  return _return;
  {
  _flick_abort287:
    flick_mig_client_error(fluke, fluke, _flick_abort286);
  _flick_abort286:
    goto _flick_reaper;
  }
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort295);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550023, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort295);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort295);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort300);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort300:
              goto _flick_abort295;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort301);
            break;
            {
            _flick_abort301:
              goto _flick_abort295;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort295);
  return _return;
  {
  _flick_abort295:
    flick_mig_client_error(fluke, fluke, _flick_abort294);
  _flick_abort294:
    goto _flick_reaper;
  }
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort303);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550024, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      mach_vm_flick_free(inArray);
      flick_fluke_encode_unsigned32(8, *inoutArrayCnt, mach_msg_type_number_t );
      mach_vm_flick_free(*inoutArray);
      *inoutArray = 0;
      *outArrayCnt = 0;
      *outArray = 0;
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort303);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort303);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort308);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_unsigned32(4, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort308:
              goto _flick_abort303;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort309);
            break;
            {
            _flick_abort309:
              goto _flick_abort303;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort303);
  return _return;
  {
  _flick_abort303:
    flick_mig_client_error(fluke, fluke, _flick_abort302);
  _flick_abort302:
    goto _flick_reaper;
  }
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort311);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550025, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort311);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort311);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(5);
      flick_fluke_check_span(4, _flick_abort311);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(1, _flick_abort321);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_unsigned8(0, *scopy, boolean_t );
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(5);
            break;
            {
            _flick_abort321:
              goto _flick_abort311;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(5);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort323);
            break;
            {
            _flick_abort323:
              goto _flick_abort311;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort311);
  return _return;
  {
  _flick_abort311:
    flick_mig_client_error(fluke, fluke, _flick_abort310);
  _flick_abort310:
    goto _flick_reaper;
  }
}

kern_return_t terminate(mach_port_t target)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort325);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550026, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort325);
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort325);
  return;
  {
  _flick_abort325:
    flick_mig_client_error(fluke, fluke, _flick_abort324);
  _flick_abort324:
    goto _flick_reaper;
  }
}

