#ifndef _arrays_server_h_
#define _arrays_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "arrays-client.h"
#include <flick/pres/corbaxx.h>

class POA_arrays ;


typedef POA_arrays *POA_arrays_ptr;

class POA_arrays : public virtual PortableServer::ServantBase {

protected:
  POA_arrays();

public:
  POA_arrays(const POA_arrays &rhs);
  virtual ~POA_arrays();
  arrays *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual struct cLd test_cLd(/* POA_arrays *this, */ const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev) = 0;
  virtual struct dLc test_dLc(/* POA_arrays *this, */ const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev) = 0;
  virtual struct sLs test_sLs(/* POA_arrays *this, */ const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev) = 0;
  virtual struct cLCd test_cLCd(/* POA_arrays *this, */ const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev) = 0;
  virtual struct dLCc test_dLCc(/* POA_arrays *this, */ const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev) = 0;
  virtual struct sLCs test_sLCs(/* POA_arrays *this, */ const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev) = 0;
  virtual struct cCLd test_cCLd(/* POA_arrays *this, */ const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev) = 0;
  virtual struct dCLc test_dCLc(/* POA_arrays *this, */ const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev) = 0;
  virtual struct sCLs test_sCLs(/* POA_arrays *this, */ const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_arrays_tie : public POA_arrays {

  public:
    POA_arrays_tie(T &t);
    POA_arrays_tie(T &t, PortableServer::POA_ptr poa);
    POA_arrays_tie(T *t, CORBA::Boolean release = 1);
    POA_arrays_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_arrays_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_arrays_tie(const POA_arrays_tie &c);
    void operator=(const POA_arrays_tie &c);

  public:
    struct cLd test_cLd(/* POA_arrays *this, */ const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev);
    struct dLc test_dLc(/* POA_arrays *this, */ const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev);
    struct sLs test_sLs(/* POA_arrays *this, */ const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev);
    struct cLCd test_cLCd(/* POA_arrays *this, */ const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev);
    struct dLCc test_dLCc(/* POA_arrays *this, */ const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev);
    struct sLCs test_sLCs(/* POA_arrays *this, */ const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev);
    struct cCLd test_cCLd(/* POA_arrays *this, */ const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev);
    struct dCLc test_dCLc(/* POA_arrays *this, */ const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev);
    struct sCLs test_sCLs(/* POA_arrays *this, */ const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data);

class _tao_collocated_arrays : public virtual arrays {

public:
  _tao_collocated_arrays(POA_arrays_ptr servant, TAO_Stub *stub);
  POA_arrays_ptr _get_servant() const;
  virtual struct cLd test_cLd(const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev);
  virtual struct dLc test_dLc(const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev);
  virtual struct sLs test_sLs(const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev);
  virtual struct cLCd test_cLCd(const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev);
  virtual struct dLCc test_dLCc(const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev);
  virtual struct sLCs test_sLCs(const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev);
  virtual struct cCLd test_cCLd(const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev);
  virtual struct dCLc test_dCLc(const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev);
  virtual struct sCLs test_sCLs(const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_arrays_ptr servant_;
} ;


#endif /* _arrays_server_h_ */
