#ifndef _recursive_server_h_
#define _recursive_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "recursive-client.h"
#include <flick/pres/corbaxx.h>

class POA_obj ;


typedef POA_obj *POA_obj_ptr;

class POA_obj : public virtual PortableServer::ServantBase {

protected:
  POA_obj();

public:
  POA_obj(const POA_obj &rhs);
  virtual ~POA_obj();
  obj *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual obj::my_obj_ptr get_server(/* POA_obj *this, */ CORBA::Environment &_ev) = 0;
  virtual void set_server(/* POA_obj *this, */ obj::my_obj_ptr srvr, CORBA::Environment &_ev) = 0;
  virtual enum c convert(/* POA_obj *this, */ const struct a &a1, const struct b &b1, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_obj_tie : public POA_obj {

  public:
    POA_obj_tie(T &t);
    POA_obj_tie(T &t, PortableServer::POA_ptr poa);
    POA_obj_tie(T *t, CORBA::Boolean release = 1);
    POA_obj_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_obj_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_obj_tie(const POA_obj_tie &c);
    void operator=(const POA_obj_tie &c);

  public:
    obj::my_obj_ptr get_server(/* POA_obj *this, */ CORBA::Environment &_ev);
    void set_server(/* POA_obj *this, */ obj::my_obj_ptr srvr, CORBA::Environment &_ev);
    enum c convert(/* POA_obj *this, */ const struct a &a1, const struct b &b1, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, obj_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, obj_ptr *_data);

class _tao_collocated_obj : public virtual obj {

public:
  _tao_collocated_obj(POA_obj_ptr servant, TAO_Stub *stub);
  POA_obj_ptr _get_servant() const;
  virtual obj::my_obj_ptr get_server(CORBA::Environment &_ev);
  virtual void set_server(obj::my_obj_ptr srvr, CORBA::Environment &_ev);
  virtual enum c convert(const struct a &a1, const struct b &b1, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_obj_ptr servant_;
  POA_obj_ptr servant_;
} ;


#endif /* _recursive_server_h_ */
