#ifndef _sequence_client_h_
#define _sequence_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class vec10 {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Long *_buffer;
  CORBA::Boolean _release;
  vec10();
  vec10(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
  vec10(const vec10 &o);
  virtual ~vec10();
  vec10 &operator=(const vec10 &rhs);
  CORBA::Long &operator[](CORBA::ULong i);
  const CORBA::Long &operator[](CORBA::ULong i) const;
  static CORBA::Long *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Long *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Long *get_buffer() const;
} ;


typedef vec10 *vec10_ptr;

class vec10_var {

public:
  vec10_var();
  vec10_var(vec10 *p);
  vec10_var(const vec10_var &a);
  ~vec10_var();
  vec10_var &operator=(vec10 *p);
  vec10_var &operator=(const vec10_var &p);
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  vec10 *operator->();
  const vec10 *operator->() const;
  operator const vec10 &() const;
  operator vec10 &();
  operator vec10 &() const;
  const vec10 &in() const;
  vec10 &inout();
  vec10 *&out();
  vec10 *_retn();
  vec10 *ptr() const;

private:
  vec10_ptr ptr_;
} ;


class vec10_out {

public:
  vec10_out(vec10 *&r);
  vec10_out(vec10_var &r);
  vec10_out(const vec10_out &r);
  vec10_out &operator=(const vec10_out &r);

private:
  vec10_out &operator=(const vec10_var &r);

public:
  vec10_out &operator=(vec10 *r);
  operator vec10 *&();
  vec10 *&ptr();
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  vec10 *operator->();

private:
  vec10_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const vec10 &o);

void operator<<=(CORBA::Any &a, vec10 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, vec10 *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const vec10 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, vec10 *_data);

class puke ;


class puke : public CORBA::UserException {

public:
  puke();
  puke(const puke &o);
  ~puke();
  puke &operator=(const puke &o);
  virtual void _raise();
  static puke *_narrow(CORBA::Exception *e);
  static CORBA::Exception *_alloc();
  CORBA::Long reason;
  puke(CORBA::Long _reason_);
} ;


typedef puke *puke_ptr;

void operator<<=(CORBA::Any &a, const puke &o);

void operator<<=(CORBA::Any &a, puke *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, puke *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const puke *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, puke *_data);

class TestSeq ;


typedef TestSeq *TestSeq_ptr;

class TestSeq_var {

public:
  TestSeq_var();
  TestSeq_var(TestSeq_ptr p);
  TestSeq_var(const TestSeq_var &a);
  ~TestSeq_var();
  TestSeq_var &operator=(TestSeq_ptr p);
  TestSeq_var &operator=(const TestSeq_var &p);
  TestSeq_ptr operator->() const;
  operator const TestSeq_ptr &() const;
  operator TestSeq_ptr &();
  TestSeq_ptr in() const;
  TestSeq_ptr &inout();
  TestSeq_ptr &out();
  TestSeq_ptr _retn();
  TestSeq_ptr ptr() const;

private:
  TestSeq_ptr ptr_;
} ;


class TestSeq_out {

public:
  TestSeq_out(TestSeq_ptr &r);
  TestSeq_out(TestSeq_var &r);
  TestSeq_out(const TestSeq_out &r);
  TestSeq_out &operator=(const TestSeq_out &r);
  TestSeq_out &operator=(const TestSeq_var &r);
  TestSeq_out &operator=(TestSeq_ptr r);
  operator TestSeq_ptr &();
  TestSeq_ptr &ptr();
  TestSeq_ptr operator->();

private:
  TestSeq_ptr &ptr_;
} ;


class TestSeq : public virtual ACE_CORBA_1 (Object) {

public:
  static TestSeq_ptr _duplicate(TestSeq_ptr obj);
  static TestSeq_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static TestSeq_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static TestSeq_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  TestSeq();
  virtual ~TestSeq();

private:
  TestSeq(const TestSeq &v);
  void operator=(const TestSeq &v);

public:
  virtual vec10 *op(/* TestSeq *this, */ const vec10 &iv, vec10_out ov, vec10 &iov, CORBA::Environment &_ev);

protected:
  TestSeq(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const TestSeq_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, TestSeq_ptr *_data);

void operator<<=(CORBA::Any &a, TestSeq_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, TestSeq_ptr &o);

extern CORBA::TypeCode_ptr _tc_vec10;

extern CORBA::TypeCode_ptr _tc_puke;

extern CORBA::TypeCode_ptr _tc_TestSeq;

#endif /* _sequence_client_h_ */
