#ifndef _string__server_h_
#define _string__server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "string_-client.h"
#include <flick/pres/corbaxx.h>

class POA_test ;


typedef POA_test *POA_test_ptr;

class POA_test : public virtual PortableServer::ServantBase {

protected:
  POA_test();

public:
  POA_test(const POA_test &rhs);
  virtual ~POA_test();
  test *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual char *String(/* POA_test *this, */ const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev) = 0;
  virtual char *LongString(/* POA_test *this, */ const char *a, char *&b, longstr_out c, CORBA::Environment &_ev) = 0;
  virtual char *ShortString(/* POA_test *this, */ const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev) = 0;
  virtual struct str *Struct(/* POA_test *this, */ const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_test_tie : public POA_test {

  public:
    POA_test_tie(T &t);
    POA_test_tie(T &t, PortableServer::POA_ptr poa);
    POA_test_tie(T *t, CORBA::Boolean release = 1);
    POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_test_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_test_tie(const POA_test_tie &c);
    void operator=(const POA_test_tie &c);

  public:
    char *String(/* POA_test *this, */ const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev);
    char *LongString(/* POA_test *this, */ const char *a, char *&b, longstr_out c, CORBA::Environment &_ev);
    char *ShortString(/* POA_test *this, */ const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev);
    struct str *Struct(/* POA_test *this, */ const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

class _tao_collocated_test : public virtual test {

public:
  _tao_collocated_test(POA_test_ptr servant, TAO_Stub *stub);
  POA_test_ptr _get_servant() const;
  virtual char *String(const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev);
  virtual char *LongString(const char *a, char *&b, longstr_out c, CORBA::Environment &_ev);
  virtual char *ShortString(const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev);
  virtual struct str *Struct(const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_test_ptr servant_;
} ;


#endif /* _string__server_h_ */
