#include "struct-client.h"
#include "struct-server.h"

static const CORBA::Long _oc_bar[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
    4, ACE_NTOHL(0x62617200) /* name = bar */,
    3 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_string,
    0
};

static CORBA::TypeCode _tc_TAO_tc_bar (CORBA::tk_struct, sizeof(_oc_bar), (char *) &_oc_bar, 0, sizeof(struct bar ));

CORBA::TypeCode_ptr _tc_bar = &_tc_TAO_tc_bar;

void operator<<=(CORBA::Any &a, const struct bar &o)
{
  struct bar  *_any_val;
  ACE_NEW(_any_val, struct bar  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar_var::bar_var()
  : ptr_(0)
{}

bar_var::bar_var(struct bar *p)
 : ptr_(p)
{}

bar_var::bar_var(const bar_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar_var::~bar_var()
{
  delete this->ptr_;
}

bar_var &bar_var::operator=(struct bar *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar_var &bar_var::operator=(const bar_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar (*p.ptr_);
  }
  return *this;
}

struct bar *bar_var::operator->()
{
  return this->ptr_;
}

const struct bar *bar_var::operator->() const
{
  return this->ptr_;
}

bar_var::operator const struct bar &() const
{
  return *this->ptr_;
}

bar_var::operator struct bar &()
{
  return *this->ptr_;
}

bar_var::operator struct bar &() const
{
  return *this->ptr_;
}

const struct bar &bar_var::in() const
{
  return *this->ptr_;
}

struct bar &bar_var::inout()
{
  return *this->ptr_;
}

struct bar *&bar_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct bar *bar_var::_retn()
{
  struct bar  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct bar *bar_var::ptr() const
{
  return this->ptr_;
}

bar_out::bar_out(struct bar *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

bar_out::bar_out(bar_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

bar_out::bar_out(const bar_out &r)
  : ptr_(ACE_const_cast(bar_out &,r).ptr_)
{}

bar_out &bar_out::operator=(const bar_out &r)
{
  this->ptr_ = ACE_const_cast(bar_out &,r).ptr_;
  return *this;
}

bar_out &bar_out::operator=(struct bar *r)
{
  this->ptr_ = r;
  return *this;
}

bar_out::operator struct bar *&()
{
  return this->ptr_;
}

struct bar *&bar_out::ptr()
{
  return this->ptr_;
}

struct bar *bar_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617232), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar2:1.0 */,
    5, ACE_NTOHL(0x62617232), ACE_NTOHL(0x00000000) /* name = bar2 */,
    2 /* member count */,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62340000) /* name = b4 */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
      4, ACE_NTOHL(0x62617200) /* name = bar */,
      3 /* member count */,
      3, ACE_NTOHL(0x62310000) /* name = b1 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62320000) /* name = b2 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62330000) /* name = b3 */,
      CORBA::tk_string,
      0
};

static CORBA::TypeCode _tc_TAO_tc_bar2 (CORBA::tk_struct, sizeof(_oc_bar2), (char *) &_oc_bar2, 0, sizeof(struct bar2 ));

CORBA::TypeCode_ptr _tc_bar2 = &_tc_TAO_tc_bar2;

void operator<<=(CORBA::Any &a, const struct bar2 &o)
{
  struct bar2  *_any_val;
  ACE_NEW(_any_val, struct bar2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar2_var::bar2_var()
  : ptr_(0)
{}

bar2_var::bar2_var(struct bar2 *p)
 : ptr_(p)
{}

bar2_var::bar2_var(const bar2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar2_var::~bar2_var()
{
  delete this->ptr_;
}

bar2_var &bar2_var::operator=(struct bar2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar2_var &bar2_var::operator=(const bar2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar2 (*p.ptr_);
  }
  return *this;
}

struct bar2 *bar2_var::operator->()
{
  return this->ptr_;
}

const struct bar2 *bar2_var::operator->() const
{
  return this->ptr_;
}

bar2_var::operator const struct bar2 &() const
{
  return *this->ptr_;
}

bar2_var::operator struct bar2 &()
{
  return *this->ptr_;
}

bar2_var::operator struct bar2 &() const
{
  return *this->ptr_;
}

const struct bar2 &bar2_var::in() const
{
  return *this->ptr_;
}

struct bar2 &bar2_var::inout()
{
  return *this->ptr_;
}

struct bar2 *&bar2_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct bar2 *bar2_var::_retn()
{
  struct bar2  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct bar2 *bar2_var::ptr() const
{
  return this->ptr_;
}

bar2_out::bar2_out(struct bar2 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

bar2_out::bar2_out(bar2_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

bar2_out::bar2_out(const bar2_out &r)
  : ptr_(ACE_const_cast(bar2_out &,r).ptr_)
{}

bar2_out &bar2_out::operator=(const bar2_out &r)
{
  this->ptr_ = ACE_const_cast(bar2_out &,r).ptr_;
  return *this;
}

bar2_out &bar2_out::operator=(struct bar2 *r)
{
  this->ptr_ = r;
  return *this;
}

bar2_out::operator struct bar2 *&()
{
  return this->ptr_;
}

struct bar2 *&bar2_out::ptr()
{
  return this->ptr_;
}

struct bar2 *bar2_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617233), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar3:1.0 */,
    5, ACE_NTOHL(0x62617233), ACE_NTOHL(0x00000000) /* name = bar3 */,
    3 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_bar3 (CORBA::tk_struct, sizeof(_oc_bar3), (char *) &_oc_bar3, 0, sizeof(struct bar3 ));

CORBA::TypeCode_ptr _tc_bar3 = &_tc_TAO_tc_bar3;

void operator<<=(CORBA::Any &a, const struct bar3 &o)
{
  struct bar3  *_any_val;
  ACE_NEW(_any_val, struct bar3  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar3, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar3 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar3, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar3 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar3  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar3 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar3, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar3, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar3_var::bar3_var()
  : ptr_(0)
{}

bar3_var::bar3_var(struct bar3 *p)
 : ptr_(p)
{}

bar3_var::bar3_var(const bar3_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar3 (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar3_var::~bar3_var()
{
  delete this->ptr_;
}

bar3_var &bar3_var::operator=(struct bar3 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar3_var &bar3_var::operator=(const bar3_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar3 (*p.ptr_);
  }
  return *this;
}

struct bar3 *bar3_var::operator->()
{
  return this->ptr_;
}

const struct bar3 *bar3_var::operator->() const
{
  return this->ptr_;
}

bar3_var::operator const struct bar3 &() const
{
  return *this->ptr_;
}

bar3_var::operator struct bar3 &()
{
  return *this->ptr_;
}

bar3_var::operator struct bar3 &() const
{
  return *this->ptr_;
}

const struct bar3 &bar3_var::in() const
{
  return *this->ptr_;
}

struct bar3 &bar3_var::inout()
{
  return *this->ptr_;
}

struct bar3 &bar3_var::out()
{
  return *this->ptr_;
}

struct bar3 bar3_var::_retn()
{
  return *this->ptr_;
}

struct bar3 *bar3_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar4[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617234), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar4:1.0 */,
    5, ACE_NTOHL(0x62617234), ACE_NTOHL(0x00000000) /* name = bar4 */,
    5 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_struct,
    140 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617232), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar2:1.0 */,
      5, ACE_NTOHL(0x62617232), ACE_NTOHL(0x00000000) /* name = bar2 */,
      2 /* member count */,
      3, ACE_NTOHL(0x62330000) /* name = b3 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62340000) /* name = b4 */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
        4, ACE_NTOHL(0x62617200) /* name = bar */,
        3 /* member count */,
        3, ACE_NTOHL(0x62310000) /* name = b1 */,
        CORBA::tk_long,
        3, ACE_NTOHL(0x62320000) /* name = b2 */,
        CORBA::tk_long,
        3, ACE_NTOHL(0x62330000) /* name = b3 */,
        CORBA::tk_string,
        0,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62340000) /* name = b4 */,
    CORBA::tk_struct,
    76 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617233), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar3:1.0 */,
      5, ACE_NTOHL(0x62617233), ACE_NTOHL(0x00000000) /* name = bar3 */,
      3 /* member count */,
      3, ACE_NTOHL(0x62310000) /* name = b1 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62320000) /* name = b2 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62330000) /* name = b3 */,
      CORBA::tk_long,
    3, ACE_NTOHL(0x62350000) /* name = b5 */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_bar4 (CORBA::tk_struct, sizeof(_oc_bar4), (char *) &_oc_bar4, 0, sizeof(struct bar4 ));

CORBA::TypeCode_ptr _tc_bar4 = &_tc_TAO_tc_bar4;

void operator<<=(CORBA::Any &a, const struct bar4 &o)
{
  struct bar4  *_any_val;
  ACE_NEW(_any_val, struct bar4  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar4, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar4 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar4, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar4 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar4, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar4  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar4 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar4, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar4, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar4_var::bar4_var()
  : ptr_(0)
{}

bar4_var::bar4_var(struct bar4 *p)
 : ptr_(p)
{}

bar4_var::bar4_var(const bar4_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar4 (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar4_var::~bar4_var()
{
  delete this->ptr_;
}

bar4_var &bar4_var::operator=(struct bar4 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar4_var &bar4_var::operator=(const bar4_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar4 (*p.ptr_);
  }
  return *this;
}

struct bar4 *bar4_var::operator->()
{
  return this->ptr_;
}

const struct bar4 *bar4_var::operator->() const
{
  return this->ptr_;
}

bar4_var::operator const struct bar4 &() const
{
  return *this->ptr_;
}

bar4_var::operator struct bar4 &()
{
  return *this->ptr_;
}

bar4_var::operator struct bar4 &() const
{
  return *this->ptr_;
}

const struct bar4 &bar4_var::in() const
{
  return *this->ptr_;
}

struct bar4 &bar4_var::inout()
{
  return *this->ptr_;
}

struct bar4 *&bar4_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct bar4 *bar4_var::_retn()
{
  struct bar4  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct bar4 *bar4_var::ptr() const
{
  return this->ptr_;
}

bar4_out::bar4_out(struct bar4 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

bar4_out::bar4_out(bar4_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

bar4_out::bar4_out(const bar4_out &r)
  : ptr_(ACE_const_cast(bar4_out &,r).ptr_)
{}

bar4_out &bar4_out::operator=(const bar4_out &r)
{
  this->ptr_ = ACE_const_cast(bar4_out &,r).ptr_;
  return *this;
}

bar4_out &bar4_out::operator=(struct bar4 *r)
{
  this->ptr_ = r;
  return *this;
}

bar4_out::operator struct bar4 *&()
{
  return this->ptr_;
}

struct bar4 *&bar4_out::ptr()
{
  return this->ptr_;
}

struct bar4 *bar4_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x666f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:foo:1.0 */,
    4, ACE_NTOHL(0x666f6f00) /* name = foo */
};

static CORBA::TypeCode _tc_TAO_tc_foo (CORBA::tk_objref, sizeof(_oc_foo), (char *) &_oc_foo, 0, sizeof(foo ));

CORBA::TypeCode_ptr _tc_foo = &_tc_TAO_tc_foo;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<foo >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<foo >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

foo_ptr foo::_duplicate(foo_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

foo_ptr foo::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return foo::_nil();
  if( !obj->_is_a("IDL:foo:1.0", _env) )
    return foo::_nil();
  return foo::_unchecked_narrow(obj, _env);
}

foo_ptr foo::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return foo::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new foo (stub);
  return new _tao_collocated_foo(
      ACE_reinterpret_cast(POA_foo_ptr , servant),
      stub
    );
}

foo_ptr foo::_nil()
{
  return (foo_ptr )NULL;
}

CORBA::Boolean foo::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *foo::_interface_repository_id() const
{
  return "IDL:foo:1.0";
}

foo::foo()
{}

foo::~foo()
{}

void operator<<=(CORBA::Any &a, foo_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = foo::_duplicate(o);
    a.replace (_tc_foo, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, foo_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = foo::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_foo, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = foo::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_foo, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

foo::foo(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

foo_var::foo_var()
  : ptr_(foo::_nil())
{}

foo_var::foo_var(foo_ptr p)
  : ptr_(p)
{}

foo_var::foo_var(const foo_var &a)
  : ptr_(foo::_duplicate(a.ptr()))
{}

foo_var::~foo_var()
{
  CORBA::release(this->ptr_);
}

foo_var &foo_var::operator=(foo_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

foo_var &foo_var::operator=(const foo_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = foo::_duplicate(p.ptr());
  }
  return *this;
}

foo_ptr foo_var::operator->() const
{
  return this->ptr_;
}

foo_var::operator const foo_ptr &() const
{
  return this->ptr_;
}

foo_var::operator foo_ptr &()
{
  return this->ptr_;
}

foo_ptr foo_var::in() const
{
  return this->ptr_;
}

foo_ptr &foo_var::inout()
{
  return this->ptr_;
}

foo_ptr &foo_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo::_nil();
  return this->ptr_;
}

foo_ptr foo_var::_retn()
{
  foo_ptr  val = this->ptr_;
  this->ptr_ = foo::_nil();
  return val;
}

foo_ptr foo_var::ptr() const
{
  return this->ptr_;
}

foo_out::foo_out(foo_ptr &r)
  : ptr_(r)
{
  this->ptr_ = foo::_nil();
}

foo_out::foo_out(foo_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo::_nil();
}

foo_out::foo_out(const foo_out &r)
  : ptr_(ACE_const_cast(foo_out &,r).ptr_)
{}

foo_out &foo_out::operator=(const foo_out &r)
{
  this->ptr_ = ACE_const_cast(foo_out &,r).ptr_;
  return *this;
}

foo_out &foo_out::operator=(const foo_var &r)
{
  this->ptr_ = foo::_duplicate(r.ptr());
  return *this;
}

foo_out &foo_out::operator=(foo_ptr r)
{
  this->ptr_ = r;
  return *this;
}

foo_out::operator foo_ptr &()
{
  return this->ptr_;
}

foo_ptr &foo_out::ptr()
{
  return this->ptr_;
}

foo_ptr foo_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_foo2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x666f6f32), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:foo2:1.0 */,
    5, ACE_NTOHL(0x666f6f32), ACE_NTOHL(0x00000000) /* name = foo2 */
};

static CORBA::TypeCode _tc_TAO_tc_foo2 (CORBA::tk_objref, sizeof(_oc_foo2), (char *) &_oc_foo2, 0, sizeof(foo2 ));

CORBA::TypeCode_ptr _tc_foo2 = &_tc_TAO_tc_foo2;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<foo2 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<foo2 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

foo2_ptr foo2::_duplicate(foo2_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

foo2_ptr foo2::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return foo2::_nil();
  if( !obj->_is_a("IDL:foo2:1.0", _env) )
    return foo2::_nil();
  return foo2::_unchecked_narrow(obj, _env);
}

foo2_ptr foo2::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return foo2::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new foo2 (stub);
  return new _tao_collocated_foo2(
      ACE_reinterpret_cast(POA_foo2_ptr , servant),
      stub
    );
}

foo2_ptr foo2::_nil()
{
  return (foo2_ptr )NULL;
}

CORBA::Boolean foo2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:foo2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *foo2::_interface_repository_id() const
{
  return "IDL:foo2:1.0";
}

foo2::foo2()
{}

foo2::~foo2()
{}

void operator<<=(CORBA::Any &a, foo2_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = foo2::_duplicate(o);
    a.replace (_tc_foo2, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, foo2_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = foo2::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_foo2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_foo2, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = foo2::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_foo2, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

foo2::foo2(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

foo2_var::foo2_var()
  : ptr_(foo2::_nil())
{}

foo2_var::foo2_var(foo2_ptr p)
  : ptr_(p)
{}

foo2_var::foo2_var(const foo2_var &a)
  : ptr_(foo2::_duplicate(a.ptr()))
{}

foo2_var::~foo2_var()
{
  CORBA::release(this->ptr_);
}

foo2_var &foo2_var::operator=(foo2_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

foo2_var &foo2_var::operator=(const foo2_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = foo2::_duplicate(p.ptr());
  }
  return *this;
}

foo2_ptr foo2_var::operator->() const
{
  return this->ptr_;
}

foo2_var::operator const foo2_ptr &() const
{
  return this->ptr_;
}

foo2_var::operator foo2_ptr &()
{
  return this->ptr_;
}

foo2_ptr foo2_var::in() const
{
  return this->ptr_;
}

foo2_ptr &foo2_var::inout()
{
  return this->ptr_;
}

foo2_ptr &foo2_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo2::_nil();
  return this->ptr_;
}

foo2_ptr foo2_var::_retn()
{
  foo2_ptr  val = this->ptr_;
  this->ptr_ = foo2::_nil();
  return val;
}

foo2_ptr foo2_var::ptr() const
{
  return this->ptr_;
}

foo2_out::foo2_out(foo2_ptr &r)
  : ptr_(r)
{
  this->ptr_ = foo2::_nil();
}

foo2_out::foo2_out(foo2_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo2::_nil();
}

foo2_out::foo2_out(const foo2_out &r)
  : ptr_(ACE_const_cast(foo2_out &,r).ptr_)
{}

foo2_out &foo2_out::operator=(const foo2_out &r)
{
  this->ptr_ = ACE_const_cast(foo2_out &,r).ptr_;
  return *this;
}

foo2_out &foo2_out::operator=(const foo2_var &r)
{
  this->ptr_ = foo2::_duplicate(r.ptr());
  return *this;
}

foo2_out &foo2_out::operator=(foo2_ptr r)
{
  this->ptr_ = r;
  return *this;
}

foo2_out::operator foo2_ptr &()
{
  return this->ptr_;
}

foo2_ptr &foo2_out::ptr()
{
  return this->ptr_;
}

foo2_ptr foo2_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_Coord[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
    6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
    CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_Coord (CORBA::tk_alias, sizeof(_oc_Coord), (char *) &_oc_Coord, 0, sizeof(Coord ));

CORBA::TypeCode_ptr _tc_Coord = &_tc_TAO_tc_Coord;

static const CORBA::Long _oc_CellPos[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f733a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:CellPos:1.0 */,
    8, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7300) /* name = CellPos */,
    2 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_CellPos (CORBA::tk_struct, sizeof(_oc_CellPos), (char *) &_oc_CellPos, 0, sizeof(struct CellPos ));

CORBA::TypeCode_ptr _tc_CellPos = &_tc_TAO_tc_CellPos;

void operator<<=(CORBA::Any &a, const struct CellPos &o)
{
  struct CellPos  *_any_val;
  ACE_NEW(_any_val, struct CellPos  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct CellPos *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct CellPos *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_CellPos, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct CellPos  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct CellPos , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_CellPos, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_CellPos, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

CellPos_var::CellPos_var()
  : ptr_(0)
{}

CellPos_var::CellPos_var(struct CellPos *p)
 : ptr_(p)
{}

CellPos_var::CellPos_var(const CellPos_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct CellPos (*a.ptr_);
  else
    this->ptr_ = 0;
}

CellPos_var::~CellPos_var()
{
  delete this->ptr_;
}

CellPos_var &CellPos_var::operator=(struct CellPos *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

CellPos_var &CellPos_var::operator=(const CellPos_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct CellPos (*p.ptr_);
  }
  return *this;
}

struct CellPos *CellPos_var::operator->()
{
  return this->ptr_;
}

const struct CellPos *CellPos_var::operator->() const
{
  return this->ptr_;
}

CellPos_var::operator const struct CellPos &() const
{
  return *this->ptr_;
}

CellPos_var::operator struct CellPos &()
{
  return *this->ptr_;
}

CellPos_var::operator struct CellPos &() const
{
  return *this->ptr_;
}

const struct CellPos &CellPos_var::in() const
{
  return *this->ptr_;
}

struct CellPos &CellPos_var::inout()
{
  return *this->ptr_;
}

struct CellPos &CellPos_var::out()
{
  return *this->ptr_;
}

struct CellPos CellPos_var::_retn()
{
  return *this->ptr_;
}

struct CellPos *CellPos_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_CellPos2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7332), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:CellPos2:1.0 */,
    9, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7332), ACE_NTOHL(0x00000000) /* name = CellPos2 */,
    2 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_ushort,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_CellPos2 (CORBA::tk_struct, sizeof(_oc_CellPos2), (char *) &_oc_CellPos2, 0, sizeof(struct CellPos2 ));

CORBA::TypeCode_ptr _tc_CellPos2 = &_tc_TAO_tc_CellPos2;

void operator<<=(CORBA::Any &a, const struct CellPos2 &o)
{
  struct CellPos2  *_any_val;
  ACE_NEW(_any_val, struct CellPos2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct CellPos2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct CellPos2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_CellPos2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct CellPos2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct CellPos2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_CellPos2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_CellPos2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

CellPos2_var::CellPos2_var()
  : ptr_(0)
{}

CellPos2_var::CellPos2_var(struct CellPos2 *p)
 : ptr_(p)
{}

CellPos2_var::CellPos2_var(const CellPos2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct CellPos2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

CellPos2_var::~CellPos2_var()
{
  delete this->ptr_;
}

CellPos2_var &CellPos2_var::operator=(struct CellPos2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

CellPos2_var &CellPos2_var::operator=(const CellPos2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct CellPos2 (*p.ptr_);
  }
  return *this;
}

struct CellPos2 *CellPos2_var::operator->()
{
  return this->ptr_;
}

const struct CellPos2 *CellPos2_var::operator->() const
{
  return this->ptr_;
}

CellPos2_var::operator const struct CellPos2 &() const
{
  return *this->ptr_;
}

CellPos2_var::operator struct CellPos2 &()
{
  return *this->ptr_;
}

CellPos2_var::operator struct CellPos2 &() const
{
  return *this->ptr_;
}

const struct CellPos2 &CellPos2_var::in() const
{
  return *this->ptr_;
}

struct CellPos2 &CellPos2_var::inout()
{
  return *this->ptr_;
}

struct CellPos2 &CellPos2_var::out()
{
  return *this->ptr_;
}

struct CellPos2 CellPos2_var::_retn()
{
  return *this->ptr_;
}

struct CellPos2 *CellPos2_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_CellPos3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7333), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:CellPos3:1.0 */,
    9, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7333), ACE_NTOHL(0x00000000) /* name = CellPos3 */,
    3 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort,
    5, ACE_NTOHL(0x636f6c32), ACE_NTOHL(0x00000000) /* name = col2 */,
    CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_CellPos3 (CORBA::tk_struct, sizeof(_oc_CellPos3), (char *) &_oc_CellPos3, 0, sizeof(struct CellPos3 ));

CORBA::TypeCode_ptr _tc_CellPos3 = &_tc_TAO_tc_CellPos3;

void operator<<=(CORBA::Any &a, const struct CellPos3 &o)
{
  struct CellPos3  *_any_val;
  ACE_NEW(_any_val, struct CellPos3  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos3, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct CellPos3 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos3, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct CellPos3 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_CellPos3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct CellPos3  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct CellPos3 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_CellPos3, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_CellPos3, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

CellPos3_var::CellPos3_var()
  : ptr_(0)
{}

CellPos3_var::CellPos3_var(struct CellPos3 *p)
 : ptr_(p)
{}

CellPos3_var::CellPos3_var(const CellPos3_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct CellPos3 (*a.ptr_);
  else
    this->ptr_ = 0;
}

CellPos3_var::~CellPos3_var()
{
  delete this->ptr_;
}

CellPos3_var &CellPos3_var::operator=(struct CellPos3 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

CellPos3_var &CellPos3_var::operator=(const CellPos3_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct CellPos3 (*p.ptr_);
  }
  return *this;
}

struct CellPos3 *CellPos3_var::operator->()
{
  return this->ptr_;
}

const struct CellPos3 *CellPos3_var::operator->() const
{
  return this->ptr_;
}

CellPos3_var::operator const struct CellPos3 &() const
{
  return *this->ptr_;
}

CellPos3_var::operator struct CellPos3 &()
{
  return *this->ptr_;
}

CellPos3_var::operator struct CellPos3 &() const
{
  return *this->ptr_;
}

const struct CellPos3 &CellPos3_var::in() const
{
  return *this->ptr_;
}

struct CellPos3 &CellPos3_var::inout()
{
  return *this->ptr_;
}

struct CellPos3 &CellPos3_var::out()
{
  return *this->ptr_;
}

struct CellPos3 CellPos3_var::_retn()
{
  return *this->ptr_;
}

struct CellPos3 *CellPos3_var::ptr() const
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->b3, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(33, _flick_abort0);
  flick_iiopxx_encode_new_chunk(12 + 1 * _t0_temp_string_len);
  flick_cdr_encode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->b2, CORBA::Long );
  flick_cdr_encode_unsigned32(8, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(12, _data->b3, 1 * _t0_temp_string_len);
  flick_iiopxx_encode_end_chunk(12 + 1 * _t0_temp_string_len);
  flick_iiopxx_encode_end_glob(33);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(33);
  flick_iiopxx_check_span(12, _flick_abort3);
  flick_iiopxx_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->b2, CORBA::Long );
  flick_cdr_decode_unsigned32(8, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_check_span(1 * _t1_temp_string_len * 1, _flick_abort3);
  flick_iiopxx_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->b3 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b3, 1 * _t1_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t1_temp_string_len);
  flick_iiopxx_decode_end_glob(33);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(33);
  flick_iiopxx_check_span(12, _flick_abort6);
  flick_iiopxx_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->b2, CORBA::Long );
  flick_cdr_swap_decode_unsigned32(8, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_check_span(1 * _t2_temp_string_len * 1, _flick_abort6);
  flick_iiopxx_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t2_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->b3 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b3, 1 * _t2_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t2_temp_string_len);
  flick_iiopxx_decode_end_glob(33);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->b4.b3, flick_unsigned32_t , _t3_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(37, _flick_abort9);
  flick_iiopxx_encode_new_chunk(16 + 1 * _t3_temp_string_len);
  flick_cdr_encode_signed32(0, _data->b3, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->b4.b1, CORBA::Long );
  flick_cdr_encode_signed32(8, _data->b4.b2, CORBA::Long );
  flick_cdr_encode_unsigned32(12, _t3_temp_string_len, flick_unsigned32_t );
  if (_t3_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort9);
  flick_cdr_encode_bcopy(16, _data->b4.b3, 1 * _t3_temp_string_len);
  flick_iiopxx_encode_end_chunk(16 + 1 * _t3_temp_string_len);
  flick_iiopxx_encode_end_glob(37);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(37);
  flick_iiopxx_check_span(16, _flick_abort12);
  flick_iiopxx_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->b3, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->b4.b1, CORBA::Long );
  flick_cdr_decode_signed32(8, _data->b4.b2, CORBA::Long );
  flick_cdr_decode_unsigned32(12, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12);
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_check_span(1 * _t4_temp_string_len * 1, _flick_abort12);
  flick_iiopxx_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t4_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
    _data->b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b4.b3, 1 * _t4_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t4_temp_string_len);
  flick_iiopxx_decode_end_glob(37);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(37);
  flick_iiopxx_check_span(16, _flick_abort15);
  flick_iiopxx_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->b3, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->b4.b1, CORBA::Long );
  flick_cdr_swap_decode_signed32(8, _data->b4.b2, CORBA::Long );
  flick_cdr_swap_decode_unsigned32(12, _t5_temp_string_len, flick_unsigned32_t );
  if (_t5_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort15);
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_check_span(1 * _t5_temp_string_len * 1, _flick_abort15);
  flick_iiopxx_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t5_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    _data->b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b4.b3, 1 * _t5_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t5_temp_string_len);
  flick_iiopxx_decode_end_glob(37);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(12, _flick_abort18);
  flick_iiopxx_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->b2, CORBA::Long );
  flick_cdr_encode_signed32(8, _data->b3, CORBA::Long );
  flick_iiopxx_encode_end_chunk(12);
  flick_iiopxx_encode_end_glob(12);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(12);
  flick_iiopxx_check_span(12, _flick_abort19);
  flick_iiopxx_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->b2, CORBA::Long );
  flick_cdr_decode_signed32(8, _data->b3, CORBA::Long );
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_decode_end_glob(12);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(12);
  flick_iiopxx_check_span(12, _flick_abort20);
  flick_iiopxx_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->b2, CORBA::Long );
  flick_cdr_swap_decode_signed32(8, _data->b3, CORBA::Long );
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_decode_end_glob(12);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_unsigned32_t _t6_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->b2.b4.b3, flick_unsigned32_t , _t6_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(64, _flick_abort21);
  flick_iiopxx_encode_new_chunk(20 + 1 * _t6_temp_string_len);
  flick_cdr_encode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->b2.b3, CORBA::Long );
  flick_cdr_encode_signed32(8, _data->b2.b4.b1, CORBA::Long );
  flick_cdr_encode_signed32(12, _data->b2.b4.b2, CORBA::Long );
  flick_cdr_encode_unsigned32(16, _t6_temp_string_len, flick_unsigned32_t );
  if (_t6_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort21);
  flick_cdr_encode_bcopy(20, _data->b2.b4.b3, 1 * _t6_temp_string_len);
  flick_iiopxx_encode_end_chunk(20 + 1 * _t6_temp_string_len);
  flick_iiopxx_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->b3, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->b4.b1, CORBA::Long );
  flick_cdr_encode_signed32(8, _data->b4.b2, CORBA::Long );
  flick_cdr_encode_signed32(12, _data->b4.b3, CORBA::Long );
  flick_cdr_encode_signed32(16, _data->b5, CORBA::Long );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(64);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(64);
  flick_iiopxx_check_span(20, _flick_abort24);
  flick_iiopxx_decode_new_chunk(20);
  flick_cdr_decode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->b2.b3, CORBA::Long );
  flick_cdr_decode_signed32(8, _data->b2.b4.b1, CORBA::Long );
  flick_cdr_decode_signed32(12, _data->b2.b4.b2, CORBA::Long );
  flick_cdr_decode_unsigned32(16, _t7_temp_string_len, flick_unsigned32_t );
  if (_t7_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort24);
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_check_span(1 * _t7_temp_string_len * 1, _flick_abort24);
  flick_iiopxx_decode_new_chunk(1 * _t7_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t7_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
    _data->b2.b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b2.b4.b3, 1 * _t7_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t7_temp_string_len);
  flick_iiopxx_decode_new_chunk_align(20, 2, 0, 0);
  flick_iiopxx_check_span(20, _flick_abort24);
  flick_cdr_decode_signed32(0, _data->b3, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->b4.b1, CORBA::Long );
  flick_cdr_decode_signed32(8, _data->b4.b2, CORBA::Long );
  flick_cdr_decode_signed32(12, _data->b4.b3, CORBA::Long );
  flick_cdr_decode_signed32(16, _data->b5, CORBA::Long );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(64);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t8_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(64);
  flick_iiopxx_check_span(20, _flick_abort27);
  flick_iiopxx_decode_new_chunk(20);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->b2.b3, CORBA::Long );
  flick_cdr_swap_decode_signed32(8, _data->b2.b4.b1, CORBA::Long );
  flick_cdr_swap_decode_signed32(12, _data->b2.b4.b2, CORBA::Long );
  flick_cdr_swap_decode_unsigned32(16, _t8_temp_string_len, flick_unsigned32_t );
  if (_t8_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort27);
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_check_span(1 * _t8_temp_string_len * 1, _flick_abort27);
  flick_iiopxx_decode_new_chunk(1 * _t8_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t8_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
    _data->b2.b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b2.b4.b3, 1 * _t8_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t8_temp_string_len);
  flick_iiopxx_decode_new_chunk_align(20, 2, 0, 0);
  flick_iiopxx_check_span(20, _flick_abort27);
  flick_cdr_swap_decode_signed32(0, _data->b3, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->b4.b1, CORBA::Long );
  flick_cdr_swap_decode_signed32(8, _data->b4.b2, CORBA::Long );
  flick_cdr_swap_decode_signed32(12, _data->b4.b3, CORBA::Long );
  flick_cdr_swap_decode_signed32(16, _data->b5, CORBA::Long );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(64);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const foo_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, foo , _flick_abort30);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, foo_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, foo , _flick_abort31);
  return 0;
  {
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, foo_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, foo , _flick_abort32);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Long foo::op(/* foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort34);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort34);
    }
    {
      flick_unsigned32_t _t10_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b3, flick_unsigned32_t , _t10_temp_string_len);

      flick_iiopxx_encode_new_glob(45, _flick_abort34);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t10_temp_string_len);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b1, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(20, _t10_temp_string_len, flick_unsigned32_t );
      if (_t10_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort34);
      flick_cdr_encode_bcopy(24, a.b3, 1 * _t10_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t10_temp_string_len);
      flick_iiopxx_encode_end_glob(45);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort34);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort34);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort34);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t16_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort57);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(16, _t16_temp_string_len, flick_unsigned32_t );
              if (_t16_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort57);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t16_temp_string_len * 1, _flick_abort57);
              flick_iiopxx_decode_new_chunk(1 * _t16_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t16_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
                b->b4.b3 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b->b4.b3, 1 * _t16_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t16_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort57:
                goto _flick_abort34;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort60);
              break;
              {
              _flick_abort60:
                goto _flick_abort34;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort61:
                goto _flick_abort34;
              }
            }
          }
      }
    else
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort34);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t13_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort46);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort46);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(16, _t13_temp_string_len, flick_unsigned32_t );
              if (_t13_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort46);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t13_temp_string_len * 1, _flick_abort46);
              flick_iiopxx_decode_new_chunk(1 * _t13_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t13_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort46);
                b->b4.b3 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b->b4.b3, 1 * _t13_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t13_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort46:
                goto _flick_abort34;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort49);
              break;
              {
              _flick_abort49:
                goto _flick_abort34;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort50:
                goto _flick_abort34;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort34:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort33);
    _flick_abort33:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const foo2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, foo2 , _flick_abort62);
  return 0;
  {
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, foo2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, foo2 , _flick_abort63);
  return 0;
  {
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, foo2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, foo2 , _flick_abort64);
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

struct bar *foo2::op2(/* foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct bar *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort66);
    }
    {
      flick_unsigned32_t _t18_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b4.b3, flick_unsigned32_t , _t18_temp_string_len);

      flick_iiopxx_encode_new_glob(49, _flick_abort66);
      flick_iiopxx_encode_new_chunk(28 + 1 * _t18_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b3, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(20, a.b4.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(24, _t18_temp_string_len, flick_unsigned32_t );
      if (_t18_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort66);
      flick_cdr_encode_bcopy(28, a.b4.b3, 1 * _t18_temp_string_len);
      flick_iiopxx_encode_end_chunk(28 + 1 * _t18_temp_string_len);
      flick_iiopxx_encode_end_glob(49);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t22_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(37);
        flick_iiopxx_check_span(4, _flick_abort66);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t22_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t22_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t24_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar *)new (struct bar );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort89);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(12, _flick_abort89);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, _return->b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(8, _t24_temp_string_len, flick_unsigned32_t );
              if (_t24_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort89);
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_check_span(1 * _t24_temp_string_len * 1, _flick_abort89);
              flick_iiopxx_decode_new_chunk(1 * _t24_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t24_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort89);
                _return->b3 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->b3, 1 * _t24_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t24_temp_string_len);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort89:
                goto _flick_abort66;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(37);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort92);
              break;
              {
              _flick_abort92:
                goto _flick_abort66;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort93:
                goto _flick_abort66;
              }
            }
          }
      }
    else
      {
        int _t19_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(37);
        flick_iiopxx_check_span(4, _flick_abort66);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t19_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t19_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t21_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar *)new (struct bar );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(12, _flick_abort78);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_decode_signed32(4, _return->b2, CORBA::Long );
              flick_cdr_decode_unsigned32(8, _t21_temp_string_len, flick_unsigned32_t );
              if (_t21_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort78);
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_check_span(1 * _t21_temp_string_len * 1, _flick_abort78);
              flick_iiopxx_decode_new_chunk(1 * _t21_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t21_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
                _return->b3 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->b3, 1 * _t21_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t21_temp_string_len);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort78:
                goto _flick_abort66;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(37);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort81);
              break;
              {
              _flick_abort81:
                goto _flick_abort66;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort82);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort82:
                goto _flick_abort66;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort66:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort65);
    _flick_abort65:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long foo2::op3(/* foo2 *this, */ CORBA::Long a, CORBA::Char &b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort95);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort95);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort95);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort95);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort95);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t26_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort95);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t26_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t26_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort108);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_char8(4, b, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort108:
                goto _flick_abort95;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort109);
              break;
              {
              _flick_abort109:
                goto _flick_abort95;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort110:
                goto _flick_abort95;
              }
            }
          }
      }
    else
      {
        int _t25_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort95);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t25_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t25_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort101);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_char8(4, b, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort101:
                goto _flick_abort95;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort102);
              break;
              {
              _flick_abort102:
                goto _flick_abort95;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort103:
                goto _flick_abort95;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort95:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort94);
    _flick_abort94:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long foo2::op(/* foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort112);
    }
    {
      flick_unsigned32_t _t28_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b3, flick_unsigned32_t , _t28_temp_string_len);

      flick_iiopxx_encode_new_glob(45, _flick_abort112);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t28_temp_string_len);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b1, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(20, _t28_temp_string_len, flick_unsigned32_t );
      if (_t28_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort112);
      flick_cdr_encode_bcopy(24, a.b3, 1 * _t28_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t28_temp_string_len);
      flick_iiopxx_encode_end_glob(45);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t32_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort112);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t32_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t32_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t34_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort135);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(16, _t34_temp_string_len, flick_unsigned32_t );
              if (_t34_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort135);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t34_temp_string_len * 1, _flick_abort135);
              flick_iiopxx_decode_new_chunk(1 * _t34_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t34_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
                b->b4.b3 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b->b4.b3, 1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort135:
                goto _flick_abort112;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort138);
              break;
              {
              _flick_abort138:
                goto _flick_abort112;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort139);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort139:
                goto _flick_abort112;
              }
            }
          }
      }
    else
      {
        int _t29_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort112);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t29_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t29_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t31_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort124);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort124);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(16, _t31_temp_string_len, flick_unsigned32_t );
              if (_t31_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort124);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t31_temp_string_len * 1, _flick_abort124);
              flick_iiopxx_decode_new_chunk(1 * _t31_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t31_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort124);
                b->b4.b3 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b->b4.b3, 1 * _t31_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t31_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort124:
                goto _flick_abort112;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort127);
              break;
              {
              _flick_abort127:
                goto _flick_abort112;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort128);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort128:
                goto _flick_abort112;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort112:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort111);
    _flick_abort111:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const Coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort140);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data, CORBA::UShort );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort140:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort141);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort141:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort142);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort142:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort143);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_encode_unsigned16(2, _data->col, CORBA::UShort );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort143:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort144);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_decode_unsigned16(2, _data->col, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort145);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_swap_decode_unsigned16(2, _data->col, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort145:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort146);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_encode_unsigned16(2, _data->col, CORBA::UShort );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort146:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort147);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_decode_unsigned16(2, _data->col, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort147:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort148);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_swap_decode_unsigned16(2, _data->col, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort148:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(6, _flick_abort149);
  flick_iiopxx_encode_new_chunk(6);
  flick_cdr_encode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_encode_unsigned16(2, _data->col, CORBA::UShort );
  flick_cdr_encode_unsigned16(4, _data->col2, CORBA::UShort );
  flick_iiopxx_encode_end_chunk(6);
  flick_iiopxx_encode_end_glob(6);
  return 0;
  {
  _flick_abort149:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(6);
  flick_iiopxx_check_span(6, _flick_abort150);
  flick_iiopxx_decode_new_chunk(6);
  flick_cdr_decode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_decode_unsigned16(2, _data->col, CORBA::UShort );
  flick_cdr_decode_unsigned16(4, _data->col2, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(6);
  flick_iiopxx_decode_end_glob(6);
  return 0;
  {
  _flick_abort150:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(6);
  flick_iiopxx_check_span(6, _flick_abort151);
  flick_iiopxx_decode_new_chunk(6);
  flick_cdr_swap_decode_unsigned16(0, _data->row, CORBA::UShort );
  flick_cdr_swap_decode_unsigned16(2, _data->col, CORBA::UShort );
  flick_cdr_swap_decode_unsigned16(4, _data->col2, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(6);
  flick_iiopxx_decode_end_glob(6);
  return 0;
  {
  _flick_abort151:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

