#include "turtle-client-server.h"

POA_Client::POA_Client()
{}

POA_Client::POA_Client(const POA_Client &rhs)
  : TAO_ServantBase(rhs)
{}

POA_Client::~POA_Client()
{}

Client *POA_Client::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_Client(this, stub);
}

CORBA::Boolean POA_Client::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Client:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_Client::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:Client:1.0") == 0)
    return ACE_static_cast(POA_Client_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_Client::_interface_repository_id() const
{
  return "IDL:Client:1.0";
}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_Client_tie<T>::~POA_Client_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_Client_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_Client_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_Client_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_Client_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_Client_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_Client_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_Client_tie<T>::POA_Client_tie(const POA_Client_tie &c)
{}

template <class T>
  void POA_Client_tie<T>::operator=(const POA_Client_tie &c)
{}

template <class T>
  CORBA::Long POA_Client_tie<T>::SetLeft(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev)
{
  return this->ptr_->SetLeft (speed, _ev);
}

template <class T>
  CORBA::Long POA_Client_tie<T>::SetRight(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev)
{
  return this->ptr_->SetRight (speed, _ev);
}

template <class T>
  CORBA::Long POA_Client_tie<T>::GetButton(/* POA_Client *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->GetButton (_ev);
}

template <class T>
  CORBA::Long POA_Client_tie<T>::GetPhoto(/* POA_Client *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->GetPhoto (_ev);
}

_tao_collocated_Client::_tao_collocated_Client(POA_Client_ptr servant, TAO_Stub *stub)
  : Client(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_Client_ptr _tao_collocated_Client::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_Client::SetLeft(CORBA::Long speed, CORBA::Environment &_ev)
{
  return this->servant_->SetLeft (speed, _ev);
}

CORBA::Long _tao_collocated_Client::SetRight(CORBA::Long speed, CORBA::Environment &_ev)
{
  return this->servant_->SetRight (speed, _ev);
}

CORBA::Long _tao_collocated_Client::GetButton(CORBA::Environment &_ev)
{
  return this->servant_->GetButton (_ev);
}

CORBA::Long _tao_collocated_Client::GetPhoto(CORBA::Environment &_ev)
{
  return this->servant_->GetPhoto (_ev);
}

CORBA::Boolean _tao_collocated_Client::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, Client_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, Client , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Client_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, Client , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, Client_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, Client , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_Client::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t72_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t72_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t72_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t73_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t74_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        POA_Client *_local_this;
                        unsigned int _t75_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_speed;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t75_principal_len);
                        flick_iiopxx_check_span(_t75_principal_len * 1, _flick_abort150);
                        flick_iiopxx_decode_new_chunk(_t75_principal_len);
                        flick_iiopxx_decode_end_chunk(_t75_principal_len);
                        flick_iiopxx_decode_end_glob(_t75_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort150);
                        flick_cdr_swap_decode_signed32(0, _local_speed, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->SetLeft(_local_speed, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t76_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t76_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort150);
                          flick_iiopxx_encode_new_glob(8, _flick_abort150);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t76_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t76_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort156);
                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort157:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t77_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t78_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t78_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t79_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t79_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t79_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_Client *_local_this;
                              unsigned int _t80_principal_len;
                              CORBA::Long _return;
                              CORBA::Long _local_speed;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort159);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t80_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t80_principal_len);
                              flick_iiopxx_check_span(_t80_principal_len * 1, _flick_abort159);
                              flick_iiopxx_decode_new_chunk(_t80_principal_len);
                              flick_iiopxx_decode_end_chunk(_t80_principal_len);
                              flick_iiopxx_decode_end_glob(_t80_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort159);
                              flick_cdr_swap_decode_signed32(0, _local_speed, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->SetRight(_local_speed, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t81_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t81_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort159);
                                flick_iiopxx_encode_new_glob(8, _flick_abort159);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t81_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t81_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort165);
                                      break;
                                      {
                                      _flick_abort165:
                                        goto _flick_abort159;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort166:
                                        goto _flick_abort159;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort159:
                                goto _flick_abort158;
                              }
                            }
                            break;
                            {
                            _flick_abort158:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t82_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t82_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t83_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t83_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t83_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_Client *_local_this;
                              unsigned int _t84_principal_len;
                              CORBA::Long _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort168);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t84_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t84_principal_len);
                              flick_iiopxx_check_span(_t84_principal_len * 1, _flick_abort168);
                              flick_iiopxx_decode_new_chunk(_t84_principal_len);
                              flick_iiopxx_decode_end_chunk(_t84_principal_len);
                              flick_iiopxx_decode_end_glob(_t84_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->GetPhoto(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t85_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t85_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort168);
                                flick_iiopxx_encode_new_glob(8, _flick_abort168);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t85_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t85_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort174);
                                      break;
                                      {
                                      _flick_abort174:
                                        goto _flick_abort168;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort175:
                                        goto _flick_abort168;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort168:
                                goto _flick_abort167;
                              }
                            }
                            break;
                            {
                            _flick_abort167:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t86_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t86_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t87_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t87_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t88_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t88_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              POA_Client *_local_this;
                              unsigned int _t89_principal_len;
                              CORBA::Long _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort177);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t89_principal_len);
                              flick_iiopxx_check_span(_t89_principal_len * 1, _flick_abort177);
                              flick_iiopxx_decode_new_chunk(_t89_principal_len);
                              flick_iiopxx_decode_end_chunk(_t89_principal_len);
                              flick_iiopxx_decode_end_glob(_t89_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->GetButton(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t90_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t90_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort177);
                                flick_iiopxx_encode_new_glob(8, _flick_abort177);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t90_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t90_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort183);
                                      break;
                                      {
                                      _flick_abort183:
                                        goto _flick_abort177;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort184:
                                        goto _flick_abort177;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort177:
                                goto _flick_abort176;
                              }
                            }
                            break;
                            {
                            _flick_abort176:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t91_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t91_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t92_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t92_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_Client *_local_this;
                        unsigned int _t93_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t94_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t93_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t93_principal_len);
                        flick_iiopxx_check_span(_t93_principal_len * 1, _flick_abort186);
                        flick_iiopxx_decode_new_chunk(_t93_principal_len);
                        flick_iiopxx_decode_end_chunk(_t93_principal_len);
                        flick_iiopxx_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort186);
                        flick_cdr_swap_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t94_temp_string_len);
                        flick_iiopxx_check_span(1 * _t94_temp_string_len * 1, _flick_abort186);
                        flick_iiopxx_decode_new_chunk(1 * _t94_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t94_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort186);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t94_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t94_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t94_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t95_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t95_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort186);
                          flick_iiopxx_encode_new_glob(5, _flick_abort186);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t95_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t95_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort194);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t24_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t25_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t26_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t26_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        POA_Client *_local_this;
                        unsigned int _t27_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_speed;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t27_principal_len);
                        flick_iiopxx_check_span(_t27_principal_len * 1, _flick_abort55);
                        flick_iiopxx_decode_new_chunk(_t27_principal_len);
                        flick_iiopxx_decode_end_chunk(_t27_principal_len);
                        flick_iiopxx_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort55);
                        flick_cdr_decode_signed32(0, _local_speed, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->SetLeft(_local_speed, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t28_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t28_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort55);
                          flick_iiopxx_encode_new_glob(8, _flick_abort55);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t28_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t28_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort61);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort62:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t29_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t30_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t31_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t31_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t31_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_Client *_local_this;
                              unsigned int _t32_principal_len;
                              CORBA::Long _return;
                              CORBA::Long _local_speed;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort64);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t32_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t32_principal_len);
                              flick_iiopxx_check_span(_t32_principal_len * 1, _flick_abort64);
                              flick_iiopxx_decode_new_chunk(_t32_principal_len);
                              flick_iiopxx_decode_end_chunk(_t32_principal_len);
                              flick_iiopxx_decode_end_glob(_t32_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort64);
                              flick_cdr_decode_signed32(0, _local_speed, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->SetRight(_local_speed, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t33_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t33_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort64);
                                flick_iiopxx_encode_new_glob(8, _flick_abort64);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t33_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t33_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort70);
                                      break;
                                      {
                                      _flick_abort70:
                                        goto _flick_abort64;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort71:
                                        goto _flick_abort64;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort64:
                                goto _flick_abort63;
                              }
                            }
                            break;
                            {
                            _flick_abort63:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t34_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t35_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t35_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t35_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_Client *_local_this;
                              unsigned int _t36_principal_len;
                              CORBA::Long _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort73);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t36_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t36_principal_len);
                              flick_iiopxx_check_span(_t36_principal_len * 1, _flick_abort73);
                              flick_iiopxx_decode_new_chunk(_t36_principal_len);
                              flick_iiopxx_decode_end_chunk(_t36_principal_len);
                              flick_iiopxx_decode_end_glob(_t36_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->GetPhoto(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t37_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t37_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort73);
                                flick_iiopxx_encode_new_glob(8, _flick_abort73);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t37_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t37_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort79);
                                      break;
                                      {
                                      _flick_abort79:
                                        goto _flick_abort73;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort80:
                                        goto _flick_abort73;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort73:
                                goto _flick_abort72;
                              }
                            }
                            break;
                            {
                            _flick_abort72:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t38_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t38_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t39_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t40_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t40_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              POA_Client *_local_this;
                              unsigned int _t41_principal_len;
                              CORBA::Long _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort82);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_decode_new_glob(_t41_principal_len);
                              flick_iiopxx_check_span(_t41_principal_len * 1, _flick_abort82);
                              flick_iiopxx_decode_new_chunk(_t41_principal_len);
                              flick_iiopxx_decode_end_chunk(_t41_principal_len);
                              flick_iiopxx_decode_end_glob(_t41_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->GetButton(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t42_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t42_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort82);
                                flick_iiopxx_encode_new_glob(8, _flick_abort82);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t42_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t42_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort88);
                                      break;
                                      {
                                      _flick_abort88:
                                        goto _flick_abort82;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort89:
                                        goto _flick_abort82;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort82:
                                goto _flick_abort81;
                              }
                            }
                            break;
                            {
                            _flick_abort81:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_Client *_local_this;
                        unsigned int _t45_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_decode_new_glob(_t45_principal_len);
                        flick_iiopxx_check_span(_t45_principal_len * 1, _flick_abort91);
                        flick_iiopxx_decode_new_chunk(_t45_principal_len);
                        flick_iiopxx_decode_end_chunk(_t45_principal_len);
                        flick_iiopxx_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort91);
                        flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t46_temp_string_len);
                        flick_iiopxx_check_span(1 * _t46_temp_string_len * 1, _flick_abort91);
                        flick_iiopxx_decode_new_chunk(1 * _t46_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t46_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t46_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t46_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t47_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t47_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                          flick_iiopxx_encode_new_glob(5, _flick_abort91);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t47_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t47_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

