#include "unionplain_-server.h"

POA_un::POA_un()
{}

POA_un::POA_un(const POA_un &rhs)
  : TAO_ServantBase(rhs)
{}

POA_un::~POA_un()
{}

un *POA_un::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_un(this, stub);
}

CORBA::Boolean POA_un::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:un:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_un::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:un:1.0") == 0)
    return ACE_static_cast(POA_un_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_un::_interface_repository_id() const
{
  return "IDL:un:1.0";
}

template <class T>
  POA_un_tie<T>::POA_un_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_un_tie<T>::POA_un_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_un_tie<T>::POA_un_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_un_tie<T>::POA_un_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_un_tie<T>::~POA_un_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_un_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_un_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_un_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_un_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_un_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_un_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_un_tie<T>::POA_un_tie(const POA_un_tie &c)
{}

template <class T>
  void POA_un_tie<T>::operator=(const POA_un_tie &c)
{}

template <class T>
  Foo POA_un_tie<T>::one(/* POA_un *this, */ const Foo2 &a, CORBA::Environment &_ev)
{
  return this->ptr_->one (a, _ev);
}

template <class T>
  Foo3 POA_un_tie<T>::two(/* POA_un *this, */ const Foo4 &a, CORBA::Environment &_ev)
{
  return this->ptr_->two (a, _ev);
}

_tao_collocated_un::_tao_collocated_un(POA_un_ptr servant, TAO_Stub *stub)
  : un(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_un_ptr _tao_collocated_un::_get_servant() const
{
  return this->servant_;
}

Foo _tao_collocated_un::one(const Foo2 &a, CORBA::Environment &_ev)
{
  return this->servant_->one (a, _ev);
}

Foo3 _tao_collocated_un::two(const Foo4 &a, CORBA::Environment &_ev)
{
  return this->servant_->two (a, _ev);
}

CORBA::Boolean _tao_collocated_un::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub(flick_marshal_stream_t _stream, un_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, un , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, un_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, un , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, un_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, un , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_un::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t41_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t41_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t41_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t42_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t42_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  POA_un *_local_this;
                  unsigned int _t43_principal_len;
                  Foo _return;
                  Foo2 _local_a;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort258);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort258);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t43_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t43_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t43_principal_len * 1, _flick_abort258);
                  flick_iiopxx_decode_new_chunk(_t43_principal_len);
                  flick_iiopxx_decode_end_chunk(_t43_principal_len);
                  flick_iiopxx_decode_end_glob(_t43_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(8);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_a.disc_, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch (_local_a.disc_)
                    {
                    case 'a':
                      {
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort264);
                        flick_cdr_swap_decode_signed32(0, _local_a._u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort264:
                          goto _flick_abort258;
                        }
                      }
                    case 'b':
                      {
                        flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiopxx_check_span(2, _flick_abort265);
                        flick_cdr_swap_decode_signed16(0, _local_a._u.y, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort265:
                          goto _flick_abort258;
                        }
                      }
                    case 'c':
                      {
                        flick_iiopxx_check_span(1, _flick_abort266);
                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_a._u.z, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort266:
                          goto _flick_abort258;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_iiopxx_decode_end_glob(8);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->one(_local_a, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t44_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t44_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort258);
                    flick_iiopxx_encode_new_glob(12, _flick_abort258);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t44_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t44_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return.disc_, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_return.disc_)
                            {
                            case 1:
                              {
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.x, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.y, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(12);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort287);
                          break;
                          {
                          _flick_abort287:
                            goto _flick_abort258;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort288);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort288:
                            goto _flick_abort258;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort258:
                    goto _flick_abort257;
                  }
                }
                break;
                {
                _flick_abort257:
                  goto _flick_abort5;
                }
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  POA_un *_local_this;
                  unsigned int _t45_principal_len;
                  Foo3 _return;
                  Foo4 _local_a;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort290);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t45_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t45_principal_len);
                  flick_iiopxx_check_span(_t45_principal_len * 1, _flick_abort290);
                  flick_iiopxx_decode_new_chunk(_t45_principal_len);
                  flick_iiopxx_decode_end_chunk(_t45_principal_len);
                  flick_iiopxx_decode_end_glob(_t45_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(51);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort290);
                  flick_cdr_swap_decode_signed32(0, _local_a.disc_, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_local_a.disc_)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t48_temp_string_len;

                        flick_iiopxx_check_span(4, _flick_abort302);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t48_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(51);
                        flick_iiopxx_decode_new_glob(1 * _t48_temp_string_len);
                        flick_iiopxx_check_span(1 * _t48_temp_string_len * 1, _flick_abort302);
                        flick_iiopxx_decode_new_chunk(1 * _t48_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t48_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort302);
                          _local_a._u.a = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a._u.a, 1 * _t48_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t48_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t48_temp_string_len);
                        break;
                        {
                        _flick_abort302:
                          goto _flick_abort290;
                        }
                      }
                    case 2:
                      {
                        CORBA::ULong _t49_array_iter;

                        {
                          Foo4::flick_sequence_long *_t_alloc_ptr;

                          _t_alloc_ptr = (Foo4::flick_sequence_long *)new Foo4::flick_sequence_long ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort305);
                          _local_a._u.b = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort305);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_a._u.b->_length, CORBA::ULong );
                        if (_local_a._u.b->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort305);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(_local_a._u.b->_length * 4, _flick_abort305);
                        for (_t49_array_iter = 0; _t49_array_iter < _local_a._u.b->_length; _t49_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_a._u.b->_buffer[_t49_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiopxx_decode_end_glob(51);
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort290;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_check_span(4, _flick_abort311);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a._u.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(51);
                        break;
                        {
                        _flick_abort311:
                          goto _flick_abort290;
                        }
                      }
                    }
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->two(_local_a, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t50_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t50_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort290);
                    flick_iiopxx_encode_new_glob(12, _flick_abort290);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t50_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t50_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return.disc_, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(2);
                          switch (_return.disc_)
                            {
                            case -1:
                              {
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.a, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                break;
                              }
                            case 50:
                              {
                                flick_iiopxx_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _return._u.b, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(6);
                                break;
                              }
                            default:
                              {
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.c, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(12);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort331);
                          break;
                          {
                          _flick_abort331:
                            goto _flick_abort290;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort332);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort332:
                            goto _flick_abort290;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort290:
                    goto _flick_abort289;
                  }
                }
                break;
                {
                _flick_abort289:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t51_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t51_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t52_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t52_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t52_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_un *_local_this;
                        unsigned int _t53_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t54_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort334);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t53_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t53_principal_len);
                        flick_iiopxx_check_span(_t53_principal_len * 1, _flick_abort334);
                        flick_iiopxx_decode_new_chunk(_t53_principal_len);
                        flick_iiopxx_decode_end_chunk(_t53_principal_len);
                        flick_iiopxx_decode_end_glob(_t53_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort334);
                        flick_cdr_swap_decode_unsigned32(0, _t54_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t54_temp_string_len);
                        flick_iiopxx_check_span(1 * _t54_temp_string_len * 1, _flick_abort334);
                        flick_iiopxx_decode_new_chunk(1 * _t54_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t54_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort334);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_type_id, 1 * _t54_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t54_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t54_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t55_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t55_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort334);
                          flick_iiopxx_encode_new_glob(5, _flick_abort334);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t55_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t55_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort342);
                                break;
                                {
                                _flick_abort342:
                                  goto _flick_abort334;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort343);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort343:
                                  goto _flick_abort334;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort334:
                          goto _flick_abort333;
                        }
                      }
                      break;
                      {
                      _flick_abort333:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t13_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t14_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t14_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t14_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  POA_un *_local_this;
                  unsigned int _t15_principal_len;
                  Foo _return;
                  Foo2 _local_a;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort89);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_check_span(5, _flick_abort89);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t15_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t15_principal_len);
                  flick_iiopxx_check_span(5 - 5 + 1 + _t15_principal_len * 1, _flick_abort89);
                  flick_iiopxx_decode_new_chunk(_t15_principal_len);
                  flick_iiopxx_decode_end_chunk(_t15_principal_len);
                  flick_iiopxx_decode_end_glob(_t15_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(8);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a.disc_, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch (_local_a.disc_)
                    {
                    case 'a':
                      {
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort95);
                        flick_cdr_decode_signed32(0, _local_a._u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort95:
                          goto _flick_abort89;
                        }
                      }
                    case 'b':
                      {
                        flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiopxx_check_span(2, _flick_abort96);
                        flick_cdr_decode_signed16(0, _local_a._u.y, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort96:
                          goto _flick_abort89;
                        }
                      }
                    case 'c':
                      {
                        flick_iiopxx_check_span(1, _flick_abort97);
                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_a._u.z, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort97:
                          goto _flick_abort89;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_iiopxx_decode_end_glob(8);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->one(_local_a, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t16_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t16_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort89);
                    flick_iiopxx_encode_new_glob(12, _flick_abort89);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t16_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t16_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return.disc_, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_return.disc_)
                            {
                            case 1:
                              {
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.x, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.y, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(12);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort118);
                          break;
                          {
                          _flick_abort118:
                            goto _flick_abort89;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort119:
                            goto _flick_abort89;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort89:
                    goto _flick_abort88;
                  }
                }
                break;
                {
                _flick_abort88:
                  goto _flick_abort5;
                }
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  POA_un *_local_this;
                  unsigned int _t17_principal_len;
                  Foo3 _return;
                  Foo4 _local_a;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort121);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t17_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_decode_new_glob(_t17_principal_len);
                  flick_iiopxx_check_span(_t17_principal_len * 1, _flick_abort121);
                  flick_iiopxx_decode_new_chunk(_t17_principal_len);
                  flick_iiopxx_decode_end_chunk(_t17_principal_len);
                  flick_iiopxx_decode_end_glob(_t17_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_decode_new_glob(51);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort121);
                  flick_cdr_decode_signed32(0, _local_a.disc_, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_local_a.disc_)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t19_temp_string_len;

                        flick_iiopxx_check_span(4, _flick_abort130);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t19_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(51);
                        flick_iiopxx_decode_new_glob(1 * _t19_temp_string_len);
                        flick_iiopxx_check_span(1 * _t19_temp_string_len * 1, _flick_abort130);
                        flick_iiopxx_decode_new_chunk(1 * _t19_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t19_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort130);
                          _local_a._u.a = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a._u.a, 1 * _t19_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t19_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t19_temp_string_len);
                        break;
                        {
                        _flick_abort130:
                          goto _flick_abort121;
                        }
                      }
                    case 2:
                      {
                        {
                          Foo4::flick_sequence_long *_t_alloc_ptr;

                          _t_alloc_ptr = (Foo4::flick_sequence_long *)new Foo4::flick_sequence_long ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort133);
                          _local_a._u.b = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort133);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_a._u.b->_length, CORBA::ULong );
                        if (_local_a._u.b->_length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort133);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(4 * _local_a._u.b->_length * 1, _flick_abort133);
                        flick_iiopxx_decode_new_chunk(4 * _local_a._u.b->_length);
                        flick_cdr_decode_bcopy(0, _local_a._u.b->_buffer, 4 * _local_a._u.b->_length);
                        flick_iiopxx_decode_end_chunk(4 * _local_a._u.b->_length);
                        flick_iiopxx_decode_end_glob(51);
                        break;
                        {
                        _flick_abort133:
                          goto _flick_abort121;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_check_span(4, _flick_abort136);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a._u.c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(51);
                        break;
                        {
                        _flick_abort136:
                          goto _flick_abort121;
                        }
                      }
                    }
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->two(_local_a, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t20_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t20_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort121);
                    flick_iiopxx_encode_new_glob(12, _flick_abort121);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t20_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t20_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return.disc_, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(2);
                          switch (_return.disc_)
                            {
                            case -1:
                              {
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.a, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                break;
                              }
                            case 50:
                              {
                                flick_iiopxx_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _return._u.b, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(6);
                                break;
                              }
                            default:
                              {
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.c, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiopxx_encode_end_glob(12);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort156);
                          break;
                          {
                          _flick_abort156:
                            goto _flick_abort121;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort157:
                            goto _flick_abort121;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort121:
                    goto _flick_abort120;
                  }
                }
                break;
                {
                _flick_abort120:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t21_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t22_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t22_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t22_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_un *_local_this;
                        unsigned int _t23_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t24_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort159);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t23_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_decode_new_glob(_t23_principal_len);
                        flick_iiopxx_check_span(_t23_principal_len * 1, _flick_abort159);
                        flick_iiopxx_decode_new_chunk(_t23_principal_len);
                        flick_iiopxx_decode_end_chunk(_t23_principal_len);
                        flick_iiopxx_decode_end_glob(_t23_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort159);
                        flick_cdr_decode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t24_temp_string_len);
                        flick_iiopxx_check_span(1 * _t24_temp_string_len * 1, _flick_abort159);
                        flick_iiopxx_decode_new_chunk(1 * _t24_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t24_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort159);
                          _local_type_id = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_type_id, 1 * _t24_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t24_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t24_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t25_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t25_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort159);
                          flick_iiopxx_encode_new_glob(5, _flick_abort159);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t25_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t25_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort167);
                                break;
                                {
                                _flick_abort167:
                                  goto _flick_abort159;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort168);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort168:
                                  goto _flick_abort159;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort159:
                          goto _flick_abort158;
                        }
                      }
                      break;
                      {
                      _flick_abort158:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return;
    goto _flick_reaper;
  }
_flick_reaper:
  return ;
}

