#include "interface_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_math[] = {
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(44, _flick_abort0);
  flick_khazana_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(4 + 4 * _data->_length);
  flick_khazana_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort3);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(4 * _data->_length * 1, _flick_abort3);
  flick_khazana_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_khazana_decode_end_chunk(4 * _data->_length);
  flick_khazana_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10_swap(flick_marshal_stream_t _stream, long10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_khazana_decode_end_chunk(4);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(44);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->_buffer);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

int flick_unmarshal_stub_math_swap(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
  return 1;
}

flick_operation_success_t math_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t137_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort19);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t137_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t137_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t138_switch_tag;

          flick_khazana_check_span(16, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t138_switch_tag)
            {
            case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t139_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t139_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t140_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t140_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t140_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t141_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t142_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort290);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t141_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t141_principal_len);
                              flick_khazana_check_span(_t141_principal_len * 1, _flick_abort290);
                              flick_khazana_decode_new_chunk(_t141_principal_len);
                              flick_khazana_decode_end_chunk(_t141_principal_len);
                              flick_khazana_decode_end_glob(_t141_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort290);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t142_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort290);
                                flick_khazana_encode_new_glob(6, _flick_abort290);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort296);
                                      break;
                                      {
                                      _flick_abort296:
                                        goto _flick_abort290;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort297);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort297:
                                        goto _flick_abort290;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort290:
                                goto _flick_abort289;
                              }
                            }
                            break;
                            {
                            _flick_abort289:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t143_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t143_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t144_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t144_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t144_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t145_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t146_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort299);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t145_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t145_principal_len);
                              flick_khazana_check_span(_t145_principal_len * 1, _flick_abort299);
                              flick_khazana_decode_new_chunk(_t145_principal_len);
                              flick_khazana_decode_end_chunk(_t145_principal_len);
                              flick_khazana_decode_end_glob(_t145_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort299);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t146_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_subshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort299);
                                flick_khazana_encode_new_glob(6, _flick_abort299);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort305);
                                      break;
                                      {
                                      _flick_abort305:
                                        goto _flick_abort299;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort306);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort306:
                                        goto _flick_abort299;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort299:
                                goto _flick_abort298;
                              }
                            }
                            break;
                            {
                            _flick_abort298:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t147_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t147_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t147_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t148_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t148_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t148_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t149_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_long _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t150_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort308);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t149_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t149_principal_len);
                              flick_khazana_check_span(_t149_principal_len * 1, _flick_abort308);
                              flick_khazana_decode_new_chunk(_t149_principal_len);
                              flick_khazana_decode_end_chunk(_t149_principal_len);
                              flick_khazana_decode_end_glob(_t149_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(11);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort308);
                              flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                              flick_cdr_swap_decode_signed32(4, _local_b, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t150_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(11);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multlong(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort308);
                                flick_khazana_encode_new_glob(8, _flick_abort308);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort314);
                                      break;
                                      {
                                      _flick_abort314:
                                        goto _flick_abort308;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort315:
                                        goto _flick_abort308;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort308:
                                goto _flick_abort307;
                              }
                            }
                            break;
                            {
                            _flick_abort307:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t151_switch_tag;

          flick_khazana_check_span(16, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t151_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t151_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t152_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t152_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t152_switch_tag)
                  {
                  case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t153_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t153_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t153_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              math _obj;
                              unsigned int _t154_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t155_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort317);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t154_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t154_principal_len);
                              flick_khazana_check_span(_t154_principal_len * 1, _flick_abort317);
                              flick_khazana_decode_new_chunk(_t154_principal_len);
                              flick_khazana_decode_end_chunk(_t154_principal_len);
                              flick_khazana_decode_end_glob(_t154_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort317);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t155_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort317);
                                flick_khazana_encode_new_glob(6, _flick_abort317);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort323);
                                      break;
                                      {
                                      _flick_abort323:
                                        goto _flick_abort317;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort324:
                                        goto _flick_abort317;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort317:
                                goto _flick_abort316;
                              }
                            }
                            break;
                            {
                            _flick_abort316:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t156_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t156_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t156_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t157_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t157_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t157_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t158_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t159_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort326);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t158_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t158_principal_len);
                        flick_khazana_check_span(_t158_principal_len * 1, _flick_abort326);
                        flick_khazana_decode_new_chunk(_t158_principal_len);
                        flick_khazana_decode_end_chunk(_t158_principal_len);
                        flick_khazana_decode_end_glob(_t158_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort326);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t159_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_addlong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort326);
                          flick_khazana_encode_new_glob(8, _flick_abort326);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort332);
                                break;
                                {
                                _flick_abort332:
                                  goto _flick_abort326;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort333);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort333:
                                  goto _flick_abort326;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort326:
                          goto _flick_abort325;
                        }
                      }
                      break;
                      {
                      _flick_abort325:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t160_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t160_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t160_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t161_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t162_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort335);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t161_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t161_principal_len);
                        flick_khazana_check_span(_t161_principal_len * 1, _flick_abort335);
                        flick_khazana_decode_new_chunk(_t161_principal_len);
                        flick_khazana_decode_end_chunk(_t161_principal_len);
                        flick_khazana_decode_end_glob(_t161_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort335);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t162_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_sublong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort335);
                          flick_khazana_encode_new_glob(8, _flick_abort335);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort341);
                                break;
                                {
                                _flick_abort341:
                                  goto _flick_abort335;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort342);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort342:
                                  goto _flick_abort335;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort335:
                          goto _flick_abort334;
                        }
                      }
                      break;
                      {
                      _flick_abort334:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t163_switch_tag;

          flick_khazana_check_span(16, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t163_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t164_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t164_switch_tag)
                  {
                  case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t165_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t165_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t165_switch_tag)
                        {
                        case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              math _obj;
                              unsigned int _t166_principal_len;
                              CORBA_long _return;
                              long10 *_local_a;
                              long10 _t167_storage;
                              CORBA_long _t168_storage[10];
                              CORBA_unsigned_long _t169_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t170_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort344);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t166_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t166_principal_len);
                              flick_khazana_check_span(_t166_principal_len * 1, _flick_abort344);
                              flick_khazana_decode_new_chunk(_t166_principal_len);
                              flick_khazana_decode_end_chunk(_t166_principal_len);
                              flick_khazana_decode_end_glob(_t166_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (long10 *)(&_t167_storage);
                              flick_khazana_decode_new_glob(47);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort344);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort344);
                              flick_khazana_decode_end_chunk(4);
                              _local_a->_buffer = (CORBA_long *)_t168_storage;
                              _local_a->_maximum = 10;
                              _local_a->_release = 0;
                              flick_khazana_check_span(_local_a->_length * 4, _flick_abort344);
                              for (_t169_array_iter = 0; _t169_array_iter < _local_a->_length; _t169_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t169_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              _ev = (CORBA_Environment *)(&_t170_storage);
                              flick_khazana_decode_end_glob(47);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addlonglist(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort344);
                                flick_khazana_encode_new_glob(8, _flick_abort344);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort355);
                                      break;
                                      {
                                      _flick_abort355:
                                        goto _flick_abort344;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort356);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort356:
                                        goto _flick_abort344;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort344:
                                goto _flick_abort343;
                              }
                            }
                            break;
                            {
                            _flick_abort343:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t171_switch_tag;

          flick_khazana_check_span(20, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t171_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t171_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t172_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t172_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t172_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t173_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t173_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t173_switch_tag)
                        {
                        case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                          {
                            char _t174_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t174_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t174_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    math _obj;
                                    unsigned int _t175_principal_len;
                                    CORBA_long _return;
                                    long10 *_local_a;
                                    long10 _t176_storage;
                                    CORBA_long _t177_storage[10];
                                    CORBA_unsigned_long _t178_array_iter;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t179_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort358);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t175_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t175_principal_len);
                                    flick_khazana_check_span(_t175_principal_len * 1, _flick_abort358);
                                    flick_khazana_decode_new_chunk(_t175_principal_len);
                                    flick_khazana_decode_end_chunk(_t175_principal_len);
                                    flick_khazana_decode_end_glob(_t175_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (long10 *)(&_t176_storage);
                                    flick_khazana_decode_new_glob(47);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort358);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    if (_local_a->_length > 10)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort358);
                                    flick_khazana_decode_end_chunk(4);
                                    _local_a->_buffer = (CORBA_long *)_t177_storage;
                                    _local_a->_maximum = 10;
                                    _local_a->_release = 0;
                                    flick_khazana_check_span(_local_a->_length * 4, _flick_abort358);
                                    for (_t178_array_iter = 0; _t178_array_iter < _local_a->_length; _t178_array_iter++)
                                      {
                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t178_array_iter], CORBA_long );
                                        flick_khazana_decode_end_chunk(4);
                                        continue;
                                      }
                                    _ev = (CORBA_Environment *)(&_t179_storage);
                                    flick_khazana_decode_end_glob(47);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = math_multlonglist(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort358);
                                      flick_khazana_encode_new_glob(8, _flick_abort358);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort369);
                                            break;
                                            {
                                            _flick_abort369:
                                              goto _flick_abort358;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort370);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort370:
                                              goto _flick_abort358;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort358:
                                      goto _flick_abort357;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort357:
                                    goto _flick_abort19;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t180_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t180_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t180_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t181_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t181_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t181_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t182_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t183_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t184_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort372);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t182_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t182_principal_len);
                        flick_khazana_check_span(_t182_principal_len * 1, _flick_abort372);
                        flick_khazana_decode_new_chunk(_t182_principal_len);
                        flick_khazana_decode_end_chunk(_t182_principal_len);
                        flick_khazana_decode_end_glob(_t182_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort372);
                        flick_cdr_swap_decode_unsigned32(0, _t183_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t183_temp_string_len);
                        flick_khazana_check_span(1 * _t183_temp_string_len * 1, _flick_abort372);
                        flick_khazana_decode_new_chunk(1 * _t183_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t183_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t183_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t184_storage);
                        _par = flick_interface_parents_math;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort372);
                          flick_khazana_encode_new_glob(5, _flick_abort372);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort380);
                                break;
                                {
                                _flick_abort380:
                                  goto _flick_abort372;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort381);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort381:
                                  goto _flick_abort372;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort372:
                          goto _flick_abort371;
                        }
                      }
                      break;
                      {
                      _flick_abort371:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t45_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort19);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t45_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t46_switch_tag;

          flick_khazana_check_span(16, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t46_switch_tag)
            {
            case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t47_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t47_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t48_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t48_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t48_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t49_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t50_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort109);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t49_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t49_principal_len);
                              flick_khazana_check_span(_t49_principal_len * 1, _flick_abort109);
                              flick_khazana_decode_new_chunk(_t49_principal_len);
                              flick_khazana_decode_end_chunk(_t49_principal_len);
                              flick_khazana_decode_end_glob(_t49_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort109);
                              flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t50_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort109);
                                flick_khazana_encode_new_glob(6, _flick_abort109);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort115);
                                      break;
                                      {
                                      _flick_abort115:
                                        goto _flick_abort109;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort116:
                                        goto _flick_abort109;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort109:
                                goto _flick_abort108;
                              }
                            }
                            break;
                            {
                            _flick_abort108:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t51_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t51_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t52_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t52_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t52_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t53_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t54_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort118);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t53_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t53_principal_len);
                              flick_khazana_check_span(_t53_principal_len * 1, _flick_abort118);
                              flick_khazana_decode_new_chunk(_t53_principal_len);
                              flick_khazana_decode_end_chunk(_t53_principal_len);
                              flick_khazana_decode_end_glob(_t53_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort118);
                              flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t54_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_subshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort118);
                                flick_khazana_encode_new_glob(6, _flick_abort118);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort124);
                                      break;
                                      {
                                      _flick_abort124:
                                        goto _flick_abort118;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort125:
                                        goto _flick_abort118;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort118:
                                goto _flick_abort117;
                              }
                            }
                            break;
                            {
                            _flick_abort117:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t55_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t55_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t56_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t56_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t56_switch_tag)
                        {
                        case 0:
                          {
                            {
                              math _obj;
                              unsigned int _t57_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_long _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t58_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort127);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t57_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t57_principal_len);
                              flick_khazana_check_span(_t57_principal_len * 1, _flick_abort127);
                              flick_khazana_decode_new_chunk(_t57_principal_len);
                              flick_khazana_decode_end_chunk(_t57_principal_len);
                              flick_khazana_decode_end_glob(_t57_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(11);
                              flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                              flick_khazana_check_span(8, _flick_abort127);
                              flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                              flick_cdr_decode_signed32(4, _local_b, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t58_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(11);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multlong(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort127);
                                flick_khazana_encode_new_glob(8, _flick_abort127);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort133);
                                      break;
                                      {
                                      _flick_abort133:
                                        goto _flick_abort127;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort134:
                                        goto _flick_abort127;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort127:
                                goto _flick_abort126;
                              }
                            }
                            break;
                            {
                            _flick_abort126:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t59_switch_tag;

          flick_khazana_check_span(16, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t60_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t60_switch_tag)
                  {
                  case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t61_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t61_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t61_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              math _obj;
                              unsigned int _t62_principal_len;
                              CORBA_short _return;
                              CORBA_short _local_a;
                              CORBA_short _local_b;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t63_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort136);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t62_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t62_principal_len);
                              flick_khazana_check_span(_t62_principal_len * 1, _flick_abort136);
                              flick_khazana_decode_new_chunk(_t62_principal_len);
                              flick_khazana_decode_end_chunk(_t62_principal_len);
                              flick_khazana_decode_end_glob(_t62_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort136);
                              flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA_short );
                              _ev = (CORBA_Environment *)(&_t63_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_multshort(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort136);
                                flick_khazana_encode_new_glob(6, _flick_abort136);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(6);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort142);
                                      break;
                                      {
                                      _flick_abort142:
                                        goto _flick_abort136;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                      flick_khazana_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort143:
                                        goto _flick_abort136;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort136:
                                goto _flick_abort135;
                              }
                            }
                            break;
                            {
                            _flick_abort135:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t64_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t64_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t65_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t65_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t66_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t67_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t66_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t66_principal_len);
                        flick_khazana_check_span(_t66_principal_len * 1, _flick_abort145);
                        flick_khazana_decode_new_chunk(_t66_principal_len);
                        flick_khazana_decode_end_chunk(_t66_principal_len);
                        flick_khazana_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort145);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t67_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_addlong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort145);
                          flick_khazana_encode_new_glob(8, _flick_abort145);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort151);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort152:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t68_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        math _obj;
                        unsigned int _t69_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t70_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort154);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t69_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t69_principal_len);
                        flick_khazana_check_span(_t69_principal_len * 1, _flick_abort154);
                        flick_khazana_decode_new_chunk(_t69_principal_len);
                        flick_khazana_decode_end_chunk(_t69_principal_len);
                        flick_khazana_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort154);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t70_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = math_sublong(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort154);
                          flick_khazana_encode_new_glob(8, _flick_abort154);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort160);
                                break;
                                {
                                _flick_abort160:
                                  goto _flick_abort154;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort161:
                                  goto _flick_abort154;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort154:
                          goto _flick_abort153;
                        }
                      }
                      break;
                      {
                      _flick_abort153:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t71_switch_tag;

          flick_khazana_check_span(16, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t72_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t73_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t73_switch_tag)
                        {
                        case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              math _obj;
                              unsigned int _t74_principal_len;
                              CORBA_long _return;
                              long10 *_local_a;
                              long10 _t75_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t76_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort163);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t74_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_decode_new_glob(_t74_principal_len);
                              flick_khazana_check_span(_t74_principal_len * 1, _flick_abort163);
                              flick_khazana_decode_new_chunk(_t74_principal_len);
                              flick_khazana_decode_end_chunk(_t74_principal_len);
                              flick_khazana_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (long10 *)(&_t75_storage);
                              flick_khazana_decode_new_glob(47);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort163);
                              flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort163);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_check_span(4 * _local_a->_length * 1, _flick_abort163);
                              flick_khazana_decode_new_chunk(4 * _local_a->_length);
                              flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                              _local_a->_maximum = _local_a->_length;
                              _local_a->_release = 0;
                              flick_khazana_decode_end_chunk(4 * _local_a->_length);
                              _ev = (CORBA_Environment *)(&_t76_storage);
                              flick_khazana_decode_end_glob(47);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = math_addlonglist(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort163);
                                flick_khazana_encode_new_glob(8, _flick_abort163);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort171);
                                      break;
                                      {
                                      _flick_abort171:
                                        goto _flick_abort163;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort172:
                                        goto _flick_abort163;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort163:
                                goto _flick_abort162;
                              }
                            }
                            break;
                            {
                            _flick_abort162:
                              goto _flick_abort19;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t77_switch_tag;

          flick_khazana_check_span(20, _flick_abort19);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t78_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t78_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t79_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t79_switch_tag)
                        {
                        case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                          {
                            char _t80_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t80_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t80_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    math _obj;
                                    unsigned int _t81_principal_len;
                                    CORBA_long _return;
                                    long10 *_local_a;
                                    long10 _t82_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t83_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort174);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t81_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_decode_new_glob(_t81_principal_len);
                                    flick_khazana_check_span(_t81_principal_len * 1, _flick_abort174);
                                    flick_khazana_decode_new_chunk(_t81_principal_len);
                                    flick_khazana_decode_end_chunk(_t81_principal_len);
                                    flick_khazana_decode_end_glob(_t81_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (long10 *)(&_t82_storage);
                                    flick_khazana_decode_new_glob(47);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort174);
                                    flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    if (_local_a->_length > 10)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort174);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_check_span(4 * _local_a->_length * 1, _flick_abort174);
                                    flick_khazana_decode_new_chunk(4 * _local_a->_length);
                                    flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                    _local_a->_maximum = _local_a->_length;
                                    _local_a->_release = 0;
                                    flick_khazana_decode_end_chunk(4 * _local_a->_length);
                                    _ev = (CORBA_Environment *)(&_t83_storage);
                                    flick_khazana_decode_end_glob(47);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = math_multlonglist(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort174);
                                      flick_khazana_encode_new_glob(8, _flick_abort174);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort182);
                                            break;
                                            {
                                            _flick_abort182:
                                              goto _flick_abort174;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort183);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort183:
                                              goto _flick_abort174;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort174:
                                      goto _flick_abort173;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort173:
                                    goto _flick_abort19;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t84_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t84_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t84_switch_tag)
            {
            case /* is_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769168737):
              {
                char _t85_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t85_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t85_switch_tag)
                  {
                  case 0:
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t86_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t87_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t88_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort185);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t86_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(_t86_principal_len);
                        flick_khazana_check_span(_t86_principal_len * 1, _flick_abort185);
                        flick_khazana_decode_new_chunk(_t86_principal_len);
                        flick_khazana_decode_end_chunk(_t86_principal_len);
                        flick_khazana_decode_end_glob(_t86_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort185);
                        flick_cdr_decode_unsigned32(0, _t87_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t87_temp_string_len);
                        flick_khazana_check_span(1 * _t87_temp_string_len * 1, _flick_abort185);
                        flick_khazana_decode_new_chunk(1 * _t87_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t87_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t87_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t88_storage);
                        _par = flick_interface_parents_math;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort185);
                          flick_khazana_encode_new_glob(5, _flick_abort185);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort193);
                                break;
                                {
                                _flick_abort193:
                                  goto _flick_abort185;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort185;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort185:
                          goto _flick_abort184;
                        }
                      }
                      break;
                      {
                      _flick_abort184:
                        goto _flick_abort19;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort19);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort19:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort18);
  _flick_abort18:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

