#include "mig-arrays-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t s_rpc_128_in(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t1_switch_tag;

    flick_trapeze_decode_new_glob(72);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t1_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort123);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(68, _flick_abort123);
            flick_trapeze_decode_new_chunk(68);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_msgptr(4, _local_foo, unsigned *);
            flick_trapeze_decode_end_chunk(68);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort123);
              flick_trapeze_encode_new_glob(4, _flick_abort123);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 16);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort123:
              goto _flick_abort122;
            }
          }
          break;
          {
          _flick_abort122:
            goto _flick_abort2;
          }
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort132);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_foo, 4 * 32);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort132);
              flick_trapeze_encode_new_glob(4, _flick_abort132);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 32);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort132:
              goto _flick_abort131;
            }
          }
          break;
          {
          _flick_abort131:
            goto _flick_abort2;
          }
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort139);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_foo, 4 * 64);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort139);
              flick_trapeze_encode_new_glob(4, _flick_abort139);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 64);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort139:
              goto _flick_abort138;
            }
          }
          break;
          {
          _flick_abort138:
            goto _flick_abort2;
          }
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort146);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_foo, 4 * 128);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort146);
              flick_trapeze_encode_new_glob(4, _flick_abort146);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 128);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort146:
              goto _flick_abort145;
            }
          }
          break;
          {
          _flick_abort145:
            goto _flick_abort2;
          }
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort153);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 256);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort153);
              flick_trapeze_encode_new_glob(4, _flick_abort153);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 256);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort153:
              goto _flick_abort152;
            }
          }
          break;
          {
          _flick_abort152:
            goto _flick_abort2;
          }
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort160);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 512);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort160);
              flick_trapeze_encode_new_glob(4, _flick_abort160);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 512);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort160:
              goto _flick_abort159;
            }
          }
          break;
          {
          _flick_abort159:
            goto _flick_abort2;
          }
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort167);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 1024);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort167);
              flick_trapeze_encode_new_glob(4, _flick_abort167);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 1024);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort167:
              goto _flick_abort166;
            }
          }
          break;
          {
          _flick_abort166:
            goto _flick_abort2;
          }
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort174);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 2048);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort174);
              flick_trapeze_encode_new_glob(4, _flick_abort174);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 2048);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort174:
              goto _flick_abort173;
            }
          }
          break;
          {
          _flick_abort173:
            goto _flick_abort2;
          }
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort181);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 4096);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort181);
              flick_trapeze_encode_new_glob(4, _flick_abort181);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 4096);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort181:
              goto _flick_abort180;
            }
          }
          break;
          {
          _flick_abort180:
            goto _flick_abort2;
          }
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort188);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 8192);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort188);
              flick_trapeze_encode_new_glob(4, _flick_abort188);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 8192);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort188:
              goto _flick_abort187;
            }
          }
          break;
          {
          _flick_abort187:
            goto _flick_abort2;
          }
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort195);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 16384);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort195);
              flick_trapeze_encode_new_glob(4, _flick_abort195);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 16384);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort195:
              goto _flick_abort194;
            }
          }
          break;
          {
          _flick_abort194:
            goto _flick_abort2;
          }
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort202);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 32768);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort202);
              flick_trapeze_encode_new_glob(4, _flick_abort202);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 32768);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort202:
              goto _flick_abort201;
            }
          }
          break;
          {
          _flick_abort201:
            goto _flick_abort2;
          }
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort209);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 65536);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort209);
              flick_trapeze_encode_new_glob(4, _flick_abort209);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 65536);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort209:
              goto _flick_abort208;
            }
          }
          break;
          {
          _flick_abort208:
            goto _flick_abort2;
          }
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort216);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 131072);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort216);
              flick_trapeze_encode_new_glob(4, _flick_abort216);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 131072);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort216:
              goto _flick_abort215;
            }
          }
          break;
          {
          _flick_abort215:
            goto _flick_abort2;
          }
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort223);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 262144);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1024K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort223);
              flick_trapeze_encode_new_glob(4, _flick_abort223);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 262144);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(4);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort223:
              goto _flick_abort222;
            }
          }
          break;
          {
          _flick_abort222:
            goto _flick_abort2;
          }
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned *_local_timer;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort230);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_timer = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_time(_local_target, _local_timer);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort230);
              flick_trapeze_encode_new_glob(12, _flick_abort230);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_bcopy(0, _local_timer, 8);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_mig_encode_system_exception(_return, cdr, trapeze);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort230:
              goto _flick_abort229;
            }
          }
          break;
          {
          _flick_abort229:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

