#include "arrays-client.h"
#include "arrays-server.h"

static const CORBA::Long _oc_end[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
    4, ACE_NTOHL(0x656e6400) /* name = end */,
    2 /* member count */,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
    CORBA::tk_long,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_end (CORBA::tk_struct, sizeof(_oc_end), (char *) &_oc_end, 0, sizeof(struct end ));

CORBA::TypeCode_ptr _tc_end = &_tc_TAO_tc_end;

void operator<<=(CORBA::Any &a, const struct end &o)
{
  struct end  *_any_val;
  ACE_NEW(_any_val, struct end  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_end, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct end *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_end, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct end *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_end, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct end  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct end , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_end, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_end, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

end_var::end_var()
  : ptr_(0)
{}

end_var::end_var(struct end *p)
 : ptr_(p)
{}

end_var::end_var(const end_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct end (*a.ptr_);
  else
    this->ptr_ = 0;
}

end_var::~end_var()
{
  delete this->ptr_;
}

end_var &end_var::operator=(struct end *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

end_var &end_var::operator=(const end_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct end (*p.ptr_);
  }
  return *this;
}

struct end *end_var::operator->()
{
  return this->ptr_;
}

const struct end *end_var::operator->() const
{
  return this->ptr_;
}

end_var::operator const struct end &() const
{
  return *this->ptr_;
}

end_var::operator struct end &()
{
  return *this->ptr_;
}

end_var::operator struct end &() const
{
  return *this->ptr_;
}

const struct end &end_var::in() const
{
  return *this->ptr_;
}

struct end &end_var::inout()
{
  return *this->ptr_;
}

struct end &end_var::out()
{
  return *this->ptr_;
}

struct end end_var::_retn()
{
  return *this->ptr_;
}

struct end *end_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_begin[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
    6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
    2 /* member count */,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
    CORBA::tk_char,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_begin (CORBA::tk_struct, sizeof(_oc_begin), (char *) &_oc_begin, 0, sizeof(struct begin ));

CORBA::TypeCode_ptr _tc_begin = &_tc_TAO_tc_begin;

void operator<<=(CORBA::Any &a, const struct begin &o)
{
  struct begin  *_any_val;
  ACE_NEW(_any_val, struct begin  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_begin, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct begin *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_begin, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct begin *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_begin, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct begin  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct begin , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_begin, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_begin, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

begin_var::begin_var()
  : ptr_(0)
{}

begin_var::begin_var(struct begin *p)
 : ptr_(p)
{}

begin_var::begin_var(const begin_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct begin (*a.ptr_);
  else
    this->ptr_ = 0;
}

begin_var::~begin_var()
{
  delete this->ptr_;
}

begin_var &begin_var::operator=(struct begin *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

begin_var &begin_var::operator=(const begin_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct begin (*p.ptr_);
  }
  return *this;
}

struct begin *begin_var::operator->()
{
  return this->ptr_;
}

const struct begin *begin_var::operator->() const
{
  return this->ptr_;
}

begin_var::operator const struct begin &() const
{
  return *this->ptr_;
}

begin_var::operator struct begin &()
{
  return *this->ptr_;
}

begin_var::operator struct begin &() const
{
  return *this->ptr_;
}

const struct begin &begin_var::in() const
{
  return *this->ptr_;
}

struct begin &begin_var::inout()
{
  return *this->ptr_;
}

struct begin &begin_var::out()
{
  return *this->ptr_;
}

struct begin begin_var::_retn()
{
  return *this->ptr_;
}

struct begin *begin_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_cLd[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x634c643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:cLd:1.0 */,
    4, ACE_NTOHL(0x634c6400) /* name = cLd */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_char,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_double
};

static CORBA::TypeCode _tc_TAO_tc_cLd (CORBA::tk_struct, sizeof(_oc_cLd), (char *) &_oc_cLd, 0, sizeof(struct cLd ));

CORBA::TypeCode_ptr _tc_cLd = &_tc_TAO_tc_cLd;

void operator<<=(CORBA::Any &a, const struct cLd &o)
{
  struct cLd  *_any_val;
  ACE_NEW(_any_val, struct cLd  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLd, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct cLd *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLd, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct cLd *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_cLd, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct cLd  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct cLd , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_cLd, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_cLd, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

cLd_var::cLd_var()
  : ptr_(0)
{}

cLd_var::cLd_var(struct cLd *p)
 : ptr_(p)
{}

cLd_var::cLd_var(const cLd_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct cLd (*a.ptr_);
  else
    this->ptr_ = 0;
}

cLd_var::~cLd_var()
{
  delete this->ptr_;
}

cLd_var &cLd_var::operator=(struct cLd *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

cLd_var &cLd_var::operator=(const cLd_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct cLd (*p.ptr_);
  }
  return *this;
}

struct cLd *cLd_var::operator->()
{
  return this->ptr_;
}

const struct cLd *cLd_var::operator->() const
{
  return this->ptr_;
}

cLd_var::operator const struct cLd &() const
{
  return *this->ptr_;
}

cLd_var::operator struct cLd &()
{
  return *this->ptr_;
}

cLd_var::operator struct cLd &() const
{
  return *this->ptr_;
}

const struct cLd &cLd_var::in() const
{
  return *this->ptr_;
}

struct cLd &cLd_var::inout()
{
  return *this->ptr_;
}

struct cLd &cLd_var::out()
{
  return *this->ptr_;
}

struct cLd cLd_var::_retn()
{
  return *this->ptr_;
}

struct cLd *cLd_var::ptr() const
{
  return this->ptr_;
}

cLd::_data_slice *cLd::_data_alloc()
{
  return new cLd::_data_slice [50];
}

cLd::_data_slice *cLd::_data_dup(const cLd::_data_slice *_slice)
{
  cLd::_data_slice  *_dup_array = cLd::_data_alloc();
  if( !_dup_array ) return 0;
  cLd::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void cLd::_data_copy(cLd::_data_slice *_to_slice, const cLd::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void cLd::_data_free(cLd::_data_slice *_slice)
{
  delete [] _slice;
}

cLd::_data_var::_data_var()
  : ptr_(0)
{}

cLd::_data_var::_data_var(cLd::_data_slice *p)
 : ptr_(p)
{}

cLd::_data_var::_data_var(const cLd::_data_var &a)
{
  this->ptr_ = cLd::_data_dup(a.ptr_);
}

cLd::_data_var::~_data_var()
{
  cLd::_data_free(this->ptr_);
}

cLd::_data_var &cLd::_data_var::operator=(cLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

cLd::_data_var &cLd::_data_var::operator=(const cLd::_data_var &p)
{
  if( this != &p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = cLd::_data_dup(p.ptr_);
  }
  return *this;
}

cLd::_data_slice &cLd::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const cLd::_data_slice &cLd::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLd::_data_var::operator cLd::_data_slice *const &() const
{
  return this->ptr_;
}

cLd::_data_var::operator cLd::_data_slice *&()
{
  return this->ptr_;
}

const cLd::_data_slice *cLd::_data_var::in() const
{
  return this->ptr_;
}

cLd::_data_slice *cLd::_data_var::inout()
{
  return this->ptr_;
}

cLd::_data_slice *&cLd::_data_var::out()
{
  cLd::_data_free(this->ptr_);
  this->ptr_ = (cLd::_data_slice  *)0;
  return this->ptr_;
}

cLd::_data_slice *cLd::_data_var::_retn()
{
  cLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (cLd::_data_slice  *)0;
  return tmp;
}

cLd::_data_slice *cLd::_data_var::ptr() const
{
  return this->ptr_;
}

cLd::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

cLd::_data_forany::_data_forany(cLd::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

cLd::_data_forany::_data_forany(const cLd::_data_forany &a)
{
  this->ptr_ = cLd::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

cLd::_data_forany::~_data_forany()
{
}

cLd::_data_forany &cLd::_data_forany::operator=(cLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

cLd::_data_forany &cLd::_data_forany::operator=(const cLd::_data_forany &p)
{
  if( this != &p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = cLd::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

cLd::_data_slice &cLd::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const cLd::_data_slice &cLd::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLd::_data_forany::operator cLd::_data_slice *const &() const
{
  return this->ptr_;
}

cLd::_data_forany::operator cLd::_data_slice *&()
{
  return this->ptr_;
}

const cLd::_data_slice *cLd::_data_forany::in() const
{
  return this->ptr_;
}

cLd::_data_slice *cLd::_data_forany::inout()
{
  return this->ptr_;
}

cLd::_data_slice *&cLd::_data_forany::out()
{
  cLd::_data_free(this->ptr_);
  this->ptr_ = (cLd::_data_slice  *)0;
  return this->ptr_;
}

cLd::_data_slice *cLd::_data_forany::_retn()
{
  cLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (cLd::_data_slice  *)0;
  return tmp;
}

cLd::_data_slice *cLd::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean cLd::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_dLc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x644c633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:dLc:1.0 */,
    4, ACE_NTOHL(0x644c6300) /* name = dLc */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_double,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_dLc (CORBA::tk_struct, sizeof(_oc_dLc), (char *) &_oc_dLc, 0, sizeof(struct dLc ));

CORBA::TypeCode_ptr _tc_dLc = &_tc_TAO_tc_dLc;

void operator<<=(CORBA::Any &a, const struct dLc &o)
{
  struct dLc  *_any_val;
  ACE_NEW(_any_val, struct dLc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct dLc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct dLc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_dLc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct dLc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct dLc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_dLc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_dLc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

dLc_var::dLc_var()
  : ptr_(0)
{}

dLc_var::dLc_var(struct dLc *p)
 : ptr_(p)
{}

dLc_var::dLc_var(const dLc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct dLc (*a.ptr_);
  else
    this->ptr_ = 0;
}

dLc_var::~dLc_var()
{
  delete this->ptr_;
}

dLc_var &dLc_var::operator=(struct dLc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

dLc_var &dLc_var::operator=(const dLc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct dLc (*p.ptr_);
  }
  return *this;
}

struct dLc *dLc_var::operator->()
{
  return this->ptr_;
}

const struct dLc *dLc_var::operator->() const
{
  return this->ptr_;
}

dLc_var::operator const struct dLc &() const
{
  return *this->ptr_;
}

dLc_var::operator struct dLc &()
{
  return *this->ptr_;
}

dLc_var::operator struct dLc &() const
{
  return *this->ptr_;
}

const struct dLc &dLc_var::in() const
{
  return *this->ptr_;
}

struct dLc &dLc_var::inout()
{
  return *this->ptr_;
}

struct dLc &dLc_var::out()
{
  return *this->ptr_;
}

struct dLc dLc_var::_retn()
{
  return *this->ptr_;
}

struct dLc *dLc_var::ptr() const
{
  return this->ptr_;
}

dLc::_data_slice *dLc::_data_alloc()
{
  return new dLc::_data_slice [50];
}

dLc::_data_slice *dLc::_data_dup(const dLc::_data_slice *_slice)
{
  dLc::_data_slice  *_dup_array = dLc::_data_alloc();
  if( !_dup_array ) return 0;
  dLc::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void dLc::_data_copy(dLc::_data_slice *_to_slice, const dLc::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void dLc::_data_free(dLc::_data_slice *_slice)
{
  delete [] _slice;
}

dLc::_data_var::_data_var()
  : ptr_(0)
{}

dLc::_data_var::_data_var(dLc::_data_slice *p)
 : ptr_(p)
{}

dLc::_data_var::_data_var(const dLc::_data_var &a)
{
  this->ptr_ = dLc::_data_dup(a.ptr_);
}

dLc::_data_var::~_data_var()
{
  dLc::_data_free(this->ptr_);
}

dLc::_data_var &dLc::_data_var::operator=(dLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

dLc::_data_var &dLc::_data_var::operator=(const dLc::_data_var &p)
{
  if( this != &p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = dLc::_data_dup(p.ptr_);
  }
  return *this;
}

dLc::_data_slice &dLc::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const dLc::_data_slice &dLc::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLc::_data_var::operator dLc::_data_slice *const &() const
{
  return this->ptr_;
}

dLc::_data_var::operator dLc::_data_slice *&()
{
  return this->ptr_;
}

const dLc::_data_slice *dLc::_data_var::in() const
{
  return this->ptr_;
}

dLc::_data_slice *dLc::_data_var::inout()
{
  return this->ptr_;
}

dLc::_data_slice *&dLc::_data_var::out()
{
  dLc::_data_free(this->ptr_);
  this->ptr_ = (dLc::_data_slice  *)0;
  return this->ptr_;
}

dLc::_data_slice *dLc::_data_var::_retn()
{
  dLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (dLc::_data_slice  *)0;
  return tmp;
}

dLc::_data_slice *dLc::_data_var::ptr() const
{
  return this->ptr_;
}

dLc::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

dLc::_data_forany::_data_forany(dLc::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

dLc::_data_forany::_data_forany(const dLc::_data_forany &a)
{
  this->ptr_ = dLc::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

dLc::_data_forany::~_data_forany()
{
}

dLc::_data_forany &dLc::_data_forany::operator=(dLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

dLc::_data_forany &dLc::_data_forany::operator=(const dLc::_data_forany &p)
{
  if( this != &p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = dLc::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

dLc::_data_slice &dLc::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const dLc::_data_slice &dLc::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLc::_data_forany::operator dLc::_data_slice *const &() const
{
  return this->ptr_;
}

dLc::_data_forany::operator dLc::_data_slice *&()
{
  return this->ptr_;
}

const dLc::_data_slice *dLc::_data_forany::in() const
{
  return this->ptr_;
}

dLc::_data_slice *dLc::_data_forany::inout()
{
  return this->ptr_;
}

dLc::_data_slice *&dLc::_data_forany::out()
{
  dLc::_data_free(this->ptr_);
  this->ptr_ = (dLc::_data_slice  *)0;
  return this->ptr_;
}

dLc::_data_slice *dLc::_data_forany::_retn()
{
  dLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (dLc::_data_slice  *)0;
  return tmp;
}

dLc::_data_slice *dLc::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean dLc::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_sLs[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x734c733a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:sLs:1.0 */,
    4, ACE_NTOHL(0x734c7300) /* name = sLs */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_short,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_sLs (CORBA::tk_struct, sizeof(_oc_sLs), (char *) &_oc_sLs, 0, sizeof(struct sLs ));

CORBA::TypeCode_ptr _tc_sLs = &_tc_TAO_tc_sLs;

void operator<<=(CORBA::Any &a, const struct sLs &o)
{
  struct sLs  *_any_val;
  ACE_NEW(_any_val, struct sLs  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLs, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct sLs *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLs, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct sLs *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_sLs, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct sLs  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct sLs , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_sLs, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_sLs, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

sLs_var::sLs_var()
  : ptr_(0)
{}

sLs_var::sLs_var(struct sLs *p)
 : ptr_(p)
{}

sLs_var::sLs_var(const sLs_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct sLs (*a.ptr_);
  else
    this->ptr_ = 0;
}

sLs_var::~sLs_var()
{
  delete this->ptr_;
}

sLs_var &sLs_var::operator=(struct sLs *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

sLs_var &sLs_var::operator=(const sLs_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct sLs (*p.ptr_);
  }
  return *this;
}

struct sLs *sLs_var::operator->()
{
  return this->ptr_;
}

const struct sLs *sLs_var::operator->() const
{
  return this->ptr_;
}

sLs_var::operator const struct sLs &() const
{
  return *this->ptr_;
}

sLs_var::operator struct sLs &()
{
  return *this->ptr_;
}

sLs_var::operator struct sLs &() const
{
  return *this->ptr_;
}

const struct sLs &sLs_var::in() const
{
  return *this->ptr_;
}

struct sLs &sLs_var::inout()
{
  return *this->ptr_;
}

struct sLs &sLs_var::out()
{
  return *this->ptr_;
}

struct sLs sLs_var::_retn()
{
  return *this->ptr_;
}

struct sLs *sLs_var::ptr() const
{
  return this->ptr_;
}

sLs::_data_slice *sLs::_data_alloc()
{
  return new sLs::_data_slice [50];
}

sLs::_data_slice *sLs::_data_dup(const sLs::_data_slice *_slice)
{
  sLs::_data_slice  *_dup_array = sLs::_data_alloc();
  if( !_dup_array ) return 0;
  sLs::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void sLs::_data_copy(sLs::_data_slice *_to_slice, const sLs::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void sLs::_data_free(sLs::_data_slice *_slice)
{
  delete [] _slice;
}

sLs::_data_var::_data_var()
  : ptr_(0)
{}

sLs::_data_var::_data_var(sLs::_data_slice *p)
 : ptr_(p)
{}

sLs::_data_var::_data_var(const sLs::_data_var &a)
{
  this->ptr_ = sLs::_data_dup(a.ptr_);
}

sLs::_data_var::~_data_var()
{
  sLs::_data_free(this->ptr_);
}

sLs::_data_var &sLs::_data_var::operator=(sLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

sLs::_data_var &sLs::_data_var::operator=(const sLs::_data_var &p)
{
  if( this != &p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = sLs::_data_dup(p.ptr_);
  }
  return *this;
}

sLs::_data_slice &sLs::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const sLs::_data_slice &sLs::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLs::_data_var::operator sLs::_data_slice *const &() const
{
  return this->ptr_;
}

sLs::_data_var::operator sLs::_data_slice *&()
{
  return this->ptr_;
}

const sLs::_data_slice *sLs::_data_var::in() const
{
  return this->ptr_;
}

sLs::_data_slice *sLs::_data_var::inout()
{
  return this->ptr_;
}

sLs::_data_slice *&sLs::_data_var::out()
{
  sLs::_data_free(this->ptr_);
  this->ptr_ = (sLs::_data_slice  *)0;
  return this->ptr_;
}

sLs::_data_slice *sLs::_data_var::_retn()
{
  sLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (sLs::_data_slice  *)0;
  return tmp;
}

sLs::_data_slice *sLs::_data_var::ptr() const
{
  return this->ptr_;
}

sLs::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

sLs::_data_forany::_data_forany(sLs::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

sLs::_data_forany::_data_forany(const sLs::_data_forany &a)
{
  this->ptr_ = sLs::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

sLs::_data_forany::~_data_forany()
{
}

sLs::_data_forany &sLs::_data_forany::operator=(sLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

sLs::_data_forany &sLs::_data_forany::operator=(const sLs::_data_forany &p)
{
  if( this != &p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = sLs::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

sLs::_data_slice &sLs::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const sLs::_data_slice &sLs::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLs::_data_forany::operator sLs::_data_slice *const &() const
{
  return this->ptr_;
}

sLs::_data_forany::operator sLs::_data_slice *&()
{
  return this->ptr_;
}

const sLs::_data_slice *sLs::_data_forany::in() const
{
  return this->ptr_;
}

sLs::_data_slice *sLs::_data_forany::inout()
{
  return this->ptr_;
}

sLs::_data_slice *&sLs::_data_forany::out()
{
  sLs::_data_free(this->ptr_);
  this->ptr_ = (sLs::_data_slice  *)0;
  return this->ptr_;
}

sLs::_data_slice *sLs::_data_forany::_retn()
{
  sLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (sLs::_data_slice  *)0;
  return tmp;
}

sLs::_data_slice *sLs::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean sLs::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_cLCd[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x634c4364), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:cLCd:1.0 */,
    5, ACE_NTOHL(0x634c4364), ACE_NTOHL(0x00000000) /* name = cLCd */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_char,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    80 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      64 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
        4, ACE_NTOHL(0x656e6400) /* name = end */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_long,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_char,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_double
};

static CORBA::TypeCode _tc_TAO_tc_cLCd (CORBA::tk_struct, sizeof(_oc_cLCd), (char *) &_oc_cLCd, 0, sizeof(struct cLCd ));

CORBA::TypeCode_ptr _tc_cLCd = &_tc_TAO_tc_cLCd;

void operator<<=(CORBA::Any &a, const struct cLCd &o)
{
  struct cLCd  *_any_val;
  ACE_NEW(_any_val, struct cLCd  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLCd, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct cLCd *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLCd, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct cLCd *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_cLCd, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct cLCd  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct cLCd , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_cLCd, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_cLCd, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

cLCd_var::cLCd_var()
  : ptr_(0)
{}

cLCd_var::cLCd_var(struct cLCd *p)
 : ptr_(p)
{}

cLCd_var::cLCd_var(const cLCd_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct cLCd (*a.ptr_);
  else
    this->ptr_ = 0;
}

cLCd_var::~cLCd_var()
{
  delete this->ptr_;
}

cLCd_var &cLCd_var::operator=(struct cLCd *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

cLCd_var &cLCd_var::operator=(const cLCd_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct cLCd (*p.ptr_);
  }
  return *this;
}

struct cLCd *cLCd_var::operator->()
{
  return this->ptr_;
}

const struct cLCd *cLCd_var::operator->() const
{
  return this->ptr_;
}

cLCd_var::operator const struct cLCd &() const
{
  return *this->ptr_;
}

cLCd_var::operator struct cLCd &()
{
  return *this->ptr_;
}

cLCd_var::operator struct cLCd &() const
{
  return *this->ptr_;
}

const struct cLCd &cLCd_var::in() const
{
  return *this->ptr_;
}

struct cLCd &cLCd_var::inout()
{
  return *this->ptr_;
}

struct cLCd &cLCd_var::out()
{
  return *this->ptr_;
}

struct cLCd cLCd_var::_retn()
{
  return *this->ptr_;
}

struct cLCd *cLCd_var::ptr() const
{
  return this->ptr_;
}

cLCd::_data_slice *cLCd::_data_alloc()
{
  return new cLCd::_data_slice [50];
}

cLCd::_data_slice *cLCd::_data_dup(const cLCd::_data_slice *_slice)
{
  cLCd::_data_slice  *_dup_array = cLCd::_data_alloc();
  if( !_dup_array ) return 0;
  cLCd::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void cLCd::_data_copy(cLCd::_data_slice *_to_slice, const cLCd::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void cLCd::_data_free(cLCd::_data_slice *_slice)
{
  delete [] _slice;
}

cLCd::_data_var::_data_var()
  : ptr_(0)
{}

cLCd::_data_var::_data_var(cLCd::_data_slice *p)
 : ptr_(p)
{}

cLCd::_data_var::_data_var(const cLCd::_data_var &a)
{
  this->ptr_ = cLCd::_data_dup(a.ptr_);
}

cLCd::_data_var::~_data_var()
{
  cLCd::_data_free(this->ptr_);
}

cLCd::_data_var &cLCd::_data_var::operator=(cLCd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

cLCd::_data_var &cLCd::_data_var::operator=(const cLCd::_data_var &p)
{
  if( this != &p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = cLCd::_data_dup(p.ptr_);
  }
  return *this;
}

cLCd::_data_slice &cLCd::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const cLCd::_data_slice &cLCd::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLCd::_data_var::operator cLCd::_data_slice *const &() const
{
  return this->ptr_;
}

cLCd::_data_var::operator cLCd::_data_slice *&()
{
  return this->ptr_;
}

const cLCd::_data_slice *cLCd::_data_var::in() const
{
  return this->ptr_;
}

cLCd::_data_slice *cLCd::_data_var::inout()
{
  return this->ptr_;
}

cLCd::_data_slice *&cLCd::_data_var::out()
{
  cLCd::_data_free(this->ptr_);
  this->ptr_ = (cLCd::_data_slice  *)0;
  return this->ptr_;
}

cLCd::_data_slice *cLCd::_data_var::_retn()
{
  cLCd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (cLCd::_data_slice  *)0;
  return tmp;
}

cLCd::_data_slice *cLCd::_data_var::ptr() const
{
  return this->ptr_;
}

cLCd::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

cLCd::_data_forany::_data_forany(cLCd::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

cLCd::_data_forany::_data_forany(const cLCd::_data_forany &a)
{
  this->ptr_ = cLCd::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

cLCd::_data_forany::~_data_forany()
{
}

cLCd::_data_forany &cLCd::_data_forany::operator=(cLCd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

cLCd::_data_forany &cLCd::_data_forany::operator=(const cLCd::_data_forany &p)
{
  if( this != &p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = cLCd::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

cLCd::_data_slice &cLCd::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const cLCd::_data_slice &cLCd::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLCd::_data_forany::operator cLCd::_data_slice *const &() const
{
  return this->ptr_;
}

cLCd::_data_forany::operator cLCd::_data_slice *&()
{
  return this->ptr_;
}

const cLCd::_data_slice *cLCd::_data_forany::in() const
{
  return this->ptr_;
}

cLCd::_data_slice *cLCd::_data_forany::inout()
{
  return this->ptr_;
}

cLCd::_data_slice *&cLCd::_data_forany::out()
{
  cLCd::_data_free(this->ptr_);
  this->ptr_ = (cLCd::_data_slice  *)0;
  return this->ptr_;
}

cLCd::_data_slice *cLCd::_data_forany::_retn()
{
  cLCd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (cLCd::_data_slice  *)0;
  return tmp;
}

cLCd::_data_slice *cLCd::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean cLCd::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_dLCc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x644c4363), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:dLCc:1.0 */,
    5, ACE_NTOHL(0x644c4363), ACE_NTOHL(0x00000000) /* name = dLCc */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_double,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    80 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      64 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
        4, ACE_NTOHL(0x656e6400) /* name = end */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_long,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_char,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_dLCc (CORBA::tk_struct, sizeof(_oc_dLCc), (char *) &_oc_dLCc, 0, sizeof(struct dLCc ));

CORBA::TypeCode_ptr _tc_dLCc = &_tc_TAO_tc_dLCc;

void operator<<=(CORBA::Any &a, const struct dLCc &o)
{
  struct dLCc  *_any_val;
  ACE_NEW(_any_val, struct dLCc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLCc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct dLCc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLCc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct dLCc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_dLCc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct dLCc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct dLCc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_dLCc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_dLCc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

dLCc_var::dLCc_var()
  : ptr_(0)
{}

dLCc_var::dLCc_var(struct dLCc *p)
 : ptr_(p)
{}

dLCc_var::dLCc_var(const dLCc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct dLCc (*a.ptr_);
  else
    this->ptr_ = 0;
}

dLCc_var::~dLCc_var()
{
  delete this->ptr_;
}

dLCc_var &dLCc_var::operator=(struct dLCc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

dLCc_var &dLCc_var::operator=(const dLCc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct dLCc (*p.ptr_);
  }
  return *this;
}

struct dLCc *dLCc_var::operator->()
{
  return this->ptr_;
}

const struct dLCc *dLCc_var::operator->() const
{
  return this->ptr_;
}

dLCc_var::operator const struct dLCc &() const
{
  return *this->ptr_;
}

dLCc_var::operator struct dLCc &()
{
  return *this->ptr_;
}

dLCc_var::operator struct dLCc &() const
{
  return *this->ptr_;
}

const struct dLCc &dLCc_var::in() const
{
  return *this->ptr_;
}

struct dLCc &dLCc_var::inout()
{
  return *this->ptr_;
}

struct dLCc &dLCc_var::out()
{
  return *this->ptr_;
}

struct dLCc dLCc_var::_retn()
{
  return *this->ptr_;
}

struct dLCc *dLCc_var::ptr() const
{
  return this->ptr_;
}

dLCc::_data_slice *dLCc::_data_alloc()
{
  return new dLCc::_data_slice [50];
}

dLCc::_data_slice *dLCc::_data_dup(const dLCc::_data_slice *_slice)
{
  dLCc::_data_slice  *_dup_array = dLCc::_data_alloc();
  if( !_dup_array ) return 0;
  dLCc::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void dLCc::_data_copy(dLCc::_data_slice *_to_slice, const dLCc::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void dLCc::_data_free(dLCc::_data_slice *_slice)
{
  delete [] _slice;
}

dLCc::_data_var::_data_var()
  : ptr_(0)
{}

dLCc::_data_var::_data_var(dLCc::_data_slice *p)
 : ptr_(p)
{}

dLCc::_data_var::_data_var(const dLCc::_data_var &a)
{
  this->ptr_ = dLCc::_data_dup(a.ptr_);
}

dLCc::_data_var::~_data_var()
{
  dLCc::_data_free(this->ptr_);
}

dLCc::_data_var &dLCc::_data_var::operator=(dLCc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

dLCc::_data_var &dLCc::_data_var::operator=(const dLCc::_data_var &p)
{
  if( this != &p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = dLCc::_data_dup(p.ptr_);
  }
  return *this;
}

dLCc::_data_slice &dLCc::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const dLCc::_data_slice &dLCc::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLCc::_data_var::operator dLCc::_data_slice *const &() const
{
  return this->ptr_;
}

dLCc::_data_var::operator dLCc::_data_slice *&()
{
  return this->ptr_;
}

const dLCc::_data_slice *dLCc::_data_var::in() const
{
  return this->ptr_;
}

dLCc::_data_slice *dLCc::_data_var::inout()
{
  return this->ptr_;
}

dLCc::_data_slice *&dLCc::_data_var::out()
{
  dLCc::_data_free(this->ptr_);
  this->ptr_ = (dLCc::_data_slice  *)0;
  return this->ptr_;
}

dLCc::_data_slice *dLCc::_data_var::_retn()
{
  dLCc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (dLCc::_data_slice  *)0;
  return tmp;
}

dLCc::_data_slice *dLCc::_data_var::ptr() const
{
  return this->ptr_;
}

dLCc::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

dLCc::_data_forany::_data_forany(dLCc::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

dLCc::_data_forany::_data_forany(const dLCc::_data_forany &a)
{
  this->ptr_ = dLCc::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

dLCc::_data_forany::~_data_forany()
{
}

dLCc::_data_forany &dLCc::_data_forany::operator=(dLCc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

dLCc::_data_forany &dLCc::_data_forany::operator=(const dLCc::_data_forany &p)
{
  if( this != &p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = dLCc::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

dLCc::_data_slice &dLCc::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const dLCc::_data_slice &dLCc::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLCc::_data_forany::operator dLCc::_data_slice *const &() const
{
  return this->ptr_;
}

dLCc::_data_forany::operator dLCc::_data_slice *&()
{
  return this->ptr_;
}

const dLCc::_data_slice *dLCc::_data_forany::in() const
{
  return this->ptr_;
}

dLCc::_data_slice *dLCc::_data_forany::inout()
{
  return this->ptr_;
}

dLCc::_data_slice *&dLCc::_data_forany::out()
{
  dLCc::_data_free(this->ptr_);
  this->ptr_ = (dLCc::_data_slice  *)0;
  return this->ptr_;
}

dLCc::_data_slice *dLCc::_data_forany::_retn()
{
  dLCc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (dLCc::_data_slice  *)0;
  return tmp;
}

dLCc::_data_slice *dLCc::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean dLCc::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_sLCs[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x734c4373), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:sLCs:1.0 */,
    5, ACE_NTOHL(0x734c4373), ACE_NTOHL(0x00000000) /* name = sLCs */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_short,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    80 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      64 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
        4, ACE_NTOHL(0x656e6400) /* name = end */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_long,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_char,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_sLCs (CORBA::tk_struct, sizeof(_oc_sLCs), (char *) &_oc_sLCs, 0, sizeof(struct sLCs ));

CORBA::TypeCode_ptr _tc_sLCs = &_tc_TAO_tc_sLCs;

void operator<<=(CORBA::Any &a, const struct sLCs &o)
{
  struct sLCs  *_any_val;
  ACE_NEW(_any_val, struct sLCs  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLCs, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct sLCs *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLCs, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct sLCs *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_sLCs, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct sLCs  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct sLCs , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_sLCs, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_sLCs, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

sLCs_var::sLCs_var()
  : ptr_(0)
{}

sLCs_var::sLCs_var(struct sLCs *p)
 : ptr_(p)
{}

sLCs_var::sLCs_var(const sLCs_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct sLCs (*a.ptr_);
  else
    this->ptr_ = 0;
}

sLCs_var::~sLCs_var()
{
  delete this->ptr_;
}

sLCs_var &sLCs_var::operator=(struct sLCs *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

sLCs_var &sLCs_var::operator=(const sLCs_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct sLCs (*p.ptr_);
  }
  return *this;
}

struct sLCs *sLCs_var::operator->()
{
  return this->ptr_;
}

const struct sLCs *sLCs_var::operator->() const
{
  return this->ptr_;
}

sLCs_var::operator const struct sLCs &() const
{
  return *this->ptr_;
}

sLCs_var::operator struct sLCs &()
{
  return *this->ptr_;
}

sLCs_var::operator struct sLCs &() const
{
  return *this->ptr_;
}

const struct sLCs &sLCs_var::in() const
{
  return *this->ptr_;
}

struct sLCs &sLCs_var::inout()
{
  return *this->ptr_;
}

struct sLCs &sLCs_var::out()
{
  return *this->ptr_;
}

struct sLCs sLCs_var::_retn()
{
  return *this->ptr_;
}

struct sLCs *sLCs_var::ptr() const
{
  return this->ptr_;
}

sLCs::_data_slice *sLCs::_data_alloc()
{
  return new sLCs::_data_slice [50];
}

sLCs::_data_slice *sLCs::_data_dup(const sLCs::_data_slice *_slice)
{
  sLCs::_data_slice  *_dup_array = sLCs::_data_alloc();
  if( !_dup_array ) return 0;
  sLCs::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void sLCs::_data_copy(sLCs::_data_slice *_to_slice, const sLCs::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void sLCs::_data_free(sLCs::_data_slice *_slice)
{
  delete [] _slice;
}

sLCs::_data_var::_data_var()
  : ptr_(0)
{}

sLCs::_data_var::_data_var(sLCs::_data_slice *p)
 : ptr_(p)
{}

sLCs::_data_var::_data_var(const sLCs::_data_var &a)
{
  this->ptr_ = sLCs::_data_dup(a.ptr_);
}

sLCs::_data_var::~_data_var()
{
  sLCs::_data_free(this->ptr_);
}

sLCs::_data_var &sLCs::_data_var::operator=(sLCs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

sLCs::_data_var &sLCs::_data_var::operator=(const sLCs::_data_var &p)
{
  if( this != &p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = sLCs::_data_dup(p.ptr_);
  }
  return *this;
}

sLCs::_data_slice &sLCs::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const sLCs::_data_slice &sLCs::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLCs::_data_var::operator sLCs::_data_slice *const &() const
{
  return this->ptr_;
}

sLCs::_data_var::operator sLCs::_data_slice *&()
{
  return this->ptr_;
}

const sLCs::_data_slice *sLCs::_data_var::in() const
{
  return this->ptr_;
}

sLCs::_data_slice *sLCs::_data_var::inout()
{
  return this->ptr_;
}

sLCs::_data_slice *&sLCs::_data_var::out()
{
  sLCs::_data_free(this->ptr_);
  this->ptr_ = (sLCs::_data_slice  *)0;
  return this->ptr_;
}

sLCs::_data_slice *sLCs::_data_var::_retn()
{
  sLCs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (sLCs::_data_slice  *)0;
  return tmp;
}

sLCs::_data_slice *sLCs::_data_var::ptr() const
{
  return this->ptr_;
}

sLCs::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

sLCs::_data_forany::_data_forany(sLCs::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

sLCs::_data_forany::_data_forany(const sLCs::_data_forany &a)
{
  this->ptr_ = sLCs::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

sLCs::_data_forany::~_data_forany()
{
}

sLCs::_data_forany &sLCs::_data_forany::operator=(sLCs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

sLCs::_data_forany &sLCs::_data_forany::operator=(const sLCs::_data_forany &p)
{
  if( this != &p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = sLCs::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

sLCs::_data_slice &sLCs::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const sLCs::_data_slice &sLCs::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLCs::_data_forany::operator sLCs::_data_slice *const &() const
{
  return this->ptr_;
}

sLCs::_data_forany::operator sLCs::_data_slice *&()
{
  return this->ptr_;
}

const sLCs::_data_slice *sLCs::_data_forany::in() const
{
  return this->ptr_;
}

sLCs::_data_slice *sLCs::_data_forany::inout()
{
  return this->ptr_;
}

sLCs::_data_slice *&sLCs::_data_forany::out()
{
  sLCs::_data_free(this->ptr_);
  this->ptr_ = (sLCs::_data_slice  *)0;
  return this->ptr_;
}

sLCs::_data_slice *sLCs::_data_forany::_retn()
{
  sLCs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (sLCs::_data_slice  *)0;
  return tmp;
}

sLCs::_data_slice *sLCs::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean sLCs::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_cCLd[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x63434c64), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:cCLd:1.0 */,
    5, ACE_NTOHL(0x63434c64), ACE_NTOHL(0x00000000) /* name = cCLd */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_char,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    88 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
        6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_char,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_double
};

static CORBA::TypeCode _tc_TAO_tc_cCLd (CORBA::tk_struct, sizeof(_oc_cCLd), (char *) &_oc_cCLd, 0, sizeof(struct cCLd ));

CORBA::TypeCode_ptr _tc_cCLd = &_tc_TAO_tc_cCLd;

void operator<<=(CORBA::Any &a, const struct cCLd &o)
{
  struct cCLd  *_any_val;
  ACE_NEW(_any_val, struct cCLd  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cCLd, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct cCLd *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cCLd, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct cCLd *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_cCLd, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct cCLd  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct cCLd , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_cCLd, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_cCLd, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

cCLd_var::cCLd_var()
  : ptr_(0)
{}

cCLd_var::cCLd_var(struct cCLd *p)
 : ptr_(p)
{}

cCLd_var::cCLd_var(const cCLd_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct cCLd (*a.ptr_);
  else
    this->ptr_ = 0;
}

cCLd_var::~cCLd_var()
{
  delete this->ptr_;
}

cCLd_var &cCLd_var::operator=(struct cCLd *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

cCLd_var &cCLd_var::operator=(const cCLd_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct cCLd (*p.ptr_);
  }
  return *this;
}

struct cCLd *cCLd_var::operator->()
{
  return this->ptr_;
}

const struct cCLd *cCLd_var::operator->() const
{
  return this->ptr_;
}

cCLd_var::operator const struct cCLd &() const
{
  return *this->ptr_;
}

cCLd_var::operator struct cCLd &()
{
  return *this->ptr_;
}

cCLd_var::operator struct cCLd &() const
{
  return *this->ptr_;
}

const struct cCLd &cCLd_var::in() const
{
  return *this->ptr_;
}

struct cCLd &cCLd_var::inout()
{
  return *this->ptr_;
}

struct cCLd &cCLd_var::out()
{
  return *this->ptr_;
}

struct cCLd cCLd_var::_retn()
{
  return *this->ptr_;
}

struct cCLd *cCLd_var::ptr() const
{
  return this->ptr_;
}

cCLd::_data_slice *cCLd::_data_alloc()
{
  return new cCLd::_data_slice [50];
}

cCLd::_data_slice *cCLd::_data_dup(const cCLd::_data_slice *_slice)
{
  cCLd::_data_slice  *_dup_array = cCLd::_data_alloc();
  if( !_dup_array ) return 0;
  cCLd::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void cCLd::_data_copy(cCLd::_data_slice *_to_slice, const cCLd::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void cCLd::_data_free(cCLd::_data_slice *_slice)
{
  delete [] _slice;
}

cCLd::_data_var::_data_var()
  : ptr_(0)
{}

cCLd::_data_var::_data_var(cCLd::_data_slice *p)
 : ptr_(p)
{}

cCLd::_data_var::_data_var(const cCLd::_data_var &a)
{
  this->ptr_ = cCLd::_data_dup(a.ptr_);
}

cCLd::_data_var::~_data_var()
{
  cCLd::_data_free(this->ptr_);
}

cCLd::_data_var &cCLd::_data_var::operator=(cCLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

cCLd::_data_var &cCLd::_data_var::operator=(const cCLd::_data_var &p)
{
  if( this != &p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = cCLd::_data_dup(p.ptr_);
  }
  return *this;
}

cCLd::_data_slice &cCLd::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const cCLd::_data_slice &cCLd::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cCLd::_data_var::operator cCLd::_data_slice *const &() const
{
  return this->ptr_;
}

cCLd::_data_var::operator cCLd::_data_slice *&()
{
  return this->ptr_;
}

const cCLd::_data_slice *cCLd::_data_var::in() const
{
  return this->ptr_;
}

cCLd::_data_slice *cCLd::_data_var::inout()
{
  return this->ptr_;
}

cCLd::_data_slice *&cCLd::_data_var::out()
{
  cCLd::_data_free(this->ptr_);
  this->ptr_ = (cCLd::_data_slice  *)0;
  return this->ptr_;
}

cCLd::_data_slice *cCLd::_data_var::_retn()
{
  cCLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (cCLd::_data_slice  *)0;
  return tmp;
}

cCLd::_data_slice *cCLd::_data_var::ptr() const
{
  return this->ptr_;
}

cCLd::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

cCLd::_data_forany::_data_forany(cCLd::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

cCLd::_data_forany::_data_forany(const cCLd::_data_forany &a)
{
  this->ptr_ = cCLd::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

cCLd::_data_forany::~_data_forany()
{
}

cCLd::_data_forany &cCLd::_data_forany::operator=(cCLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

cCLd::_data_forany &cCLd::_data_forany::operator=(const cCLd::_data_forany &p)
{
  if( this != &p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = cCLd::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

cCLd::_data_slice &cCLd::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const cCLd::_data_slice &cCLd::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cCLd::_data_forany::operator cCLd::_data_slice *const &() const
{
  return this->ptr_;
}

cCLd::_data_forany::operator cCLd::_data_slice *&()
{
  return this->ptr_;
}

const cCLd::_data_slice *cCLd::_data_forany::in() const
{
  return this->ptr_;
}

cCLd::_data_slice *cCLd::_data_forany::inout()
{
  return this->ptr_;
}

cCLd::_data_slice *&cCLd::_data_forany::out()
{
  cCLd::_data_free(this->ptr_);
  this->ptr_ = (cCLd::_data_slice  *)0;
  return this->ptr_;
}

cCLd::_data_slice *cCLd::_data_forany::_retn()
{
  cCLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (cCLd::_data_slice  *)0;
  return tmp;
}

cCLd::_data_slice *cCLd::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean cCLd::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_dCLc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x64434c63), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:dCLc:1.0 */,
    5, ACE_NTOHL(0x64434c63), ACE_NTOHL(0x00000000) /* name = dCLc */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_double,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    88 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
        6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_char,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_dCLc (CORBA::tk_struct, sizeof(_oc_dCLc), (char *) &_oc_dCLc, 0, sizeof(struct dCLc ));

CORBA::TypeCode_ptr _tc_dCLc = &_tc_TAO_tc_dCLc;

void operator<<=(CORBA::Any &a, const struct dCLc &o)
{
  struct dCLc  *_any_val;
  ACE_NEW(_any_val, struct dCLc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dCLc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct dCLc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dCLc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct dCLc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_dCLc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct dCLc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct dCLc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_dCLc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_dCLc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

dCLc_var::dCLc_var()
  : ptr_(0)
{}

dCLc_var::dCLc_var(struct dCLc *p)
 : ptr_(p)
{}

dCLc_var::dCLc_var(const dCLc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct dCLc (*a.ptr_);
  else
    this->ptr_ = 0;
}

dCLc_var::~dCLc_var()
{
  delete this->ptr_;
}

dCLc_var &dCLc_var::operator=(struct dCLc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

dCLc_var &dCLc_var::operator=(const dCLc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct dCLc (*p.ptr_);
  }
  return *this;
}

struct dCLc *dCLc_var::operator->()
{
  return this->ptr_;
}

const struct dCLc *dCLc_var::operator->() const
{
  return this->ptr_;
}

dCLc_var::operator const struct dCLc &() const
{
  return *this->ptr_;
}

dCLc_var::operator struct dCLc &()
{
  return *this->ptr_;
}

dCLc_var::operator struct dCLc &() const
{
  return *this->ptr_;
}

const struct dCLc &dCLc_var::in() const
{
  return *this->ptr_;
}

struct dCLc &dCLc_var::inout()
{
  return *this->ptr_;
}

struct dCLc &dCLc_var::out()
{
  return *this->ptr_;
}

struct dCLc dCLc_var::_retn()
{
  return *this->ptr_;
}

struct dCLc *dCLc_var::ptr() const
{
  return this->ptr_;
}

dCLc::_data_slice *dCLc::_data_alloc()
{
  return new dCLc::_data_slice [50];
}

dCLc::_data_slice *dCLc::_data_dup(const dCLc::_data_slice *_slice)
{
  dCLc::_data_slice  *_dup_array = dCLc::_data_alloc();
  if( !_dup_array ) return 0;
  dCLc::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void dCLc::_data_copy(dCLc::_data_slice *_to_slice, const dCLc::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void dCLc::_data_free(dCLc::_data_slice *_slice)
{
  delete [] _slice;
}

dCLc::_data_var::_data_var()
  : ptr_(0)
{}

dCLc::_data_var::_data_var(dCLc::_data_slice *p)
 : ptr_(p)
{}

dCLc::_data_var::_data_var(const dCLc::_data_var &a)
{
  this->ptr_ = dCLc::_data_dup(a.ptr_);
}

dCLc::_data_var::~_data_var()
{
  dCLc::_data_free(this->ptr_);
}

dCLc::_data_var &dCLc::_data_var::operator=(dCLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

dCLc::_data_var &dCLc::_data_var::operator=(const dCLc::_data_var &p)
{
  if( this != &p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = dCLc::_data_dup(p.ptr_);
  }
  return *this;
}

dCLc::_data_slice &dCLc::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const dCLc::_data_slice &dCLc::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dCLc::_data_var::operator dCLc::_data_slice *const &() const
{
  return this->ptr_;
}

dCLc::_data_var::operator dCLc::_data_slice *&()
{
  return this->ptr_;
}

const dCLc::_data_slice *dCLc::_data_var::in() const
{
  return this->ptr_;
}

dCLc::_data_slice *dCLc::_data_var::inout()
{
  return this->ptr_;
}

dCLc::_data_slice *&dCLc::_data_var::out()
{
  dCLc::_data_free(this->ptr_);
  this->ptr_ = (dCLc::_data_slice  *)0;
  return this->ptr_;
}

dCLc::_data_slice *dCLc::_data_var::_retn()
{
  dCLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (dCLc::_data_slice  *)0;
  return tmp;
}

dCLc::_data_slice *dCLc::_data_var::ptr() const
{
  return this->ptr_;
}

dCLc::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

dCLc::_data_forany::_data_forany(dCLc::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

dCLc::_data_forany::_data_forany(const dCLc::_data_forany &a)
{
  this->ptr_ = dCLc::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

dCLc::_data_forany::~_data_forany()
{
}

dCLc::_data_forany &dCLc::_data_forany::operator=(dCLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

dCLc::_data_forany &dCLc::_data_forany::operator=(const dCLc::_data_forany &p)
{
  if( this != &p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = dCLc::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

dCLc::_data_slice &dCLc::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const dCLc::_data_slice &dCLc::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dCLc::_data_forany::operator dCLc::_data_slice *const &() const
{
  return this->ptr_;
}

dCLc::_data_forany::operator dCLc::_data_slice *&()
{
  return this->ptr_;
}

const dCLc::_data_slice *dCLc::_data_forany::in() const
{
  return this->ptr_;
}

dCLc::_data_slice *dCLc::_data_forany::inout()
{
  return this->ptr_;
}

dCLc::_data_slice *&dCLc::_data_forany::out()
{
  dCLc::_data_free(this->ptr_);
  this->ptr_ = (dCLc::_data_slice  *)0;
  return this->ptr_;
}

dCLc::_data_slice *dCLc::_data_forany::_retn()
{
  dCLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (dCLc::_data_slice  *)0;
  return tmp;
}

dCLc::_data_slice *dCLc::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean dCLc::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_sCLs[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73434c73), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:sCLs:1.0 */,
    5, ACE_NTOHL(0x73434c73), ACE_NTOHL(0x00000000) /* name = sCLs */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_short,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    88 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
        6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_char,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_sCLs (CORBA::tk_struct, sizeof(_oc_sCLs), (char *) &_oc_sCLs, 0, sizeof(struct sCLs ));

CORBA::TypeCode_ptr _tc_sCLs = &_tc_TAO_tc_sCLs;

void operator<<=(CORBA::Any &a, const struct sCLs &o)
{
  struct sCLs  *_any_val;
  ACE_NEW(_any_val, struct sCLs  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sCLs, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct sCLs *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sCLs, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct sCLs *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_sCLs, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct sCLs  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct sCLs , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_sCLs, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_sCLs, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

sCLs_var::sCLs_var()
  : ptr_(0)
{}

sCLs_var::sCLs_var(struct sCLs *p)
 : ptr_(p)
{}

sCLs_var::sCLs_var(const sCLs_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct sCLs (*a.ptr_);
  else
    this->ptr_ = 0;
}

sCLs_var::~sCLs_var()
{
  delete this->ptr_;
}

sCLs_var &sCLs_var::operator=(struct sCLs *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

sCLs_var &sCLs_var::operator=(const sCLs_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct sCLs (*p.ptr_);
  }
  return *this;
}

struct sCLs *sCLs_var::operator->()
{
  return this->ptr_;
}

const struct sCLs *sCLs_var::operator->() const
{
  return this->ptr_;
}

sCLs_var::operator const struct sCLs &() const
{
  return *this->ptr_;
}

sCLs_var::operator struct sCLs &()
{
  return *this->ptr_;
}

sCLs_var::operator struct sCLs &() const
{
  return *this->ptr_;
}

const struct sCLs &sCLs_var::in() const
{
  return *this->ptr_;
}

struct sCLs &sCLs_var::inout()
{
  return *this->ptr_;
}

struct sCLs &sCLs_var::out()
{
  return *this->ptr_;
}

struct sCLs sCLs_var::_retn()
{
  return *this->ptr_;
}

struct sCLs *sCLs_var::ptr() const
{
  return this->ptr_;
}

sCLs::_data_slice *sCLs::_data_alloc()
{
  return new sCLs::_data_slice [50];
}

sCLs::_data_slice *sCLs::_data_dup(const sCLs::_data_slice *_slice)
{
  sCLs::_data_slice  *_dup_array = sCLs::_data_alloc();
  if( !_dup_array ) return 0;
  sCLs::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void sCLs::_data_copy(sCLs::_data_slice *_to_slice, const sCLs::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void sCLs::_data_free(sCLs::_data_slice *_slice)
{
  delete [] _slice;
}

sCLs::_data_var::_data_var()
  : ptr_(0)
{}

sCLs::_data_var::_data_var(sCLs::_data_slice *p)
 : ptr_(p)
{}

sCLs::_data_var::_data_var(const sCLs::_data_var &a)
{
  this->ptr_ = sCLs::_data_dup(a.ptr_);
}

sCLs::_data_var::~_data_var()
{
  sCLs::_data_free(this->ptr_);
}

sCLs::_data_var &sCLs::_data_var::operator=(sCLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

sCLs::_data_var &sCLs::_data_var::operator=(const sCLs::_data_var &p)
{
  if( this != &p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = sCLs::_data_dup(p.ptr_);
  }
  return *this;
}

sCLs::_data_slice &sCLs::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const sCLs::_data_slice &sCLs::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sCLs::_data_var::operator sCLs::_data_slice *const &() const
{
  return this->ptr_;
}

sCLs::_data_var::operator sCLs::_data_slice *&()
{
  return this->ptr_;
}

const sCLs::_data_slice *sCLs::_data_var::in() const
{
  return this->ptr_;
}

sCLs::_data_slice *sCLs::_data_var::inout()
{
  return this->ptr_;
}

sCLs::_data_slice *&sCLs::_data_var::out()
{
  sCLs::_data_free(this->ptr_);
  this->ptr_ = (sCLs::_data_slice  *)0;
  return this->ptr_;
}

sCLs::_data_slice *sCLs::_data_var::_retn()
{
  sCLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (sCLs::_data_slice  *)0;
  return tmp;
}

sCLs::_data_slice *sCLs::_data_var::ptr() const
{
  return this->ptr_;
}

sCLs::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

sCLs::_data_forany::_data_forany(sCLs::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

sCLs::_data_forany::_data_forany(const sCLs::_data_forany &a)
{
  this->ptr_ = sCLs::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

sCLs::_data_forany::~_data_forany()
{
}

sCLs::_data_forany &sCLs::_data_forany::operator=(sCLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

sCLs::_data_forany &sCLs::_data_forany::operator=(const sCLs::_data_forany &p)
{
  if( this != &p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = sCLs::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

sCLs::_data_slice &sCLs::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const sCLs::_data_slice &sCLs::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sCLs::_data_forany::operator sCLs::_data_slice *const &() const
{
  return this->ptr_;
}

sCLs::_data_forany::operator sCLs::_data_slice *&()
{
  return this->ptr_;
}

const sCLs::_data_slice *sCLs::_data_forany::in() const
{
  return this->ptr_;
}

sCLs::_data_slice *sCLs::_data_forany::inout()
{
  return this->ptr_;
}

sCLs::_data_slice *&sCLs::_data_forany::out()
{
  sCLs::_data_free(this->ptr_);
  this->ptr_ = (sCLs::_data_slice  *)0;
  return this->ptr_;
}

sCLs::_data_slice *sCLs::_data_forany::_retn()
{
  sCLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (sCLs::_data_slice  *)0;
  return tmp;
}

sCLs::_data_slice *sCLs::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean sCLs::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_arrays[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    15, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79733a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:arrays:1.0 */,
    7, ACE_NTOHL(0x61727261), ACE_NTOHL(0x79730000) /* name = arrays */
};

static CORBA::TypeCode _tc_TAO_tc_arrays (CORBA::tk_objref, sizeof(_oc_arrays), (char *) &_oc_arrays, 0, sizeof(arrays ));

CORBA::TypeCode_ptr _tc_arrays = &_tc_TAO_tc_arrays;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<arrays >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<arrays >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

arrays_ptr arrays::_duplicate(arrays_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

arrays_ptr arrays::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return arrays::_nil();
  if( !obj->_is_a("IDL:arrays:1.0", _env) )
    return arrays::_nil();
  return arrays::_unchecked_narrow(obj, _env);
}

arrays_ptr arrays::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return arrays::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new arrays (stub);
  return new _tao_collocated_arrays(
      ACE_reinterpret_cast(POA_arrays_ptr , servant),
      stub
    );
}

arrays_ptr arrays::_nil()
{
  return (arrays_ptr )NULL;
}

CORBA::Boolean arrays::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:arrays:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *arrays::_interface_repository_id() const
{
  return "IDL:arrays:1.0";
}

arrays::arrays()
{}

arrays::~arrays()
{}

void operator<<=(CORBA::Any &a, arrays_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = arrays::_duplicate(o);
    a.replace (_tc_arrays, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = arrays::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_arrays, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_arrays, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = arrays::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_arrays, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrays::arrays(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

arrays_var::arrays_var()
  : ptr_(arrays::_nil())
{}

arrays_var::arrays_var(arrays_ptr p)
  : ptr_(p)
{}

arrays_var::arrays_var(const arrays_var &a)
  : ptr_(arrays::_duplicate(a.ptr()))
{}

arrays_var::~arrays_var()
{
  CORBA::release(this->ptr_);
}

arrays_var &arrays_var::operator=(arrays_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

arrays_var &arrays_var::operator=(const arrays_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = arrays::_duplicate(p.ptr());
  }
  return *this;
}

arrays_ptr arrays_var::operator->() const
{
  return this->ptr_;
}

arrays_var::operator const arrays_ptr &() const
{
  return this->ptr_;
}

arrays_var::operator arrays_ptr &()
{
  return this->ptr_;
}

arrays_ptr arrays_var::in() const
{
  return this->ptr_;
}

arrays_ptr &arrays_var::inout()
{
  return this->ptr_;
}

arrays_ptr &arrays_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrays::_nil();
  return this->ptr_;
}

arrays_ptr arrays_var::_retn()
{
  arrays_ptr  val = this->ptr_;
  this->ptr_ = arrays::_nil();
  return val;
}

arrays_ptr arrays_var::ptr() const
{
  return this->ptr_;
}

arrays_out::arrays_out(arrays_ptr &r)
  : ptr_(r)
{
  this->ptr_ = arrays::_nil();
}

arrays_out::arrays_out(arrays_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrays::_nil();
}

arrays_out::arrays_out(const arrays_out &r)
  : ptr_(ACE_const_cast(arrays_out &,r).ptr_)
{}

arrays_out &arrays_out::operator=(const arrays_out &r)
{
  this->ptr_ = ACE_const_cast(arrays_out &,r).ptr_;
  return *this;
}

arrays_out &arrays_out::operator=(const arrays_var &r)
{
  this->ptr_ = arrays::_duplicate(r.ptr());
  return *this;
}

arrays_out &arrays_out::operator=(arrays_ptr r)
{
  this->ptr_ = r;
  return *this;
}

arrays_out::operator arrays_ptr &()
{
  return this->ptr_;
}

arrays_ptr &arrays_out::ptr()
{
  return this->ptr_;
}

arrays_ptr arrays_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct end *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(5, _flick_abort0);
  flick_iiopxx_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1, CORBA::Long );
  flick_cdr_encode_char8(4, _data->elem2, CORBA::Char );
  flick_iiopxx_encode_end_chunk(5);
  flick_iiopxx_encode_end_glob(5);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(5);
  flick_iiopxx_check_span(5, _flick_abort1);
  flick_iiopxx_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1, CORBA::Long );
  flick_cdr_decode_char8(4, _data->elem2, CORBA::Char );
  flick_iiopxx_decode_end_chunk(5);
  flick_iiopxx_decode_end_glob(5);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(5);
  flick_iiopxx_check_span(5, _flick_abort2);
  flick_iiopxx_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1, CORBA::Long );
  flick_cdr_swap_decode_char8(4, _data->elem2, CORBA::Char );
  flick_iiopxx_decode_end_chunk(5);
  flick_iiopxx_decode_end_glob(5);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct begin *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort3);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1, CORBA::Char );
  flick_cdr_encode_signed32(4, _data->elem2, CORBA::Long );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort4);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1, CORBA::Char );
  flick_cdr_decode_signed32(4, _data->elem2, CORBA::Long );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort5);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1, CORBA::Char );
  flick_cdr_swap_decode_signed32(4, _data->elem2, CORBA::Long );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(216, _flick_abort6);
  flick_iiopxx_encode_new_chunk(204);
  flick_cdr_encode_char8(0, _data->first, CORBA::Char );
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_iiopxx_encode_end_chunk(204);
  flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(216);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct cLd *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(216);
  flick_iiopxx_check_span(212, _flick_abort9);
  flick_iiopxx_decode_new_chunk(204);
  flick_cdr_decode_char8(0, _data->first, CORBA::Char );
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_iiopxx_decode_end_chunk(204);
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort9);
  flick_cdr_decode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(216);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(363);
  flick_iiopxx_check_span(50 * 4 + 1, _flick_abort12);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
      flick_iiopxx_check_span(4, _flick_abort16);
      flick_cdr_swap_decode_signed32(0, _data->data[_t0_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
      {
      _flick_abort16:
        goto _flick_abort12;
      }
    }
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort12);
  flick_cdr_swap_decode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(363);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(213, _flick_abort18);
  flick_iiopxx_encode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first, CORBA::Double );
  flick_cdr_encode_bcopy(8, _data->data, 200);
  flick_cdr_encode_char8(208, _data->last, CORBA::Char );
  flick_iiopxx_encode_end_chunk(209);
  flick_iiopxx_encode_end_glob(213);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct dLc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(213);
  flick_iiopxx_decode_new_chunk_align(209, 3, 2, 0);
  flick_iiopxx_check_span(209, _flick_abort21);
  flick_cdr_decode_float64(0, _data->first, CORBA::Double );
  flick_cdr_decode_bcopy(8, _data->data, 200);
  flick_cdr_decode_char8(208, _data->last, CORBA::Char );
  flick_iiopxx_decode_end_chunk(209);
  flick_iiopxx_decode_end_glob(213);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(213);
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort24);
  flick_cdr_swap_decode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_check_span(50 * 4 + 1, _flick_abort24);
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t1_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  flick_iiopxx_decode_end_glob(213);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(206, _flick_abort30);
  flick_iiopxx_encode_new_chunk(206);
  flick_cdr_encode_signed16(0, _data->first, CORBA::Short );
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_cdr_encode_signed16(204, _data->last, CORBA::Short );
  flick_iiopxx_encode_end_chunk(206);
  flick_iiopxx_encode_end_glob(206);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct sLs *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(206);
  flick_iiopxx_check_span(206, _flick_abort33);
  flick_iiopxx_decode_new_chunk(206);
  flick_cdr_decode_signed16(0, _data->first, CORBA::Short );
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_cdr_decode_signed16(204, _data->last, CORBA::Short );
  flick_iiopxx_decode_end_chunk(206);
  flick_iiopxx_decode_end_glob(206);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(304);
  flick_iiopxx_check_span(50 * 4 + 4, _flick_abort36);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
      flick_iiopxx_check_span(4, _flick_abort40);
      flick_cdr_swap_decode_signed32(0, _data->data[_t2_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
      {
      _flick_abort40:
        goto _flick_abort36;
      }
    }
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(304);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned32_t _t3_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(416, _flick_abort42);
  flick_iiopxx_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_encode_end_chunk(1);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_iiopxx_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t3_array_iter].elem1, CORBA::Long );
      flick_cdr_encode_char8(7, _data->data[_t3_array_iter].elem2, CORBA::Char );
      flick_iiopxx_encode_end_chunk(8);
      continue;
    }
  flick_iiopxx_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(416);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t4_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(416);
  flick_iiopxx_check_span(50 * 8 + 1, _flick_abort48);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t4_array_iter].elem1, CORBA::Long );
      flick_cdr_decode_char8(7, _data->data[_t4_array_iter].elem2, CORBA::Char );
      flick_iiopxx_decode_end_chunk(8);
      continue;
    }
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
  flick_iiopxx_check_span(8, _flick_abort48);
  flick_cdr_decode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(416);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(416);
  flick_iiopxx_check_span(50 * 8 + 1, _flick_abort54);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t5_array_iter].elem1, CORBA::Long );
      flick_cdr_swap_decode_char8(7, _data->data[_t5_array_iter].elem2, CORBA::Char );
      flick_iiopxx_decode_end_chunk(8);
      continue;
    }
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
  flick_iiopxx_check_span(8, _flick_abort54);
  flick_cdr_swap_decode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(416);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned32_t _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(413, _flick_abort60);
  flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_encode_end_chunk(8);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t6_array_iter].elem1, CORBA::Long );
      flick_cdr_encode_char8(4, _data->data[_t6_array_iter].elem2, CORBA::Char );
      flick_iiopxx_encode_end_chunk(5);
      continue;
    }
  flick_iiopxx_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_encode_end_chunk(1);
  flick_iiopxx_encode_end_glob(413);
  return 0;
  {
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(413);
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort66);
  flick_cdr_decode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_check_span(50 * 5 + 1, _flick_abort66);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
      flick_iiopxx_check_span(5, _flick_abort70);
      flick_cdr_decode_signed32(0, _data->data[_t7_array_iter].elem1, CORBA::Long );
      flick_cdr_decode_char8(4, _data->data[_t7_array_iter].elem2, CORBA::Char );
      flick_iiopxx_decode_end_chunk(5);
      continue;
      {
      _flick_abort70:
        goto _flick_abort66;
      }
    }
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  flick_iiopxx_decode_end_glob(413);
  return 0;
  {
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(413);
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort72);
  flick_cdr_swap_decode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_check_span(50 * 5 + 1, _flick_abort72);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
      flick_iiopxx_check_span(5, _flick_abort76);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter].elem1, CORBA::Long );
      flick_cdr_swap_decode_char8(4, _data->data[_t8_array_iter].elem2, CORBA::Char );
      flick_iiopxx_decode_end_chunk(5);
      continue;
      {
      _flick_abort76:
        goto _flick_abort72;
      }
    }
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  flick_iiopxx_decode_end_glob(413);
  return 0;
  {
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(405, _flick_abort78);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t9_array_iter].elem1, CORBA::Long );
      flick_cdr_encode_char8(4, _data->data[_t9_array_iter].elem2, CORBA::Char );
      flick_iiopxx_encode_end_chunk(5);
      continue;
    }
  flick_iiopxx_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last, CORBA::Short );
  flick_iiopxx_encode_end_chunk(3);
  flick_iiopxx_encode_end_glob(405);
  return 0;
  {
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(405);
  flick_iiopxx_check_span(50 * 5 + 5, _flick_abort84);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
      flick_iiopxx_check_span(5, _flick_abort88);
      flick_cdr_decode_signed32(0, _data->data[_t10_array_iter].elem1, CORBA::Long );
      flick_cdr_decode_char8(4, _data->data[_t10_array_iter].elem2, CORBA::Char );
      flick_iiopxx_decode_end_chunk(5);
      continue;
      {
      _flick_abort88:
        goto _flick_abort84;
      }
    }
  flick_iiopxx_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last, CORBA::Short );
  flick_iiopxx_decode_end_chunk(3);
  flick_iiopxx_decode_end_glob(405);
  return 0;
  {
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(405);
  flick_iiopxx_check_span(50 * 5 + 5, _flick_abort90);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
      flick_iiopxx_check_span(5, _flick_abort94);
      flick_cdr_swap_decode_signed32(0, _data->data[_t11_array_iter].elem1, CORBA::Long );
      flick_cdr_swap_decode_char8(4, _data->data[_t11_array_iter].elem2, CORBA::Char );
      flick_iiopxx_decode_end_chunk(5);
      continue;
      {
      _flick_abort94:
        goto _flick_abort90;
      }
    }
  flick_iiopxx_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last, CORBA::Short );
  flick_iiopxx_decode_end_chunk(3);
  flick_iiopxx_decode_end_glob(405);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned32_t _t12_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(413, _flick_abort96);
  flick_iiopxx_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_encode_end_chunk(1);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t12_array_iter].elem1, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t12_array_iter].elem2, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      continue;
    }
  flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(413);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t13_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(413);
  flick_iiopxx_check_span(50 * 5 + 1, _flick_abort102);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t13_array_iter].elem1, CORBA::Char );
      flick_iiopxx_decode_end_chunk(1);
      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
      flick_iiopxx_check_span(4, _flick_abort106);
      flick_cdr_decode_signed32(0, _data->data[_t13_array_iter].elem2, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
      {
      _flick_abort106:
        goto _flick_abort102;
      }
    }
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort102);
  flick_cdr_decode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(413);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t14_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(413);
  flick_iiopxx_check_span(50 * 5 + 1, _flick_abort108);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t14_array_iter].elem1, CORBA::Char );
      flick_iiopxx_decode_end_chunk(1);
      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
      flick_iiopxx_check_span(4, _flick_abort112);
      flick_cdr_swap_decode_signed32(0, _data->data[_t14_array_iter].elem2, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
      {
      _flick_abort112:
        goto _flick_abort108;
      }
    }
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort108);
  flick_cdr_swap_decode_float64(0, _data->last, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(413);
  return 0;
  {
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned32_t _t15_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(413, _flick_abort114);
  flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_encode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_iiopxx_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t15_array_iter].elem1, CORBA::Char );
      flick_cdr_encode_signed32(4, _data->data[_t15_array_iter].elem2, CORBA::Long );
      flick_iiopxx_encode_end_chunk(8);
      continue;
    }
  flick_iiopxx_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_encode_end_chunk(1);
  flick_iiopxx_encode_end_glob(413);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t16_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(413);
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort120);
  flick_cdr_decode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_check_span(50 * 8 + 1, _flick_abort120);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t16_array_iter].elem1, CORBA::Char );
      flick_cdr_decode_signed32(4, _data->data[_t16_array_iter].elem2, CORBA::Long );
      flick_iiopxx_decode_end_chunk(8);
      continue;
    }
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  flick_iiopxx_decode_end_glob(413);
  return 0;
  {
  _flick_abort120:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t17_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(413);
  flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
  flick_iiopxx_check_span(8, _flick_abort126);
  flick_cdr_swap_decode_float64(0, _data->first, CORBA::Double );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_check_span(50 * 8 + 1, _flick_abort126);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t17_array_iter].elem1, CORBA::Char );
      flick_cdr_swap_decode_signed32(4, _data->data[_t17_array_iter].elem2, CORBA::Long );
      flick_iiopxx_decode_end_chunk(8);
      continue;
    }
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last, CORBA::Char );
  flick_iiopxx_decode_end_chunk(1);
  flick_iiopxx_decode_end_glob(413);
  return 0;
  {
  _flick_abort126:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned32_t _t18_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(404, _flick_abort132);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t18_array_iter].elem1, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t18_array_iter].elem2, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      continue;
    }
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(404);
  return 0;
  {
  _flick_abort132:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t19_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(404);
  flick_iiopxx_check_span(50 * 5 + 4, _flick_abort138);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  for (_t19_array_iter = 0; _t19_array_iter < 50; _t19_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t19_array_iter].elem1, CORBA::Char );
      flick_iiopxx_decode_end_chunk(1);
      flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
      flick_iiopxx_check_span(4, _flick_abort142);
      flick_cdr_decode_signed32(0, _data->data[_t19_array_iter].elem2, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
      {
      _flick_abort142:
        goto _flick_abort138;
      }
    }
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(404);
  return 0;
  {
  _flick_abort138:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t20_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(404);
  flick_iiopxx_check_span(50 * 5 + 4, _flick_abort144);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  for (_t20_array_iter = 0; _t20_array_iter < 50; _t20_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t20_array_iter].elem1, CORBA::Char );
      flick_iiopxx_decode_end_chunk(1);
      flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
      flick_iiopxx_check_span(4, _flick_abort148);
      flick_cdr_swap_decode_signed32(0, _data->data[_t20_array_iter].elem2, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
      {
      _flick_abort148:
        goto _flick_abort144;
      }
    }
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(404);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, arrays , _flick_abort150);
  return 0;
  {
  _flick_abort150:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort151);
  return 0;
  {
  _flick_abort151:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort152);
  return 0;
  {
  _flick_abort152:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

struct cLd arrays::test_cLd(/* arrays *this, */ const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort154);
    }
    {
      flick_iiopxx_encode_new_glob(452, _flick_abort154);
      flick_iiopxx_encode_new_chunk(224);
      flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'd', flick_char8_t );
      flick_cdr_encode_char8(12, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, inp.first, CORBA::Char );
      flick_cdr_encode_bcopy(24, inp.data, 200);
      flick_iiopxx_encode_end_chunk(224);
      flick_iiopxx_encode_new_chunk_align(224, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.last, CORBA::Double );
      flick_cdr_encode_char8(8, iop.first, CORBA::Char );
      flick_cdr_encode_bcopy(12, iop.data, 200);
      flick_cdr_encode_float64(216, iop.last, CORBA::Double );
      flick_iiopxx_encode_end_chunk(224);
      flick_iiopxx_encode_end_glob(452);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t22_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1093);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t22_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t22_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t26_array_iter;
              flick_unsigned32_t _t27_array_iter;
              flick_unsigned32_t _t28_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 4 + (50 * 4 + (50 * 4 + 1)), _flick_abort202);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t26_array_iter = 0; _t26_array_iter < 50; _t26_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort206);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t26_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort206:
                    goto _flick_abort202;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort202);
              flick_cdr_swap_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t27_array_iter = 0; _t27_array_iter < 50; _t27_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort211);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t27_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort211:
                    goto _flick_abort202;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort202);
              flick_cdr_swap_decode_float64(0, iop.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t28_array_iter = 0; _t28_array_iter < 50; _t28_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort216);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t28_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort216:
                    goto _flick_abort202;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort202);
              flick_cdr_swap_decode_float64(0, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(1093);
              break;
              {
              _flick_abort202:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1093);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort218);
              break;
              {
              _flick_abort218:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort219);
              flick_iiopxx_decode_end_glob(1093);
              break;
              {
              _flick_abort219:
                goto _flick_abort154;
              }
            }
          }
      }
    else
      {
        int _t21_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(652);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t21_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t21_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(644, _flick_abort174);
              flick_iiopxx_decode_new_chunk(204);
              flick_cdr_decode_char8(0, _return.first, CORBA::Char );
              flick_cdr_decode_bcopy(4, _return.data, 200);
              flick_iiopxx_decode_end_chunk(204);
              flick_iiopxx_decode_new_chunk_align(440, 3, 2, 0);
              flick_iiopxx_check_span(440, _flick_abort174);
              flick_cdr_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_decode_char8(8, iop.first, CORBA::Char );
              flick_cdr_decode_bcopy(12, iop.data, 200);
              flick_cdr_decode_float64(216, iop.last, CORBA::Double );
              flick_cdr_decode_char8(224, outp.first, CORBA::Char );
              flick_cdr_decode_bcopy(228, outp.data, 200);
              flick_cdr_decode_float64(432, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(440);
              flick_iiopxx_decode_end_glob(652);
              break;
              {
              _flick_abort174:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(652);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort181);
              break;
              {
              _flick_abort181:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort182);
              flick_iiopxx_decode_end_glob(652);
              break;
              {
              _flick_abort182:
                goto _flick_abort154;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort154:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort153);
    _flick_abort153:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct dLc arrays::test_dLc(/* arrays *this, */ const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort221);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort221);
    }
    {
      flick_iiopxx_encode_new_glob(449, _flick_abort221);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'c', flick_char8_t );
      flick_cdr_encode_char8(12, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(425, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.first, CORBA::Double );
      flick_cdr_encode_bcopy(8, inp.data, 200);
      flick_cdr_encode_char8(208, inp.last, CORBA::Char );
      flick_cdr_encode_float64(216, iop.first, CORBA::Double );
      flick_cdr_encode_bcopy(224, iop.data, 200);
      flick_cdr_encode_char8(424, iop.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(425);
      flick_iiopxx_encode_end_glob(449);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort221);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort221);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t30_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(649);
        flick_iiopxx_check_span(4, _flick_abort221);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t30_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t30_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t34_array_iter;
              flick_unsigned32_t _t35_array_iter;
              flick_unsigned32_t _t36_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort269);
              flick_cdr_swap_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_check_span(50 * 4 + (50 * 4 + (50 * 4 + 3)), _flick_abort269);
              for (_t34_array_iter = 0; _t34_array_iter < 50; _t34_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t34_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
              flick_iiopxx_check_span(8, _flick_abort269);
              flick_cdr_swap_decode_float64(0, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t35_array_iter = 0; _t35_array_iter < 50; _t35_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t35_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, iop.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
              flick_iiopxx_check_span(8, _flick_abort269);
              flick_cdr_swap_decode_float64(0, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t36_array_iter = 0; _t36_array_iter < 50; _t36_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t36_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort269:
                goto _flick_abort221;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(649);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort285);
              break;
              {
              _flick_abort285:
                goto _flick_abort221;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort286);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort286:
                goto _flick_abort221;
              }
            }
          }
      }
    else
      {
        int _t29_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(649);
        flick_iiopxx_check_span(4, _flick_abort221);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t29_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t29_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(641, 3, 2, 0);
              flick_iiopxx_check_span(641, _flick_abort241);
              flick_cdr_decode_float64(0, _return.first, CORBA::Double );
              flick_cdr_decode_bcopy(8, _return.data, 200);
              flick_cdr_decode_char8(208, _return.last, CORBA::Char );
              flick_cdr_decode_float64(216, iop.first, CORBA::Double );
              flick_cdr_decode_bcopy(224, iop.data, 200);
              flick_cdr_decode_char8(424, iop.last, CORBA::Char );
              flick_cdr_decode_float64(432, outp.first, CORBA::Double );
              flick_cdr_decode_bcopy(440, outp.data, 200);
              flick_cdr_decode_char8(640, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(641);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort241:
                goto _flick_abort221;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(649);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort248);
              break;
              {
              _flick_abort248:
                goto _flick_abort221;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort249);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort249:
                goto _flick_abort221;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort221:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort220);
    _flick_abort220:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct sLs arrays::test_sLs(/* arrays *this, */ const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort288);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort288);
    }
    {
      flick_iiopxx_encode_new_glob(430, _flick_abort288);
      flick_iiopxx_encode_new_chunk(430);
      flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, inp.first, CORBA::Short );
      flick_cdr_encode_bcopy(24, inp.data, 200);
      flick_cdr_encode_signed16(224, inp.last, CORBA::Short );
      flick_cdr_encode_signed16(226, iop.first, CORBA::Short );
      flick_cdr_encode_bcopy(228, iop.data, 200);
      flick_cdr_encode_signed16(428, iop.last, CORBA::Short );
      flick_iiopxx_encode_end_chunk(430);
      flick_iiopxx_encode_end_glob(430);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort288);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort288);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t38_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(716);
        flick_iiopxx_check_span(4, _flick_abort288);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t38_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t38_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t42_array_iter;
              flick_unsigned32_t _t43_array_iter;
              flick_unsigned32_t _t44_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 4 + (50 * 4 + (50 * 4 + 12)), _flick_abort336);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t42_array_iter = 0; _t42_array_iter < 50; _t42_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                  flick_iiopxx_check_span(4, _flick_abort340);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t42_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort340:
                    goto _flick_abort336;
                  }
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, _return.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t43_array_iter = 0; _t43_array_iter < 50; _t43_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t43_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, iop.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t44_array_iter = 0; _t44_array_iter < 50; _t44_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t44_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(716);
              break;
              {
              _flick_abort336:
                goto _flick_abort288;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(716);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort352);
              break;
              {
              _flick_abort352:
                goto _flick_abort288;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort353);
              flick_iiopxx_decode_end_glob(716);
              break;
              {
              _flick_abort353:
                goto _flick_abort288;
              }
            }
          }
      }
    else
      {
        int _t37_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(618);
        flick_iiopxx_check_span(4, _flick_abort288);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t37_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t37_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(614, _flick_abort308);
              flick_iiopxx_decode_new_chunk(614);
              flick_cdr_decode_signed16(0, _return.first, CORBA::Short );
              flick_cdr_decode_bcopy(4, _return.data, 200);
              flick_cdr_decode_signed16(204, _return.last, CORBA::Short );
              flick_cdr_decode_signed16(206, iop.first, CORBA::Short );
              flick_cdr_decode_bcopy(208, iop.data, 200);
              flick_cdr_decode_signed16(408, iop.last, CORBA::Short );
              flick_cdr_decode_signed16(410, outp.first, CORBA::Short );
              flick_cdr_decode_bcopy(412, outp.data, 200);
              flick_cdr_decode_signed16(612, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(614);
              flick_iiopxx_decode_end_glob(618);
              break;
              {
              _flick_abort308:
                goto _flick_abort288;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(618);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort315);
              break;
              {
              _flick_abort315:
                goto _flick_abort288;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort316);
              flick_iiopxx_decode_end_glob(618);
              break;
              {
              _flick_abort316:
                goto _flick_abort288;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort288:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort287);
    _flick_abort287:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct cLCd arrays::test_cLCd(/* arrays *this, */ const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort355);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort355);
    }
    {
      flick_unsigned32_t _t47_array_iter;
      flick_unsigned32_t _t48_array_iter;

      flick_iiopxx_encode_new_glob(852, _flick_abort355);
      flick_iiopxx_encode_new_chunk(21);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'C', flick_char8_t );
      flick_cdr_encode_char8(12, 'd', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, inp.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(21);
      for (_t47_array_iter = 0; _t47_array_iter < 50; _t47_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_signed32(3, inp.data[_t47_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(7, inp.data[_t47_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 1);
      flick_cdr_encode_float64(0, inp.last, CORBA::Double );
      flick_cdr_encode_char8(8, iop.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(9);
      for (_t48_array_iter = 0; _t48_array_iter < 50; _t48_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_signed32(3, iop.data[_t48_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(7, iop.data[_t48_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(15);
      flick_cdr_encode_float64(7, iop.last, CORBA::Double );
      flick_iiopxx_encode_end_chunk(15);
      flick_iiopxx_encode_end_glob(852);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort355);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort355);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t56_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1252);
        flick_iiopxx_check_span(4, _flick_abort355);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t56_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t56_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t60_array_iter;
              flick_unsigned32_t _t61_array_iter;
              flick_unsigned32_t _t62_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 8 + 32)), _flick_abort433);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t60_array_iter = 0; _t60_array_iter < 50; _t60_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_signed32(3, _return.data[_t60_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(7, _return.data[_t60_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 1);
              flick_iiopxx_check_span(9, _flick_abort433);
              flick_cdr_swap_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t61_array_iter = 0; _t61_array_iter < 50; _t61_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_signed32(3, iop.data[_t61_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(7, iop.data[_t61_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_swap_decode_float64(7, iop.last, CORBA::Double );
              flick_cdr_swap_decode_char8(15, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(16);
              for (_t62_array_iter = 0; _t62_array_iter < 50; _t62_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_signed32(3, outp.data[_t62_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(7, outp.data[_t62_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(15);
              flick_cdr_swap_decode_float64(7, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(15);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort433:
                goto _flick_abort355;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1252);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort449);
              break;
              {
              _flick_abort449:
                goto _flick_abort355;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort450);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort450:
                goto _flick_abort355;
              }
            }
          }
      }
    else
      {
        int _t49_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1252);
        flick_iiopxx_check_span(4, _flick_abort355);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t49_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t49_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t53_array_iter;
              flick_unsigned32_t _t54_array_iter;
              flick_unsigned32_t _t55_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 8 + 32)), _flick_abort396);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t53_array_iter = 0; _t53_array_iter < 50; _t53_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_signed32(3, _return.data[_t53_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(7, _return.data[_t53_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 1);
              flick_iiopxx_check_span(9, _flick_abort396);
              flick_cdr_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t54_array_iter = 0; _t54_array_iter < 50; _t54_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_signed32(3, iop.data[_t54_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(7, iop.data[_t54_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_decode_float64(7, iop.last, CORBA::Double );
              flick_cdr_decode_char8(15, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(16);
              for (_t55_array_iter = 0; _t55_array_iter < 50; _t55_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_signed32(3, outp.data[_t55_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(7, outp.data[_t55_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(15);
              flick_cdr_decode_float64(7, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(15);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort396:
                goto _flick_abort355;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1252);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort412);
              break;
              {
              _flick_abort412:
                goto _flick_abort355;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort413);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort413:
                goto _flick_abort355;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort355:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort354);
    _flick_abort354:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct dLCc arrays::test_dLCc(/* arrays *this, */ const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort452);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort452);
    }
    {
      flick_unsigned32_t _t65_array_iter;
      flick_unsigned32_t _t66_array_iter;

      flick_iiopxx_encode_new_glob(848, _flick_abort452);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'C', flick_char8_t );
      flick_cdr_encode_char8(12, 'c', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      for (_t65_array_iter = 0; _t65_array_iter < 50; _t65_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, inp.data[_t65_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, inp.data[_t65_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, inp.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 2);
      flick_cdr_encode_float64(0, iop.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      for (_t66_array_iter = 0; _t66_array_iter < 50; _t66_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, iop.data[_t66_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, iop.data[_t66_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, iop.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_end_glob(848);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort452);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort452);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t74_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1247);
        flick_iiopxx_check_span(4, _flick_abort452);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t74_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t74_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t78_array_iter;
              flick_unsigned32_t _t79_array_iter;
              flick_unsigned32_t _t80_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort530);
              flick_cdr_swap_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_check_span(50 * 5 + (50 * 5 + (50 * 5 + 3)), _flick_abort530);
              for (_t78_array_iter = 0; _t78_array_iter < 50; _t78_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort534);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t78_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, _return.data[_t78_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort534:
                    goto _flick_abort530;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort530);
              flick_cdr_swap_decode_float64(0, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t79_array_iter = 0; _t79_array_iter < 50; _t79_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort539);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t79_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, iop.data[_t79_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort539:
                    goto _flick_abort530;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, iop.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort530);
              flick_cdr_swap_decode_float64(0, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t80_array_iter = 0; _t80_array_iter < 50; _t80_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort544);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t80_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, outp.data[_t80_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort544:
                    goto _flick_abort530;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort530:
                goto _flick_abort452;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1247);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort546);
              break;
              {
              _flick_abort546:
                goto _flick_abort452;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort547);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort547:
                goto _flick_abort452;
              }
            }
          }
      }
    else
      {
        int _t67_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1247);
        flick_iiopxx_check_span(4, _flick_abort452);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t67_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t67_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t71_array_iter;
              flick_unsigned32_t _t72_array_iter;
              flick_unsigned32_t _t73_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort493);
              flick_cdr_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_check_span(50 * 5 + (50 * 5 + (50 * 5 + 3)), _flick_abort493);
              for (_t71_array_iter = 0; _t71_array_iter < 50; _t71_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort497);
                  flick_cdr_decode_signed32(0, _return.data[_t71_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, _return.data[_t71_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort497:
                    goto _flick_abort493;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort493);
              flick_cdr_decode_float64(0, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t72_array_iter = 0; _t72_array_iter < 50; _t72_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort502);
                  flick_cdr_decode_signed32(0, iop.data[_t72_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, iop.data[_t72_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort502:
                    goto _flick_abort493;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, iop.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort493);
              flick_cdr_decode_float64(0, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t73_array_iter = 0; _t73_array_iter < 50; _t73_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort507);
                  flick_cdr_decode_signed32(0, outp.data[_t73_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, outp.data[_t73_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort507:
                    goto _flick_abort493;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort493:
                goto _flick_abort452;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1247);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort509);
              break;
              {
              _flick_abort509:
                goto _flick_abort452;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort510);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort510:
                goto _flick_abort452;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort452:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort451);
    _flick_abort451:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct sLCs arrays::test_sLCs(/* arrays *this, */ const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort549);
    }
    {
      flick_unsigned32_t _t83_array_iter;
      flick_unsigned32_t _t84_array_iter;

      flick_iiopxx_encode_new_glob(830, _flick_abort549);
      flick_iiopxx_encode_new_chunk(22);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'C', flick_char8_t );
      flick_cdr_encode_char8(12, 's', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, inp.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(22);
      for (_t83_array_iter = 0; _t83_array_iter < 50; _t83_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, inp.data[_t83_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, inp.data[_t83_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(5);
      flick_cdr_encode_signed16(1, inp.last, CORBA::Short );
      flick_cdr_encode_signed16(3, iop.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(5);
      for (_t84_array_iter = 0; _t84_array_iter < 50; _t84_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, iop.data[_t84_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, iop.data[_t84_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(3);
      flick_cdr_encode_signed16(1, iop.last, CORBA::Short );
      flick_iiopxx_encode_end_chunk(3);
      flick_iiopxx_encode_end_glob(830);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort549);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t92_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1219);
        flick_iiopxx_check_span(4, _flick_abort549);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t92_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t92_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t96_array_iter;
              flick_unsigned32_t _t97_array_iter;
              flick_unsigned32_t _t98_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 5 + (50 * 5 + (50 * 5 + 15)), _flick_abort627);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t96_array_iter = 0; _t96_array_iter < 50; _t96_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort631);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t96_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, _return.data[_t96_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort631:
                    goto _flick_abort627;
                  }
                }
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed16(1, _return.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(3, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t97_array_iter = 0; _t97_array_iter < 50; _t97_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort636);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t97_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, iop.data[_t97_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort636:
                    goto _flick_abort627;
                  }
                }
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed16(1, iop.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(3, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t98_array_iter = 0; _t98_array_iter < 50; _t98_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort641);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t98_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, outp.data[_t98_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort641:
                    goto _flick_abort627;
                  }
                }
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_signed16(1, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort627:
                goto _flick_abort549;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1219);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort643);
              break;
              {
              _flick_abort643:
                goto _flick_abort549;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort644);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort644:
                goto _flick_abort549;
              }
            }
          }
      }
    else
      {
        int _t85_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1219);
        flick_iiopxx_check_span(4, _flick_abort549);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t85_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t85_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t89_array_iter;
              flick_unsigned32_t _t90_array_iter;
              flick_unsigned32_t _t91_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 5 + (50 * 5 + (50 * 5 + 15)), _flick_abort590);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t89_array_iter = 0; _t89_array_iter < 50; _t89_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort594);
                  flick_cdr_decode_signed32(0, _return.data[_t89_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, _return.data[_t89_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort594:
                    goto _flick_abort590;
                  }
                }
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed16(1, _return.last, CORBA::Short );
              flick_cdr_decode_signed16(3, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t90_array_iter = 0; _t90_array_iter < 50; _t90_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort599);
                  flick_cdr_decode_signed32(0, iop.data[_t90_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, iop.data[_t90_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort599:
                    goto _flick_abort590;
                  }
                }
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed16(1, iop.last, CORBA::Short );
              flick_cdr_decode_signed16(3, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t91_array_iter = 0; _t91_array_iter < 50; _t91_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort604);
                  flick_cdr_decode_signed32(0, outp.data[_t91_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, outp.data[_t91_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort604:
                    goto _flick_abort590;
                  }
                }
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_signed16(1, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort590:
                goto _flick_abort549;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1219);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort606);
              break;
              {
              _flick_abort606:
                goto _flick_abort549;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort607);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort607:
                goto _flick_abort549;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort549:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort548);
    _flick_abort548:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct cCLd arrays::test_cCLd(/* arrays *this, */ const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort646);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort646);
    }
    {
      flick_unsigned32_t _t101_array_iter;
      flick_unsigned32_t _t102_array_iter;

      flick_iiopxx_encode_new_glob(846, _flick_abort646);
      flick_iiopxx_encode_new_chunk(21);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'C', flick_char8_t );
      flick_cdr_encode_char8(11, 'L', flick_char8_t );
      flick_cdr_encode_char8(12, 'd', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, inp.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(21);
      for (_t101_array_iter = 0; _t101_array_iter < 50; _t101_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(1);
          flick_cdr_encode_char8(0, inp.data[_t101_array_iter].elem1, CORBA::Char );
          flick_iiopxx_encode_end_chunk(1);
          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_encode_signed32(0, inp.data[_t101_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          continue;
        }
      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.last, CORBA::Double );
      flick_cdr_encode_char8(8, iop.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(9);
      for (_t102_array_iter = 0; _t102_array_iter < 50; _t102_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(1);
          flick_cdr_encode_char8(0, iop.data[_t102_array_iter].elem1, CORBA::Char );
          flick_iiopxx_encode_end_chunk(1);
          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_encode_signed32(0, iop.data[_t102_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          continue;
        }
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, iop.last, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(846);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort646);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort646);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t110_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1243);
        flick_iiopxx_check_span(4, _flick_abort646);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t110_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t110_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t114_array_iter;
              flick_unsigned32_t _t115_array_iter;
              flick_unsigned32_t _t116_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 5 + (50 * 5 + (50 * 5 + 1)), _flick_abort724);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t114_array_iter = 0; _t114_array_iter < 50; _t114_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return.data[_t114_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort728);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t114_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort728:
                    goto _flick_abort724;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort724);
              flick_cdr_swap_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t115_array_iter = 0; _t115_array_iter < 50; _t115_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, iop.data[_t115_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort733);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t115_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort733:
                    goto _flick_abort724;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort724);
              flick_cdr_swap_decode_float64(0, iop.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t116_array_iter = 0; _t116_array_iter < 50; _t116_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, outp.data[_t116_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort738);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t116_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort738:
                    goto _flick_abort724;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort724);
              flick_cdr_swap_decode_float64(0, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort724:
                goto _flick_abort646;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1243);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort740);
              break;
              {
              _flick_abort740:
                goto _flick_abort646;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort741);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort741:
                goto _flick_abort646;
              }
            }
          }
      }
    else
      {
        int _t103_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1243);
        flick_iiopxx_check_span(4, _flick_abort646);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t103_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t103_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t107_array_iter;
              flick_unsigned32_t _t108_array_iter;
              flick_unsigned32_t _t109_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 5 + (50 * 5 + (50 * 5 + 1)), _flick_abort687);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t107_array_iter = 0; _t107_array_iter < 50; _t107_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return.data[_t107_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort691);
                  flick_cdr_decode_signed32(0, _return.data[_t107_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort691:
                    goto _flick_abort687;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort687);
              flick_cdr_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t108_array_iter = 0; _t108_array_iter < 50; _t108_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, iop.data[_t108_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort696);
                  flick_cdr_decode_signed32(0, iop.data[_t108_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort696:
                    goto _flick_abort687;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort687);
              flick_cdr_decode_float64(0, iop.last, CORBA::Double );
              flick_cdr_decode_char8(8, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t109_array_iter = 0; _t109_array_iter < 50; _t109_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, outp.data[_t109_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort701);
                  flick_cdr_decode_signed32(0, outp.data[_t109_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort701:
                    goto _flick_abort687;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort687);
              flick_cdr_decode_float64(0, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort687:
                goto _flick_abort646;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1243);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort703);
              break;
              {
              _flick_abort703:
                goto _flick_abort646;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort704);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort704:
                goto _flick_abort646;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort646:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort645);
    _flick_abort645:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct dCLc arrays::test_dCLc(/* arrays *this, */ const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort743);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort743);
    }
    {
      flick_unsigned32_t _t119_array_iter;
      flick_unsigned32_t _t120_array_iter;

      flick_iiopxx_encode_new_glob(849, _flick_abort743);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'C', flick_char8_t );
      flick_cdr_encode_char8(11, 'L', flick_char8_t );
      flick_cdr_encode_char8(12, 'c', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      for (_t119_array_iter = 0; _t119_array_iter < 50; _t119_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_char8(0, inp.data[_t119_array_iter].elem1, CORBA::Char );
          flick_cdr_encode_signed32(4, inp.data[_t119_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_char8(0, inp.last, CORBA::Char );
      flick_cdr_encode_float64(8, iop.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(16);
      for (_t120_array_iter = 0; _t120_array_iter < 50; _t120_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_char8(0, iop.data[_t120_array_iter].elem1, CORBA::Char );
          flick_cdr_encode_signed32(4, iop.data[_t120_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, iop.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_end_glob(849);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort743);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort743);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t128_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1249);
        flick_iiopxx_check_span(4, _flick_abort743);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t128_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t128_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t132_array_iter;
              flick_unsigned32_t _t133_array_iter;
              flick_unsigned32_t _t134_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort821);
              flick_cdr_swap_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 8 + 33)), _flick_abort821);
              for (_t132_array_iter = 0; _t132_array_iter < 50; _t132_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, _return.data[_t132_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, _return.data[_t132_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_swap_decode_char8(0, _return.last, CORBA::Char );
              flick_cdr_swap_decode_float64(8, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t133_array_iter = 0; _t133_array_iter < 50; _t133_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, iop.data[_t133_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, iop.data[_t133_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_swap_decode_char8(0, iop.last, CORBA::Char );
              flick_cdr_swap_decode_float64(8, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t134_array_iter = 0; _t134_array_iter < 50; _t134_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, outp.data[_t134_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, outp.data[_t134_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort821:
                goto _flick_abort743;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1249);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort837);
              break;
              {
              _flick_abort837:
                goto _flick_abort743;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort838);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort838:
                goto _flick_abort743;
              }
            }
          }
      }
    else
      {
        int _t121_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1249);
        flick_iiopxx_check_span(4, _flick_abort743);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t121_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t121_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t125_array_iter;
              flick_unsigned32_t _t126_array_iter;
              flick_unsigned32_t _t127_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort784);
              flick_cdr_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 8 + 33)), _flick_abort784);
              for (_t125_array_iter = 0; _t125_array_iter < 50; _t125_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, _return.data[_t125_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, _return.data[_t125_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_decode_char8(0, _return.last, CORBA::Char );
              flick_cdr_decode_float64(8, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t126_array_iter = 0; _t126_array_iter < 50; _t126_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, iop.data[_t126_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, iop.data[_t126_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_decode_char8(0, iop.last, CORBA::Char );
              flick_cdr_decode_float64(8, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t127_array_iter = 0; _t127_array_iter < 50; _t127_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, outp.data[_t127_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, outp.data[_t127_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort784:
                goto _flick_abort743;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1249);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort800);
              break;
              {
              _flick_abort800:
                goto _flick_abort743;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort801);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort801:
                goto _flick_abort743;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort743:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort742);
    _flick_abort742:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct sCLs arrays::test_sCLs(/* arrays *this, */ const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort840);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort840);
    }
    {
      flick_unsigned32_t _t137_array_iter;
      flick_unsigned32_t _t138_array_iter;

      flick_iiopxx_encode_new_glob(828, _flick_abort840);
      flick_iiopxx_encode_new_chunk(22);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'C', flick_char8_t );
      flick_cdr_encode_char8(11, 'L', flick_char8_t );
      flick_cdr_encode_char8(12, 's', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, inp.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(22);
      for (_t137_array_iter = 0; _t137_array_iter < 50; _t137_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(1);
          flick_cdr_encode_char8(0, inp.data[_t137_array_iter].elem1, CORBA::Char );
          flick_iiopxx_encode_end_chunk(1);
          flick_iiopxx_encode_new_chunk_align(4, 2, 1, 1);
          flick_cdr_encode_signed32(0, inp.data[_t137_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          continue;
        }
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_signed16(0, inp.last, CORBA::Short );
      flick_cdr_encode_signed16(2, iop.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(4);
      for (_t138_array_iter = 0; _t138_array_iter < 50; _t138_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_char8(0, iop.data[_t138_array_iter].elem1, CORBA::Char );
          flick_cdr_encode_signed32(4, iop.data[_t138_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(2);
      flick_cdr_encode_signed16(0, iop.last, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      flick_iiopxx_encode_end_glob(828);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort840);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort840);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t146_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1216);
        flick_iiopxx_check_span(4, _flick_abort840);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t146_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t146_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t150_array_iter;
              flick_unsigned32_t _t151_array_iter;
              flick_unsigned32_t _t152_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 5 + 12)), _flick_abort918);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t150_array_iter = 0; _t150_array_iter < 50; _t150_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return.data[_t150_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
                  flick_iiopxx_check_span(4, _flick_abort922);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t150_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort922:
                    goto _flick_abort918;
                  }
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, _return.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t151_array_iter = 0; _t151_array_iter < 50; _t151_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, iop.data[_t151_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, iop.data[_t151_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, iop.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t152_array_iter = 0; _t152_array_iter < 50; _t152_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, outp.data[_t152_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, outp.data[_t152_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort918:
                goto _flick_abort840;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1216);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort934);
              break;
              {
              _flick_abort934:
                goto _flick_abort840;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort935);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort935:
                goto _flick_abort840;
              }
            }
          }
      }
    else
      {
        int _t139_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1216);
        flick_iiopxx_check_span(4, _flick_abort840);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t139_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t139_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t143_array_iter;
              flick_unsigned32_t _t144_array_iter;
              flick_unsigned32_t _t145_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 5 + 12)), _flick_abort881);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t143_array_iter = 0; _t143_array_iter < 50; _t143_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return.data[_t143_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
                  flick_iiopxx_check_span(4, _flick_abort885);
                  flick_cdr_decode_signed32(0, _return.data[_t143_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort885:
                    goto _flick_abort881;
                  }
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed16(0, _return.last, CORBA::Short );
              flick_cdr_decode_signed16(2, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t144_array_iter = 0; _t144_array_iter < 50; _t144_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, iop.data[_t144_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, iop.data[_t144_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed16(0, iop.last, CORBA::Short );
              flick_cdr_decode_signed16(2, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t145_array_iter = 0; _t145_array_iter < 50; _t145_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, outp.data[_t145_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, outp.data[_t145_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort881:
                goto _flick_abort840;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1216);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort897);
              break;
              {
              _flick_abort897:
                goto _flick_abort840;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort898);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort898:
                goto _flick_abort840;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort840:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort839);
    _flick_abort839:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

